<?php
namespace App\Http\Controllers;

use App\Models\Branche;
use Illuminate\Http\Request;
use DB;
use Spatie\MediaLibrary\Models\Media;

class BrancheController extends Controller
{

    public function index()
    {
        $branches = Branche::query()->get();
        return view('branches.index',compact('branches'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $branche = new Branche;
        return view('branches.create',compact('branche'));
    }

    /**
     * Branche a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $inputs = $request->except('_token');
        $branche = Branche::create($inputs);
        if($request->ajax()){
            $branches = Branche::get();
            return view('branches.dropdown',compact('branches'));
        }
        // if (isset($inputs['mediaTodelete'])) {
        //     Media::whereIn('id', $inputs['mediaTodelete'])->delete();
        // }
        $img = $request->image;
        if($img){
            $branche->addMedia($img)->toMediaCollection('images');
        }
        return redirect(route('branches.index'));
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $branche = Branche::findOrFail($id);
        $list = null;
        return view('branches.show',compact('branche','list'));
    }


    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $branche = Branche::findOrFail($id);
        return view('branches.edit',compact('branche'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $branche = Branche::findOrFail($id);
        $inputs = $request->except('_token');
        $branche->update($inputs);
        if (isset($inputs['mediaTodelete'])) {
            Media::whereIn('id', $inputs['mediaTodelete'])->delete();
        }
        $img = $request->image;
        if($img){
            $branche->addMedia($img)->toMediaCollection('images');
        }
        return redirect(route('branches.index'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Branche $branche)
    {
        if($branche->delete()){
            return "done";
        }
        return "failed";
    }


}
