<?php

namespace App\Http\Controllers;

use App\Models\Setting;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Support\Facades\View;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
    public function __construct()
    {
        $settings = Setting::get()->pluck('value','key')->toArray();
        View::composer('*', function($view) use($settings)
        {
            $view->with([
                'currentUser'=>auth()->user(),
                'settings'=> $settings
            ]);
        });
    }
}
