<?php

namespace App\Http\Controllers;

use App\Models\Department;
use Illuminate\Http\Request;

class DepartmentController extends Controller
{

    public function __construct()
    {

        parent::__construct();
    }

    public function index()
    {
        $departments = Department::get();
        return view('departments.index',compact('departments'));
    }

    public function create()
    {
        $department = new Department();
        return view('departments.create',compact('department'));
    }

    public function store(Request $request)
    {
        $data = $request->except('_token');
        $record = Department::create($data);
        return redirect(route('departments.index'))->with('alert-success','تمت اضافة سجل جديد بنجاح');
    }

    public function edit($id)
    {
        $department = Department::find($id);
        return view('departments.edit',compact('department'));
    }

    public function update(Request $request,$id)
    {
        $data = $request->except('_token','_method');
        $record = Department::find($id);
        $record->update($data);
        return redirect(route('departments.index'))->with('alert-success','تم تعديل البيانات بنجاح');
    }

    public function destroy($id){
        return Department::destroy($id);
    }

}
