<?php

namespace App\Http\Controllers;

use App\Models\OrderTask;
use App\Models\Status;
use Exception;
use GuzzleHttp\Client;
use Illuminate\Http\Request;
use Ifsnop\Mysqldump\Mysqldump;
use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Http;
use Illuminate\Support\Facades\Schema;

class HomeController extends Controller
{

    // public function __construct()
    // {
    //     parent::__construct();
    // }

    public function index(){
        $branche_id = request('branche_id')?:auth()->user()->branche_id;
        $summery = Status::query()
            ->leftJoin('invoices', function($join)use($branche_id){
                $join->on('status.id','=','status_id');
                $join->where('branche_id',$branche_id);
            })
            ->select('status.id','status.name as title','color','icon', DB::raw("count(status_id) as count"))
            ->groupBy('status.id')
            ->get()->toArray();
            $calander = $this->getCalandar();
            $calander = json_encode($calander);
        \JavaScript::put([
            'calander' => $calander,
        ]);
        return view('home',compact('summery'));
    }

    public function getCalandar()
    {
        $calander = [];
        // $tasks = Task::get();

        // foreach ($tasks as $task) {
        //     $calander[] =
        //         [
        //             'id'=>$task->id,
        //             'title' => $task->title,
        //             'start' => $task->task_date ?: date('Y-m-d H:i'),
        //             'end' => $task->task_enddate ?: date('Y-m-d H:i'),
        //             'backgroundColor' => $task->background,
        //             'borderColor' => $task->background,
        //         ];
        // }
        $calander = [];

        $query = OrderTask::query();
        /*if(auth()->user()->roles[0]->id!=1){
            $query->where(function($qry){
                $qry->whereNull('user_id');
                if(auth()->user()->dep_id) {
                    $qry->wherein('department_id', auth()->user()->dep_id);
                }
            })->orwhere(function($query){
                $query->where('user_id',auth()->user()->id);
            });
        }*/
        $query->where('user_id',auth()->user()->id);
        $date = now()->subDays(7)->addDays(30);
        $requiredDate = $date->format('Y-m-d');
        $query->whereRaw("DATE(notifcation_date) <= '{$requiredDate}'");
        $tasks = $query->get();
        foreach ($tasks as $task){
                $bg = "";

                if($task->status=='معلق'){
                    $bg="#f39c12";
                }elseif($task->status=='قبول'){
                    $bg = "#008d4c";
                }elseif(in_array($task->status,['رفض'])){
                    $bg = "#d73925";
                }elseif(in_array($task->status,['مراجعة'])){
                    $bg = "#337ab7";
                }

                $calander[]=
                    [
                        'title' =>optional($task->task)->title .' | '. optional($task->client)->name .' | '.optional($task->user)->name,
                        'start'=> $task->notifcation_date,
                        'end'=> $task->notifcation_date,
                        'url'=>$task->order_id ? route('invoices.show',$task->order_id):'',
                        'backgroundColor'=> $bg,
                        'borderColor'=> $bg,
                        'id'=>$task->id,
                        'user'=>$task->user_id,
                        'status'=>$task->status
                    ];
            }
        return $calander;
    }
    public function migrate() {
        Artisan::call('migrate');
        request()->session()->flash('alert-success', 'تم دمج الدتابيز بنجاح');
        return redirect(route('home'));
    }

    public function clearCache() {
        $storageLink = public_path().'/storage';
        if (File::exists($storageLink)) {
            try{
                unlink($storageLink);
            }catch(Exception $e){

            }
        }
        Artisan::call('cache:clear');
        Artisan::call('view:clear');
        Artisan::call('config:clear');
        Artisan::call('storage:link');
        request()->session()->flash('alert-success', 'تم مسح الكاش بنجاح ');
        return redirect(route('home'));
    }
    public function backup() {
        try {

            $DB_CONNECTION = env("DB_CONNECTION");
            if($DB_CONNECTION=='sqlite'){
                $orginal = "database.sqlite";
                $copy = 'database.sqlite';
                $path = storage_path($orginal);
                File::copy($path,base_path('public/'.$copy));
                $path = public_path($copy);
                return response()->download($path, date('Y-m-d').'_'.$copy);
            }else{
                $DB_HOST = env("DB_HOST");
                $DB_DATABASE = env("DB_DATABASE");
                $DB_USERNAME = env("DB_USERNAME");
                $DB_PASSWORD = env("DB_PASSWORD");
                $dump = new Mysqldump($DB_CONNECTION.':host='.$DB_HOST.';dbname='.$DB_DATABASE, $DB_USERNAME, $DB_PASSWORD);
                $path = storage_path('app/public/work/dump.sql');
                $dump->start($path);
                return response()->download($path, date('Y-m-d').'_'.$DB_DATABASE.'_dump.sql');
            }
            //request()->session()->flash('alert-success', 'تم حفظ نسخة احتياطية بنجاح ');
            //return redirect(route('home'));
        } catch (\Exception $e) {
            echo 'mysqldump-php error: ' . $e->getMessage();
        }
    }

    public function restore(Request $request) {
        if ($request->isMethod('post')) {
            try{
                $DB_CONNECTION = env("DB_CONNECTION");
                if($DB_CONNECTION=='sqlite'){
                    $file = $request->file('file');
                    $file->storeAs('', 'database.sqlite', ['disk' => 'local']);
                }else{
                    DB::statement("SET FOREIGN_KEY_CHECKS = 0");
                    $tables = DB::select('SHOW TABLES');
                    foreach($tables as $table){
                        Schema::dropIfExists($table->Tables_in_servicing);
                    }
                    DB::statement("SET FOREIGN_KEY_CHECKS = 1");
                    $file = $request->file('file');
                    DB::unprepared(file_get_contents($file));
                }
                $request->session()->flash('alert-success', 'تم إسترجاع نسخة البيانات بنجاح');
                DB::reconnect();
                Artisan::call('migrate');
                Artisan::call('cache:clear');
                Artisan::call('view:clear');
                return redirect(route('home'));

            } catch (\Exception $e) {
                dd($e->getMessage());

            }
        }
        return view('restore');
    }

    public function carsearch(Request $request) {
        if ($request->term) {
            try{
                //$url = "http://car.test/car/searchremotly?term=". $request->term;
                $url = "https://rotanacar.com.sa/car/searchremotly?term=". $request->term;
                $client = new \GuzzleHttp\Client();
                $response = $client->get($url);
                //$contents = $response->getBody()->getContents();
                $result = json_decode($response->getBody(), true);
                return view('carsearch',compact('result'));
            } catch (\Exception $e) {
                dd($e->getMessage());

            }
        }
        return view('carsearch');
    }



}
