<?php

namespace App\Http\Controllers;

use App\Models\Lookup;
use Illuminate\Http\Request;

class LookupController extends Controller
{


    public function index()
    {
        //Lookup::fixTree();
        $type = request('type');
        $lookups = Lookup::query()
            ->where('type', $type)->get();
        return view('lookups.index', compact('lookups'));
    }

    public function create()
    {
        $type = request('type');
        $lookup = new Lookup();
        return view('lookups.create', compact('lookup', 'type'));
    }

    public function store(Request $request)
    {
        $data = $request->except('_token');
        $record = Lookup::create($data);
        return redirect(route('lookups.index') . '?type=' . $record->type)->with('alert-success', 'تمت اضافة سجل جديد بنجاح');
    }

    public function edit($id)
    {
        $lookup = Lookup::find($id);
        return view('lookups.edit', compact('lookup'));
    }

    public function update(Request $request, $id)
    {
        $data = $request->except('_token', '_method');
        $record = Lookup::find($id);
        $record->update($data);
        return redirect(route('lookups.index') . '?type=' . $record->type)->with('alert-success', 'تم تعديل البيانات بنجاح');
    }

    public function destroy($id)
    {
        $record = Lookup::find($id);
        if ($record->delete()) {
            return "done";
        }
        return "failed";
    }



    public function getbrands(Request $request)
    {
        $searchKeyword = $request->term;
        $query = Lookup::query()->where('type', 'brand')->whereNull('parent_id');
        if ($searchKeyword) {
            $query->whereRaw('LOWER(name) like "%' . strtolower($searchKeyword) . '%"');
        }
        $queries = $query->take(25)
            ->get();
        $results = [];
        foreach ($queries as $query) {
            $results[] = ['id' => $query->name, 'text' => $query->name];
        }
        return response()->json($results);
    }
    public function getmodels(Request $request)
    {
        $searchKeyword = $request->term;
        $model = request('model');
        $model = Lookup::query()->where('name', $model)->first();

        $query = Lookup::query()
            ->where('type', 'brand')
            ->where('parent_id', $model->id);
        if ($searchKeyword) {
            $query->whereRaw('LOWER(name) like "%' . strtolower($searchKeyword) . '%"');
        }
        $queries = $query->take(25)
            ->get();
        $results = [];
        foreach ($queries as $query) {
            $results[] = ['id' => $query->name, 'text' => $query->name];
        }
        return response()->json($results);
    }
    public function getcolors(Request $request)
    {
        $searchKeyword = $request->term;
        $query = Lookup::query()
            ->where('type', 'color');
        if ($searchKeyword) {
            $query->whereRaw('LOWER(name) like "%' . strtolower($searchKeyword) . '%"');
        }
        $queries = $query->take(25)
            ->get();
        $results = [];
        foreach ($queries as $query) {
            $results[] = ['id' => $query->name, 'text' => $query->name];
        }
        return response()->json($results);
    }

}