<?php

namespace App\Http\Controllers;

use App\Models\Mission;
use Illuminate\Http\Request;

class MissionController extends Controller
{

    public function __construct()
    {
        parent::__construct();
    }

    public function index()
    {
        $missions = Mission::get();
        return view('missions.index',compact('missions'));
    }

    public function create()
    {
        $mission = new Mission();
        return view('missions.create',compact('mission'));
    }

    public function store(Request $request)
    {
        $data = $request->except('_token');
        $record = Mission::create($data);
        return redirect(route('missions.index'))->with('alert-success','تمت اضافة سجل جديد بنجاح');
    }

    public function edit($id)
    {
        $mission = Mission::find($id);
        return view('missions.edit',compact('mission'));
    }

    public function update(Request $request,$id)
    {
        $data = $request->except('_token','_method');
        $record = Mission::find($id);
        $record->update($data);
        return redirect(route('missions.index'))->with('alert-success','تم تعديل البيانات بنجاح');
    }

    public function destroy($id){
        return Mission::destroy($id);
    }

}
