<?php

namespace App\Http\Controllers;

use App\Models\Status;
use Illuminate\Http\Request;

class StatusController extends Controller
{

    public function __construct()
    {
        parent::__construct();
    }

    public function index()
    {
        $list = Status::get();
        return view('status.index',compact('list'));
    }

    public function create()
    {
        $record = new Status();
        return view('status.create',compact('record'));
    }

    public function store(Request $request)
    {
        $data = $request->except('_token');
        $data['can_edit_invoices']=$request->has('can_edit_invoices');
        $record = Status::create($data);
        return redirect(route('status.index'))->with('alert-success','تمت اضافة سجل جديد بنجاح');
    }

    public function edit($id)
    {
        $record = Status::find($id);
        return view('status.edit',compact('record'));
    }

    public function update(Request $request,$id)
    {
        $data = $request->except('_token','_method');
        $record = Status::find($id);
        $data['can_edit_invoices']=$request->has('can_edit_invoices');
        $record->update($data);
        return redirect(route('status.index'))->with('alert-success','تم تعديل البيانات بنجاح');
    }

    public function destroy($id){
        return Status::destroy($id);
    }

}
