<?php

namespace App\Http\Controllers;

use App\Models\Type;
use Illuminate\Http\Request;

class TypeController extends Controller
{

    public function __construct()
    {

        parent::__construct();
    }

    public function index()
    {
        $types = Type::get();
        return view('types.index',compact('types'));
    }

    public function create()
    {
        $type = new Type();
        return view('types.create',compact('type'));
    }

    public function store(Request $request)
    {
        $data = $request->except('_token');
        $record = Type::create($data);
        return redirect(route('types.index'))->with('alert-success','تمت اضافة سجل جديد بنجاح');
    }

    public function edit($id)
    {
        $type = Type::find($id);
        return view('types.edit',compact('type'));
    }

    public function update(Request $request,$id)
    {
        $data = $request->except('_token','_method');
        $record = Type::find($id);
        $record->update($data);
        return redirect(route('types.index'))->with('alert-success','تم تعديل البيانات بنجاح');
    }

    public function destroy($id){
        return Type::destroy($id);
    }

}
