<?php

namespace App\Imports;

use App\Models\Product;
use App\Models\ProductBranche;
use Exception;
use Illuminate\Support\Facades\DB;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithBatchInserts;
use Maatwebsite\Excel\Concerns\WithChunkReading;
use Maatwebsite\Excel\Concerns\WithHeadingRow;

class ProductsImport implements ToModel, WithChunkReading, WithHeadingRow, WithBatchInserts
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */

    public function __construct()
    {

    }

    public function model(array $row)
    {
        DB::beginTransaction();
        try{
            $branche_id = auth()->user()->branche_id;
            $item = [
                'name'=>$row['alasm'],
                //'qty'=>$row['kmy_almkhzon'],
                'cost'=>$row['saar_alshraaa'],
                'price'=>$row['saar_albyaa'],
                'branche_id'=>$branche_id,
                'type'=>'قطع غيار',
                'code'=>$row['kod_almntg'],
                //'location'=>'',
                'notify_limit'=>$row['ttbaa_almkhzon']??0,
                'description'=>$row['alosf']??'',
                'model'=>$row['almark']??'',
                'tax'=>$row['aldryb']??0
            ];
            if($row['alasm']){
                $record = Product::query()->where("code",$row['kod_almntg'])->first();
                if(!$record){
                    Product::query()->create($item);
                }else{
                    $record->update($item);
                }
                $inputs['branche'] = [
                    'branche_id'=>$branche_id,
                    'qty'=>$row['kmy_almkhzon']?:0,
                    'location'=>''
                ];
                ProductBranche::query()->updateOrCreate(['product_id'=>$record->id,'branche_id'=>$inputs['branche']['branche_id']],$inputs['branche']);
                DB::commit();
            }
        }catch(Exception $e){
            DB::rollBack();
            dd($row,$e->getMessage());
        }

    }

    public function batchSize(): int
    {

        return 20000;
    }

    public function chunkSize(): int
    {
        return 20000;
    }

    public function headingRow(): int
    {
        return 1;
    }
}
