<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;

class Appointment extends Model
{
    protected $fillable = [
        'date',
        'client_id',
        'car_id',
        'branche_id',
        'creator_id',
        'note'
    ];

    public function car()
    {
        return $this->belongsTo(ClientCar::class, 'car_id', 'id');
    }
    public function setDateAttribute($value)
    {
        $this->attributes['date'] = Carbon::parse($value);
    }
    public function client()
    {
        return $this->belongsTo(Client::class)->withTrashed();
    }
    public function creator()
    {
        return $this->belongsTo(User::class, 'creator_id', 'id');
    }

    public function branche()
    {
        return $this->belongsTo(Branche::class, 'branche_id', 'id');
    }


    public function getPostDateAttribute()
    {
        $months = array("Jan" => "يناير", "Feb" => "فبراير", "Mar" => "مارس", "Apr" => "أبريل", "May" => "مايو", "Jun" => "يونيو", "Jul" => "يوليو", "Aug" => "أغسطس", "Sep" => "سبتمبر", "Oct" => "أكتوبر", "Nov" => "نوفمبر", "Dec" => "ديسمبر");
        //$your_date = $this->created_at->addDays(1)->format('Y-m-d');    //date('y-m-d'); // The Current Date
        if (!$this->date)
            return "";
        $your_date = $this->date;
        // if(app()->getLocale()=='en'){
        //     return date('l, d F Y',strtotime($your_date));
        // }
        $en_month = date("M", strtotime($your_date));
        foreach ($months as $en => $ar) {
            if ($en == $en_month) {
                $ar_month = $ar;
            }
        }
        $find = array("Sat", "Sun", "Mon", "Tue", "Wed", "Thu", "Fri");
        $replace = array("السبت", "الأحد", "الإثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة");
        $ar_day_format = date("D", strtotime($your_date)); //date('D'); // The Current Day
        $ar_day = str_replace($find, $replace, $ar_day_format);
        $day_num = date("d", strtotime($your_date));
        $year_num = date("Y", strtotime($your_date));
        header('Content-Type: text/html; charset=utf-8');
        $standard = array("0", "1", "2", "3", "4", "5", "6", "7", "8", "9");
        $eastern_arabic_symbols = array("٠", "١", "٢", "٣", "٤", "٥", "٦", "٧", "٨", "٩");
        $current_date = $ar_day . ', ' . $day_num . ' ' . $ar_month . ' ' . $year_num;
        $arabic_date = str_replace($standard, $eastern_arabic_symbols, $current_date);

        return $arabic_date;
    }
}