<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Spatie\MediaLibrary\HasMedia\HasMedia;
use Spatie\MediaLibrary\HasMedia\HasMediaTrait;

class Client extends Model implements HasMedia
{
    use SoftDeletes, HasMediaTrait;

    protected $table = 'clients';

    protected $fillable = [
        'name',
        'mobile',
        'id_number',
        'client_type',
        'address',
        'taxnumber',
        'branche_id',
        'note',
    ];

    public function invoices()
    {
        return $this->hasMany(Invoice::class, 'client_id', 'id');
    }
    public function cars()
    {
        return $this->hasMany(ClientCar::class, 'client_id', 'id');
    }

    public function scopeFilter(Builder $builder)
    {
        $from = request('fromdate');
        $to = request('todate');
        return $builder;
    }

}