<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Spatie\MediaLibrary\HasMedia\HasMedia;
use Spatie\MediaLibrary\HasMedia\HasMediaTrait;

class ClientCar extends Model implements HasMedia
{
    use HasMediaTrait;

    protected $table = 'client_cars';

    protected $fillable = [
        'client_id',
        'model',
        'car_brand',
        'chassis_no',
        'color',
        'car_number',
        'kilometer_counter',
        'branche_id',
        'note',
        'delivery_name',
        'delivery_mobile',
    ];

    public function client()
    {
        return $this->belongsTo(Client::class, 'client_id', 'id');
    }

    public function scopeFilter(Builder $builder)
    {
        $from = request('fromdate');
        $to = request('todate');
        return $builder;
    }

}