<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Kalnoy\Nestedset\NodeTrait;

class Lookup extends Model
{
    use NodeTrait;
    protected $fillable = ['name','parent_id','type'];

    public function childern(){
        return $this->hasMany(Lookup::class,'parent_id','id');
    }

    public function getFullCategoryNameAttribute(){
        $tree = $this->ancestors()->pluck('name')->toArray();
        $tree[] = $this->name;
        return implode(' > ', $tree);
    }
}
