<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Spatie\MediaLibrary\HasMedia\HasMedia;
use Spatie\MediaLibrary\HasMedia\HasMediaTrait;

class Supplier extends Model implements HasMedia
{
    use SoftDeletes, HasMediaTrait;

    protected $table = 'suppliers';

    protected $fillable = [
        'name',
        'mobile',
        'id_number',
        'tax_number',
        'note',
        'address'
    ];

    public function invoices()
    {
        return $this->hasMany(Purchase::class, 'supplier_id', 'id');
    }

    public function scopeFilter(Builder $builder)
    {
        $from = request('fromdate');
        $to = request('todate');
        return $builder;
    }

}