<?php

use App\Models\Setting;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddFieldsPurchase extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('purchases', function (Blueprint $table) {
            $table->double('tax')->nullable()->default(0)->after('total');
            $table->double('shipping')->nullable()->default(0)->after('total');
            $table->double('fees')->nullable()->default(0)->after('total');
        });
        $settingsList = [
            [ 'key' => 'feesvalue', 'name' =>'الرسوم الإدارية', 'value'=>'1400'],
        ];
        foreach($settingsList as $set){
            Setting::query()->firstOrcreate(['key' => 'feesvalue'],$set);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('purchases', function (Blueprint $table) {
            $table->dropColumn(['tax','shipping','fees']);
        });
    }
}
