<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddExtraFieldInvoices extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('invoices', function (Blueprint $table) {
            $table->boolean('review_required')->default(0)->after('tax');
            $table->string('review_status')->nullable()->after('tax');
            $table->text('review_note')->nullable()->after('tax');
        });
        Schema::table('details', function (Blueprint $table) {
            $table->string('item_status')->nullable()->after('qty');
            $table->string('item_note')->nullable()->after('qty');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('invoices', function (Blueprint $table) {
            $table->dropColumn(['review_required','review_status','review_note']);
        });
        Schema::table('details', function (Blueprint $table) {
            $table->dropColumn(['item_status','item_note']);
        });
    }
}
