<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddCarIdOffersWorkorders extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {

        Schema::table('offers', function (Blueprint $table) {
            $table->unsignedBigInteger('car_id')->nullable();
            $table->foreign('car_id')
                ->references('id')
                ->on('clientcars')
                ->onDelete('cascade');
        });
        Schema::table('workorders', function (Blueprint $table) {
            $table->unsignedBigInteger('car_id')->nullable();
            $table->foreign('car_id')
                ->references('id')
                ->on('clientcars')
                ->onDelete('cascade');
        });
        Schema::table('appointments', function (Blueprint $table) {
            $table->unsignedBigInteger('car_id')->nullable();
            $table->foreign('car_id')
                ->references('id')
                ->on('clientcars')
                ->onDelete('cascade');
        });


    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {

        Schema::table('offers', function (Blueprint $table) {
            $table->dropForeign('offers_car_id_foreign');
            $table->dropColumn(['car_id']);
        });
        Schema::table('workorders', function (Blueprint $table) {
            $table->dropForeign('workorders_car_id_foreign');
            $table->dropColumn(['car_id']);
        });
        Schema::table('appointments', function (Blueprint $table) {
            $table->dropForeign('appointments_car_id_foreign');
            $table->dropColumn(['car_id']);
        });
    }
}