<?php

namespace Database\Seeders;

use App\Models\Setting;
use App\Models\Status;
use App\Models\Type;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class SettingSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('settings')->truncate();
        $settingsList = [
            [ 'key' => 'SiteName', 'name' =>'اسم المركز', 'value'=>'شركة روتانا'],
            [ 'key' => 'Address', 'name' =>'العنوان', 'value'=>'المدينه المنوره'],
            [ 'key' => 'mobile', 'name' =>'أرقام التليفونات', 'value'=>'953434'],
            [ 'key' => 'taxnumber', 'name' =>'الرقم الضريبى', 'value'=>'۳۰۰٤۹۰۹٦۸٤۰۰۰۰۳'],
            [ 'key' => 'SiteNameEn', 'name' =>'Name ( English )', 'value'=>'Rotana Company'],
            [ 'key' => 'AddressEn', 'name' =>'Address ( English )', 'value'=>'Madina'],
            [ 'key' => 'mobileEn', 'name' =>'Mobiles ( English )', 'value'=>'953434'],
            [ 'key' => 'taxnumberEn', 'name' =>'Tax Number ( English )', 'value'=>'300490968400003'],
            [ 'key' => 'currency', 'name' =>'العملة الاساسية', 'value'=>'ر.س'],
            [ 'key' => 'tax', 'name' =>'نسبة الضريبة الأفتراضية', 'value'=>'0'],
            [ 'key' => 'InvoiceNotes', 'name' =>'اقرار التسليم', 'value'=>'<p style="text-align: right;"><span style="font-size:14px;"><strong>بهذا أوكد ان خدمة صيانة السيارة تمت على أكمل وجه وتم تسليمى السيارة بأداء عالى وقد لاقت منى كل الرضا والقبول</strong></span></p>'],
            [ 'key' => 'termsconditions', 'name' =>'الشروط والأحكام للفاتورة', 'value'=>''],
            [ 'key' => 'termsconditionsforworks', 'name' =>'الشروط والأحكام لكارت العمل', 'value'=>'<p style="text-align: right;"><span style="font-size:18px;"><strong>&nbsp;<span class="fa fa-arrow-left" style="color:rgb(0, 153, 0);"></span>&nbsp;هنا تكتب&nbsp;الشروط والأحكام <span style="color:#e74c3c;">لكارت العمل</span></strong></span></p> <p style="text-align: right;"><span style="font-size:18px;"><strong>&nbsp;<span class="fa fa-arrow-left" style="color:rgb(0, 153, 0);"></span>&nbsp;هنا تكتب&nbsp;الشروط والأحكام <span style="color:#e74c3c;">لكارت العمل</span></strong></span></p> <p style="text-align: right;"><span style="font-size:18px;"><strong>&nbsp;<span class="fa fa-arrow-left" style="color:rgb(0, 153, 0);"></span>&nbsp;هنا تكتب&nbsp;الشروط والأحكام <span style="color:#e74c3c;">لكارت العمل</span></strong></span></p> <p style="text-align: right;"><span style="font-size:18px;"><strong>&nbsp;<span class="fa fa-arrow-left" style="color:rgb(0, 153, 0);"></span>&nbsp;هنا تكتب&nbsp;الشروط والأحكام <span style="color:#e74c3c;">لكارت العمل</span></strong></span></p> <p style="text-align: right;"><span style="font-size:18px;"><strong>&nbsp;<span class="fa fa-arrow-left" style="color:rgb(0, 153, 0);"></span>&nbsp;هنا تكتب&nbsp;الشروط والأحكام <span style="color:#e74c3c;">لكارت العمل</span></strong></span></p> <p style="text-align: right;"><span style="font-size:18px;"><strong>&nbsp;<span class="fa fa-arrow-left" style="color:rgb(0, 153, 0);"></span>&nbsp;هنا تكتب&nbsp;الشروط والأحكام <span style="color:#e74c3c;">لكارت العمل</span></strong></span></p> <p style="text-align: right;"><span style="font-size:18px;"><strong>&nbsp;<span class="fa fa-arrow-left" style="color:rgb(0, 153, 0);"></span>&nbsp;هنا تكتب&nbsp;الشروط والأحكام <span style="color:#e74c3c;">لكارت العمل</span></strong></span></p> <p style="text-align: right;"><span style="font-size:18px;"><strong>&nbsp;<span class="fa fa-arrow-left" style="color:rgb(0, 153, 0);"></span>&nbsp;هنا تكتب&nbsp;الشروط والأحكام <span style="color:#e74c3c;">لكارت العمل</span></strong></span></p> <p style="text-align: right;"><span style="font-size:18px;"><strong>&nbsp;<span class="fa fa-arrow-left" style="color:rgb(0, 153, 0);"></span>&nbsp;هنا تكتب&nbsp;الشروط والأحكام <span style="color:#e74c3c;">لكارت العمل</span></strong></span></p> <p style="text-align: right;"><span style="font-size:18px;"><strong>&nbsp;<span class="fa fa-arrow-left" style="color:rgb(0, 153, 0);"></span>&nbsp;هنا تكتب&nbsp;الشروط والأحكام <span style="color:#e74c3c;">لكارت العمل</span></strong></span></p>'],
            [ 'key' => 'logo', 'name' =>'اللوجو', 'value'=>''],
        ];
        foreach($settingsList as $set){
            Setting::query()->create($set);
        }

        //\Illuminate\Support\Facades\DB::statement('SET FOREIGN_KEY_CHECKS=0');
        $records = [];

        $list = ['صيانة ضمان','صيانة كاش'];
        Type::query()->truncate();
        foreach ($list as $i=>$item){
            $records[]=['name'=>$item];
        }
        Type::query()->insert($records);

        $records = [];
        $list = ['إنتظار','تم التسليم','تم الإستلام وجارى الفحص','تم الإصلاح','مرفوض','جارى العمل'];
        $colors = ['#3498DB','#6610F2','#FFC107','#28A745','#DC3545','#3d4c54'];
        $icons = ['fa-cog','fa-thumbs-up','fa-shopping-cart','fa-tag','fa-times','fa-android'];
        Status::query()->truncate();
        foreach ($list as $i=>$item){
            $records[]=['name'=>$item,'color'=>$colors[$i],'icon'=>$icons[$i]];
        }
        Status::query()->insert($records);
        //\Illuminate\Support\Facades\DB::statement('SET FOREIGN_KEY_CHECKS=1');
    }
}
