<?php

use App\Models\Branche;
use App\Models\Role;
use App\Models\User;
use Illuminate\Database\Seeder;
use \Illuminate\Support\Facades\DB;
use Faker\Factory as Faker;
use Spatie\Permission\Models\Permission;

class UserSeeder extends Seeder
{
    protected $faker;
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $this->faker = Faker::create();
        //DB::table('users')->truncate();
        $branch = Branche::query()->firstOrCreate(['name'=>'الفرع الرئيسى'],['name'=>'الفرع الرئيسى']);
        User::query()->firstOrCreate(
            ['email'          => "ashraf"],
            [
            'name'           => "ashraf",
            'email'          => "ashraf",
            'password'       => bcrypt('123456'),
            'branche_id'=>$branch->id,
            'remember_token' => \Illuminate\Support\Str::random(10)
        ]);


        $role = Role::create(['name'=>'مسئول النظام','guard_name' => 'web']);

        Permission::insert([
          ['name' => 'Create Users','guard_name' => 'web'],
          ['name' => 'Edit Users','guard_name' => 'web'],
          ['name' => 'Delete Users','guard_name' => 'web'],
          ['name' => 'List Users','guard_name' => 'web'],
          ['name' => 'Create Roles','guard_name' => 'web'],
          ['name' => 'Edit Roles','guard_name' => 'web'],
          ['name' => 'Delete Roles','guard_name' => 'web'],
          ['name' => 'List Roles','guard_name' => 'web'],
        ]);

        $role->syncPermissions(['Create Users','Edit Users','Delete Users','List Users','Create Roles','Edit Roles','Delete Roles','List Roles']);
        $user = User::query()->firstOrCreate(['email'=>'ashraf'],['name'=>'ashraf','email'=>'ashraf','password'=>bcrypt('123456')]);
        $user->syncRoles('مسئول النظام');



        // Role::query()->where('id','>',1)->delete();
        // Role::query()->insert([
        //     ['name'=>'منسق المبيعات'],
        //     ['name'=>'المدير المالى'],
        //     ['name'=>'مدير المستودع'],
        //     ['name'=>'منسق المشتريات'],
        //     ['name'=>'المتابعة والمراقبة'],
        // ]);
        // $permisionsList = [
        //     'Create OrderTasks','Edit OrderTasks','Delete OrderTasks','List OrderTasks',
        //     'Create Persons','Edit Persons','Delete Persons','List Persons',
        //     'Create Invoices','Edit Invoices','Delete Invoices','List Invoices',
        //     'Create Cars','Edit Cars','Delete Cars','List Cars',
        //     'Create Expenses','Edit Expenses','Delete Expenses','List Expenses',
        //     'Create Tresury','Edit Tresury','Delete Tresury','List Tresury',
        //     'Create Banks','Edit Banks','Delete Banks','List Banks',
        //     'Create Cheques','Edit Cheques','Delete Cheques','List Cheques',
        //     'Create Funders','Edit Funders','Delete Funders','List Funders',
        //     'Create Products','Edit Products','Delete Products','List Products',
        // ];
        // $inserLsit = [];
        // foreach($permisionsList as $perm){
        //     $inserLsit[] =
        //     ['name' => $perm,'guard_name' => 'web'];

        // }
        // Permission::insert($inserLsit);
        // foreach(Role::where('id','>',1)->get() as $role){
        //     $role->syncPermissions($permisionsList);
        //     $email = $this->faker->unique()->safeEmail();
        //     $user = User::query()->firstOrCreate(
        //                 ['email'=>$email],
        //                 [
        //                     'name'=>$this->faker->name,
        //                     'email'=>$email,
        //                     'password'=>bcrypt('123456')
        //                 ]);
        //     $user->syncRoles($role->name);
        // }
    }
}
