@push('css')
    <!-- DataTables -->
    <link rel="stylesheet" href="{{asset('assets/plugins')}}/datatables2/dataTables.bootstrap.css">
    <link rel="stylesheet" href="{{asset('assets/plugins')}}/datatables2/buttons.dataTables.min.css">
    <link rel="stylesheet" href="{{asset('assets/plugins')}}/datatables2/fixedHeader.bootstrap.min.css">
    <link rel="stylesheet" href="{{asset('assets/plugins')}}/datatables2/responsive.bootstrap.min.css">
    <style>
        .dt-button.buttons-columnVisibility{
            display: inline-grid!important;
            width: 170px!important;
        }
        div.dt-button-collection{
            width: 370px!important;
        }
        button.dt-button:active:not(.disabled):hover:not(.disabled), button.dt-button.active:not(.disabled):hover:not(.disabled), div.dt-button:active:not(.disabled):hover:not(.disabled), div.dt-button.active:not(.disabled):hover:not(.disabled), a.dt-button:active:not(.disabled):hover:not(.disabled), a.dt-button.active:not(.disabled):hover:not(.disabled) {
            background-image: -moz-linear-gradient(top, #4aaff6 0%, #4aaff6 100%);
            background-image: linear-gradient(to bottom, #4aaff6 0%, #4aaff6 100%);
        }
    </style>
@endpush
@push('js')
    <!-- DataTables -->
    {{--<script src="{{asset('assets')}}/plugins/datatables2/jquery.dataTables.min.js"></script>--}}
    <script type="text/javascript" language="javascript" src="{{asset('assets')}}/plugins/datatables2/jquery.dataTables1.10.19.min.js"></script>
    <script src="{{asset('assets')}}/plugins/datatables2/dataTables.bootstrap.min.js"></script>
    <script type="text/javascript" src="{{asset('assets')}}/plugins/datatables2/dataTables.buttons.min.js"></script>
    <script type="text/javascript" src="{{asset('assets')}}/plugins/datatables2/buttons.flash.min.js"></script>
    <script src="{{asset('assets')}}/plugins/datatables2/jszip.min.js" type="text/javascript"></script>
    <script src="{{asset('assets')}}/plugins/datatables2/buttons.html5.min.js" type="text/javascript"></script>
    <script src="{{asset('assets')}}/plugins/datatables2/buttons.print.js" type="text/javascript"></script>
    <script src="{{asset('assets')}}/plugins/datatables2/buttons.colVis.min.js" type="text/javascript"></script>
    {{--<script src="{{asset('assets')}}/plugins/datatables2/sum().js" type="text/javascript"></script>--}}
    <script src="{{asset('assets')}}/plugins/datatables2/dataTables.fixedHeader.min.js" type="text/javascript"></script>
    <script src="{{asset('assets')}}/plugins/datatables2/dataTables.responsive.min.js" type="text/javascript"></script>
    <script src="{{asset('assets')}}/plugins/datatables2/responsive.bootstrap.min.js" type="text/javascript"></script>
    <script>


        function formatQueryString(d){
            var info = $('.dataTableList').DataTable().page.info();
            d.fromdate = $("#fromdate").val();
            d.todate = $("#todate").val();
            d.priceType = $("#priceType").val();
            d.client_id = $("#client_id").val();
            //d.pageDisplayStart = (info.page) * info.length;
            return d;
        }
        var table  = $('.dataTableTT').DataTable({
            dom: 'Blfrtip',  //Blfrtip if need to show lengthMenu
            "scrollX": true,
            pageLength: 25,
            lengthMenu: [[ 25, 50,100,500, -1], [25, 50,100,500, "الكل"]],
            responsive: true,
            select: true,
            processing: false,
            "language": {
                "url": "{{asset('assets/plugins/datatables2/Arabic.json')}}"
            },
            buttons: [
                //{ extend:'copy',text: 'نسخ' },
                {
                    extend: 'excel',
                    text: "تحميل اكسيل",
                    title:"قائمة "+document.title,
                    exportOptions: {
                        columns: 'th:not(:last-child)'
                    },
                },
                {
                    extend: 'print',
                    footer: true,
                    text:"طباعة",
                    title: '',
                    repeatingHead: {
                        logo: "",
                        //logoPosition: 'left',
                        logoStyle: '',
                        title: '<h4 style="font-weight: bold;" class="text-center">قائمة '+document.title+'</h4>'
                    },
                    exportOptions: {
                        stripHtml: false,
                        columns: 'th:not(:last-child)'
                    },
                    customize: function (win) {
                        var tit = $(win.document.body).find('.boxTiT').html();
                        if(tit != undefined)
                            $(win.document.body).find('h4:last').after('<h4 class="text-center">'+tit+'</h4>');
                        $(win.document.body).find('table').css('direction', 'rtl');

                        /* setTimeout(function () {
                             win.print();
                         }, 300);
                         return true;*/
                    },
                    action  : function(e, dt, button, config) {
                        $("head").append('<style>@media print { html, body {overflow: hidden; } } </style>');
                        $.fn.dataTable.ext.buttons.print.action(e, dt, button, config);
                        /*setTimeout(function(){
                            $.fn.dataTable.ext.buttons.print.action(e, dt, button, config);
                        }, 1000);*/
                    }
                }
            ],
            "columnDefs": [{
                "targets": 'no-sort',
                "orderable": false,
            }],
        });
        function getData(){
            var vars = [], hash;
            var hashes = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&');
            for(var i = 0; i < hashes.length; i++)
            {
                hash = hashes[i].split('=');
                vars.push(hash[0]);
                vars[hash[0]] = hash[1];
            }
            return vars;
        }
        if(typeof pageUrl!='undefined') {
            var parm = getData();
            let filter = [];
            parm.forEach(element => {
                if(parm[element]){
                    filter.push(element+"="+parm[element]);
                }
            });
            let dataFilter = filter.join("&");
            var table = $('#serverSideTable').DataTable({
                dom: 'Blfrtip',  //Blfrtip if need to show lengthMenu Bfrtip
                "scrollX": true,
                pageLength: 25,
                responsive: false,
                lengthMenu: [[25, 50, 100, 200, 500, 800, -1], [25, 50, 100, 200, 500, 800, "عرض الكل"]],
                select: true,
                "order": [[0, "DESC"]],
                "language": {
                    "url": "{{asset('assets/plugins/datatables2/Arabic.json')}}"
                },
                buttons: [

                    {
                        extend: 'colvis',
                        text: "إظهار وإخفاء عمود",
                    },

                    {
                        extend: 'excel',
                        text: "تحميل اكسيل",
                        title: "قائمة " + document.title,
                        /*exportOptions: {
                            columns: 'th:not(:last-child)'
                        },*/
                    },
                    {
                        extend: 'print',
                        footer: true,
                        text: "طباعه",
                        title: '',
                        exportOptions: {
                            stripHtml: false,
                            columns: 'th:not(:last-child)'
                        },
                    }
                ],
                processing: '<i class="fa fa-spinner fa-spin fa-3x fa-fw"></i><span class="sr-only">Loading...</span> ',
                serverSide: true,
                deferRender:true,
                ajax: {
                    url: pageUrl+"?"+dataFilter,
                    data: function (d) {
                        return formatQueryString(d);
                    },
                    "dataSrc": function ( json ) {
                        if ($("#totalOrder").length && json.totalOrder) {
                            var t = json.totalOrder;
                            $("#totalOrder").html(t);
                        }
                        if ($("#countInvoices").length && json.countInvoices) {
                            var t = json.countInvoices;
                            $("#countInvoices").html(t);
                        }
                        if ($("#totalProfit").length && json.totalProfit) {
                            var t = json.totalProfit;
                            $("#totalProfit").html(t);
                        }
                        return json.data;
                    }
                },
                columns: columns
            });
            table.on( 'order.dt search.dt', function () {
                table.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
                    cell.innerHTML = i+1;
                } );
            } ).draw();
        }
    </script>
@endpush
