@php
    $route = route('clients.create', ['req' => 'ajax']);
@endphp
<!-- general form elements -->
<div class="box box-success">
    {{-- <div class="box-header with-border">
        <h3 class="box-title">Quick Example</h3>
    </div> --}}
    <!-- /.box-header -->
    <div class="box-body">
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                <li class="active"><a href="#tab_1" data-toggle="tab" aria-expanded="true">التفاصيل</a></li>
            </ul>
            <div class="tab-content">
                <div class="tab-pane active" id="tab_1">
                    <div class="row">
                        <div class="form-group col-md-4">
                            <label>تاريخ / وقت الحجز</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-clock-o"></i>
                                </div>
                                <input type="text" class="form-control datetimepicker" name="date"
                                    value="{{ $item->date ?? date('Y-m-d h:i A') }}" required>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>العميل</label>
                                <div class="input-group">
                                    <select data-url="{{ route('getClientsList') }}" name="client_id" id="personList"
                                        class="form-control select2AjaxRequest">
                                        <option value="">--- العميل ---</option>

                                        @if (isset($per) && !empty($per))
                                            <option selected
                                                {{ isset($item->client_id) && $per->id == $item->client_id ? 'selected' : '' }}
                                                value="{{ $per->id }}">
                                                {{ $per->id . ' - ' . $per->name . ' - ' . $per->mobile . ' - ' . $per->model }}
                                            </option>
                                        @endif
                                    </select>
                                    <div class="input-group-addon no-print" style="padding: 2px 5px;">
                                        <a href="{{ $route }}" class="external" data-toggle="modal"
                                            data-target="#myModal">
                                            <i class="fa fa-2x fa-plus-circle"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label> السيارة</label>
                                <select style="width: 100%" id="carListSelect2" name="car_id"
                                    data-url="{{ route('getClientCarsList') }}" class="form-control">
                                    <option value="">--- إختر ---</option>
                                    @if (isset($item->car_id))
                                        <option selected value="{{ $item->car_id }}">
                                            {{ optional($item->car)->car_number . '-' . optional($item->car)->car_brand . '-' . optional($item->car)->model }}
                                        </option>
                                    @endif
                                </select>
                            </div>
                        </div>
                    </div>


                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>ملاحظات</label>
                                <textarea name="note" class="form-control">{{ $item->note ?? '' }}</textarea>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /.box-body -->

    <div class="box-footer">
        <button type="submit" class="btn btn-primary">حفظ</button>
    </div>
</div>
<!-- /.box -->
@push('css')
@endpush
@push('js')
    <script>
        $(".select2").select2();
        $('body').on('submit', 'form', function(e) {
            //e.preventDefault();
            var $btn = $(this).find(':submit');
            if ($btn.hasClass('disabled')) return false;
            $btn.attr('data-loading-text', "<i class='fa fa-circle-o-notch fa-spin'></i> حفظ");
            $btn.button('loading');
            setTimeout(function() {
                $btn.button('reset');
            }, 3000);
        });
    </script>
@endpush
@push('js')
    <script>
        $('#carListSelect2').select2({
            placeholder: "إختر السيارة",
            ajax: {
                url: function() {
                    return $(this).attr('data-url');
                },
                dataType: 'json',
                data: function(params) {
                    return {
                        term: params.term,
                        client_id: $('#personList').val(),
                    };
                },
                processResults: function(response) {
                    return {
                        results: response
                    };
                },
                cache: true,
            }
        });
    </script>
@endpush
