@extends('layouts.front')
@section('content')
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            بحث عن سيارة
            <small></small>
        </h1>
    </section>

    <!-- Main content -->
    <section class="content">
        <form enctype="multipart/form-data" action="{{route('carsearch')}}" method="get">
            <div class="box box-success">
                {{--<div class="box-header with-border">
                    <h3 class="box-title">Quick Example</h3>
                </div>--}}
                <!-- /.box-header -->
                    <div class="box-body">
                        <div class="row">
                            <div class="form-group col-md-12">
                                <label>كلمة البحث</label>
                                <input placeholder="ابحث برقم الشاسيه او رقم اللوحة" name="term" class="form-control" value="{{ request('term')??'' }}">
                            </div>
                        </div>
                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer">
                        <button type="submit" class="btn btn-primary">بحث</button>
                    </div>
            </div>
        </form>
        @if(isset($result) && !empty($result))
        <div class="box box-success">
            <div class="box-header with-border">
                <h3 class="box-title">نتيجة البحث</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
                <div class="row">
                    <div class="col-md-12">
                        @if($result['isSuccess'])
                            <table>
                                <tr>
                                    <td>
                                        <table class="table table-bordered">
                                            <tr>
                                                <td>الفرع</td>
                                                <td>{{ $result['data']['branche'] }}</td>
                                            </tr>
                                            <tr>
                                                <td>اسم العميل</td>
                                                <td>

                                                    {{ $result['data']['client_name'] }}
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>رقم الموبيل</td>
                                                <td>{{ $result['data']['client_mobile'] }}</td>
                                            </tr>
                                            <tr>
                                                <td>رقم الهوية</td>
                                                <td>{{ $result['data']['id_number'] }}</td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        <table class="table table-bordered">
                                            <tr>
                                                <td>تاريخ الفاتورة</td>
                                                <td>{{ $result['data']['date'] }}</td>
                                            </tr>
                                            <tr>
                                                <td>الماركه</td>
                                                <td>{{ $result['data']['model'] }}</td>
                                            </tr>
                                            <tr>
                                                <td>رقم الشاسيه</td>
                                                <td>{{ $result['data']['chassis_no'] }}</td>
                                            </tr>
                                            <tr>
                                                <td>رقم للوحة</td>
                                                <td>{{ $result['data']['car_number'] }}</td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <form action="{{ route('clients.store') }}" method="post">
                                            @csrf
                                            <input type="hidden" value="{{ $result['data']['client_name'] }}" name="name"/>
                                            <input type="hidden" value="{{ $result['data']['client_mobile'] }}" name="mobile"/>
                                            <input type="hidden" value="{{ $result['data']['id_number'] }}" name="id_number"/>
                                            <input type="hidden" value="{{ $result['data']['model'] }}" name="model"/>
                                            <input type="hidden" value="{{ $result['data']['chassis_no'] }}" name="chassis_no"/>
                                            <input type="hidden" value="{{ $result['data']['car_number'] }}" name="car_number"/>
                                            <button type="submit" class="btn btn-success">اضافة العميل</button>
                                        </form>
                                    </td>
                                </tr>
                            </table>
                        @else
                            <div class="alert alert-danger alert-dismissible">
                                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                <h4><i class="icon fa fa-ban"></i> لا توجد بيانات!</h4>
                                لا توجد نتيجة للبحث
                          </div>
                        @endif
                    </div>
                </div>
            </div>
        </div>
        @endif
    </section>
</div>
@stop
