    <div class="box box-primary">
        <div class="box-body">
            <div class="row">
                <div class="col-md-4">
                    <div class="form-group">
                        <label>العميل</label>
                        @php
                            $per = $client->client ?? '';
                        @endphp
                        <div class="input-group">
                            <select required data-url="{{ route('getClientsList') }}" name="client_id" id="personList"
                                class="form-control select2AjaxRequest">
                                <option value="">--- إختر ---</option>
                                @if (isset($per) && !empty($per))
                                    <option selected value="{{ $per->id }}">
                                        {{ $per->id . ' - ' . $per->name . ' - ' . $per->mobile }}
                                    </option>
                                @endif
                            </select>
                            <div class="input-group-addon no-print" style="padding: 2px 5px;">
                                <a href="{{ route('clients.create', ['req' => 'ajax']) }}" class="external"
                                    data-toggle="modal" data-target="#myModal">
                                    <i class="fa fa-2x fa-plus-circle"></i>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label>ماركة السيارة</label>
                        <select style="width: 100%" id="brandList" name="car_brand" data-placeholder="إختر الماركة"
                            data-url="{{ route('getbrands') }}" class="form-control select2AjaxRequest">
                            @if (isset($client->car_brand))
                                <option selected value="{{ $client->car_brand }}">
                                    {{ $client->car_brand }}
                                </option>
                            @endif
                        </select>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label>موديل السيارة</label>
                        <select style="width: 100%" id="modelSelect2" name="model" data-placeholder="إختر الموديل"
                            data-url="{{ route('getmodels') }}" class="form-control">
                            @if (isset($client->model))
                                <option selected value="{{ $client->model }}">
                                    {{ $client->model }}
                                </option>
                            @endif
                        </select>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <div class="form-group customOptions">
                        <label>اللون</label>
                        <select style="width: 100%" name="color" data-placeholder="إختر اللون"
                            data-url="{{ route('getcolors') }}" class="form-control select2AjaxRequest">
                            @if (isset($client->color))
                                <option selected value="{{ $client->color }}">
                                    {{ $client->color }}
                                </option>
                            @endif
                        </select>
                    </div>
                </div>

                <div class="col-md-4">
                    <div class="form-group">
                        <label for="address">رقم الشاسيه</label>
                        <input name="chassis_no" value="{{ $client->chassis_no ?? '' }}" type="text"
                            class="form-control">
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label>رقم اللوحة</label>
                        <input name="car_number" value="{{ $client->car_number ?? '' }}" type="text"
                            class="form-control">
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label>اسم من أحضر السيارة</label>
                        <input name="delivery_name" value="{{ $client->delivery_name ?? '' }}" type="text"
                            class="form-control">
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label>جوال من أحضر السيارة</label>
                        <input name="delivery_mobile" value="{{ $client->delivery_mobile ?? '' }}" type="text"
                            class="form-control">
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label>مرفقات</label>
                        <input multiple name="attachments[]" type="file" class="form-control ">
                        @if (isset($client))
                            @foreach ($client->getMedia('attachments') as $file)
                                <div class="col-md-2 imageContainer">
                                    @php
                                        $filepath = $file->getUrl();
                                        $extension = $file->mime_type;
                                    @endphp
                                    @if (in_array($extension, ['image/jpeg', 'image/png']))
                                        <img style="width: 100px;" src="{{ $filepath }}">
                                    @else
                                        <a style="margin-bottom: 5px;" target="_blank" href="{{ $filepath }}"
                                            class="btn btn-sm btn-warning">View </a>
                                    @endif
                                    <a class="btn btn-danger btn-sm deleteImg" rel="{{ $file->id }}"
                                        href="#"><i class="fa fa-trash close_button"></i></a>
                                </div>
                            @endforeach
                        @endif
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label for="note">تفاصيل وملاحظات</label>
                        <textarea name="note" class="form-control">{{ $client->note ?? '' }}</textarea>
                    </div>
                </div>
            </div>
        </div>
        <div class="box-footer">
            <button type="submit" class="btn btn-primary">حفظ</button>
        </div>
    </div>
    <!-- /.box -->
    @push('js')
        <script>
            $('.select2AjaxRequest').select2({
                ajax: {
                    url: function() {
                        return $(this).attr('data-url');
                    },
                    dataType: 'json',
                    data: function(params) {
                        return {
                            term: params.term
                        };
                    },
                    processResults: function(response) {
                        return {
                            results: response
                        };
                    },
                    cache: true,
                    minimumInputLength: 1,
                }
            });
            $('#modelSelect2').select2({
                placeholder: "إختر الموديل",
                ajax: {
                    url: function() {
                        return $(this).attr('data-url');
                    },
                    dataType: 'json',
                    data: function(params) {
                        return {
                            term: params.term,
                            model: $('#brandList').val(),
                        };
                    },
                    processResults: function(response) {
                        return {
                            results: response
                        };
                    },
                    cache: true,
                }
            });
            $('body').on('submit', 'form', function(e) {
                var $btn = $(this).find(':submit');
                if ($btn.hasClass('disabled')) return false;
                $btn.attr('data-loading-text', "<i class='fa fa-circle-o-notch fa-spin'></i> @lang('front.Saving ...')");
                $btn.button('loading');
                setTimeout(function() {
                    $btn.button('reset');
                }, 3000);
            });
        </script>
    @endpush
