<!-- general form elements -->
<section class="content">
    <div class="box ">
        <div class="box-body">
            <input value="{{ request()->req }}" name="reqType" type="hidden">
            <div class="row">
                <div class="form-group col-md-4">
                    <label>نوع العميل</label>
                    <select required name="client_type" class="form-control">
                        @foreach (['فرد', 'شركة'] as $s)
                            <option @if (isset($client) && $client->client_type == $s) selected="selected" @endif
                                value="{{ $s }}"> {{ $s }} </option>
                        @endforeach
                    </select>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label for="name">اسم مالك السيارة</label>
                        <input required name="name" value="{{ $client->name ?? '' }}" type="text"
                            class="form-control" id="name">
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label for="id_number">رقم الهوية</label>
                        <input name="id_number" value="{{ $client->id_number ?? '' }}" type="text"
                            class="form-control" id="id_number">
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <div class="form-group">
                        <label>رقم الجوال</label>
                        <input required name="mobile" value="{{ $client->mobile ?? '' }}" type="text"
                            class="form-control">
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label>العنوان</label>
                        <input name="address" value="{{ $client->address ?? '' }}" type="text" class="form-control">
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label>الرقم الضريبي</label>
                        <input name="taxnumber" value="{{ $client->taxnumber ?? '' }}" type="text"
                            class="form-control">
                    </div>
                </div>

            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label>مرفقات</label>
                        <input multiple name="attachments[]" type="file" class="form-control ">
                        @if (isset($client))
                            @foreach ($client->getMedia('attachments') as $file)
                                <div class="col-md-2 imageContainer">
                                    @php
                                        $filepath = $file->getUrl();
                                        $extension = $file->mime_type;
                                    @endphp
                                    @if (in_array($extension, ['image/jpeg', 'image/png']))
                                        <img style="width: 100px;" src="{{ $filepath }}">
                                    @else
                                        <a style="margin-bottom: 5px;" target="_blank" href="{{ $filepath }}"
                                            class="btn btn-sm btn-warning">View </a>
                                    @endif
                                    <a class="btn btn-danger btn-sm deleteImg" rel="{{ $file->id }}"
                                        href="#"><i class="fa fa-trash close_button"></i></a>
                                </div>
                            @endforeach
                        @endif
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label for="note">تفاصيل وملاحظات</label>
                        <textarea name="note" class="form-control">{{ $client->note ?? '' }}</textarea>
                    </div>
                </div>
            </div>
        </div>
        <div class="box-footer">
            <button type="submit" class="btn btn-primary">حفظ</button>
        </div>
    </div>
</section>
<!-- /.box -->
<script>
    $('.select2AjaxRequest').select2({
        tags: tags,
        ajax: {
            url: function() {
                return $(this).attr('data-url');
            },
            dataType: 'json',
            data: function(params) {
                return {
                    term: params.term
                };
            },
            processResults: function(response) {
                return {
                    results: response
                };
            },
            cache: true,
            minimumInputLength: 1,
        }
    });
    $('#modelSelect2').select2({
        placeholder: "إختر الموديل",
        ajax: {
            url: function() {
                return $(this).attr('data-url');
            },
            dataType: 'json',
            data: function(params) {
                return {
                    term: params.term,
                    model: $('#brandList').val(),
                };
            },
            processResults: function(response) {
                return {
                    results: response
                };
            },
            cache: true,
        }
    });
</script>
@push('js')
    <script>
        $('body').on('submit', 'form', function(e) {
            var $btn = $(this).find(':submit');
            if ($btn.hasClass('disabled')) return false;
            $btn.attr('data-loading-text', "<i class='fa fa-circle-o-notch fa-spin'></i> @lang('front.Saving ...')");
            $btn.button('loading');
            setTimeout(function() {
                $btn.button('reset');
            }, 3000);
        });
    </script>
@endpush
@if (request()->req == 'ajax')
    <script>
        $("#personForm").submit(function(e) {
            e.preventDefault();
            var form = $(this);
            var url = form.attr('action');
            e.preventDefault();
            $.ajax({
                type: "POST",
                url: url,
                data: form.serialize(),
                success: function(data) {
                    $("#personList").empty();
                    $("#personList").append(data);
                    $("#personList option:last").attr("selected", "selected");
                    $('#myModal').modal('toggle');
                    $("#personList").trigger('change');
                }
            });
        });
    </script>
@endif
