@extends('layouts.front')
@section('title', 'قائمة العملاء')
@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                العملاء
                @if ($currentUser->can('Create Clients'))
                    <a data-toggle="modal" data-target="#myModal" class="btn btn-success pull-right"
                        href="{{ route('clients.create') }}"><i class="fa fa-plus"></i> إضافة</a>
                @endif
            </h1>
        </section>

        <!-- Main content -->
        <section class="content">

            <div class="row">
                <div class="col-xs-12">
                    <div class="box">
                        {{-- <div class="box-header">
                     <h3 class="box-title">Data Table With Full Features</h3>
                 </div> --}}
                        <!-- /.box-header -->
                        <div class="box-body">
                            <table id="serverSideTable" class="table table-bordered table-striped">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>الاسم</th>
                                        <th>رقم الجوال</th>
                                        <th>رقم الهوية</th>
                                        <th>نوع العميل</th>
                                        <th>العنوان</th>
                                        <th>الرقم الضريبي</th>
                                        <th class="no-sort"></th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </section>
        <!-- /.content -->

        <div id="myModal" class="modal fade" style="overflow:hidden;" role="dialog" aria-labelledby="myModalLabel">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                        <h4 class="modal-title"></h4>
                    </div>
                    <div class="modal-body">
                        <p class="text-center">
                        <div class="fa-3x text-center"><i class="fa fa-cog fa-spin"></i>
                            << جارى التحميل>>
                        </div>
                        </p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-outline pull-left" data-dismiss="modal">إغلاق</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
<script>
    var pageUrl = "{{ route('clients.index') }}";
    var columns = [];
    columns.push({
            data: null,
            name: '#',
            orderable: false,
            searchable: false
        },
        //{data: "branche", name: "branche"},
        {
            data: "name",
            name: "name"
        }, {
            data: "mobile",
            name: "mobile"
        }, {
            data: "id_number",
            name: "id_number"
        },

        {
            data: "client_type",
            name: "client_type"
        }, {
            data: "address",
            name: "address"
        }, {
            data: "taxnumber",
            name: "taxnumber"
        }, {
            data: 'actions',
            name: 'actions',
            orderable: false,
            searchable: false
        }
    );
</script>
@include('_partial.datatable')
@push('js')
    <script>
        $('.datepicker').datepicker({
            autoclose: true,
            rtl: true,
            format: 'yyyy-mm-dd',
            language: "ar",
        });
        $('.select2List').select2();
    </script>
@endpush
