@extends('layouts.front')
@section('content')
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-md-12">
                    <div class="box">

                        <div class="box-body">
                            @if($currentUser->can('List Clients'))
                                <a href="{{route('clients.index')}}" class="btn btn-success btn-app">
                                    <i class="fa fa-users"></i> العملاء
                                </a>
                            @endif
                          @if($currentUser->can('List Invoices'))
                            <a href="{{route('invoices.index')}}" class="btn btn-primary btn-app">
                                <i class="fa fa-calculator"></i>  فواتير الصيانة
                            </a>
                          @endif
                          @if($currentUser->can('Create Products'))
                                <a href="{{route('products.index')}}" class="btn btn-info btn-app">
                                    <i class="fa fa-qrcode"></i> قطع الغيار
                                </a>
                          @endif
                          @if($currentUser->can('Create Transactions'))
                            <a data-toggle="modal" data-target="#myModal" href="{{route('transactions.create')}}?trans_type=قبض" class="btn btn-warning btn-app">
                                <i class="fa fa-save"></i> سند قبض
                            </a>
                          @endif
                          @if($currentUser->can('Create Transactions'))
                            <a data-toggle="modal" data-target="#myModal" href="{{route('transactions.create')}}?trans_type=صرف" class="btn btn-danger btn-app">
                                <i class="fa fa-money"></i> سند صرف
                            </a>
                          @endif
                          @if($currentUser->can('Create WorkOrders'))
                            <a href="{{route('workorders.create')}}" class="btn btn-primary btn-app">
                                <i class="fa fa-automobile"></i>  أمر شغل جديد
                            </a>
                          @endif
                          @if($currentUser->can('Create Offers'))
                          <a href="{{route('offers.create')}}" class="btn btn-warning btn-app">
                            <i class="fa fa-file-powerpoint-o"></i>  عرض سعر
                          </a>
                          @endif
                          @if($currentUser->can('List Purchases'))
                            <a href="{{route('purchases.index')}}" class="btn btn-success btn-app">
                                <i class="fa fa-truck"></i> المشتريات
                            </a>
                          @endif
                          @if($currentUser->can('Create Purchases'))
                            <a href="{{route('purchases.create')}}" class="btn btn-info btn-app">
                                <i class="fa fa-shopping-cart"></i> اضافة فاتورة مشتريات
                            </a>
                          @endif
                        </div>
                        <!-- /.box-body -->
                      </div>
                </div>
            </div>
            <div class="row">
                @if(isset($summery) && !empty($summery))
                    @foreach($summery as $s)
                    <div class="col-12 col-sm-6 col-md-4">
                        <div class="info-box">
                            <a href="">
                            <span style="background-color: {{$s['color']??''}};color: #fff;" class="info-box-icon elevation-1">
                                <i class="fa {{$s['icon']}}"></i>
                            </span>
                            </a>
                          <div class="info-box-content">
                            <span class="info-box-text">{{$s['title']??''}}</span>
                            <span class="info-box-number">
                                {{$s['count']??''}}
                            </span>
                          </div>
                          <!-- /.info-box-content -->
                          <div class="info-box-footer">
                                <a style="margin-right: 10px;" href="{{route('invoices.index')}}?status={{$s['id']}}" class="small-box-footer">تفاصيل <i class="fa fa-arrow-circle-left"></i></a>
                          </div>
                        </div>
                        <!-- /.info-box -->
                      </div>
                    @endforeach
                @endif
            </div>

            <div class="row">
                <div class="col-md-12">
                    <div class="box box-primary">
                        <div class="box-body no-padding">
                            <div class="row" style="margin-top: 10px; margin-right: -5px;">
                                <div class="col-md-3">
                                    <i style="color: #FF9800;" class="fa fa-square fa-2x"></i> <span class="colortextspan">معلق</span>
                                </div>
                                <div class="col-md-3">
                                    <i style="color: #337ab7;" class="fa fa-square fa-2x"></i>  <span class="colortextspan">مراجعة</span>
                                </div>
                                <div class="col-md-3">
                                    <i style="color: #008d4c;" class="fa fa-square fa-2x"></i> <span class="colortextspan">قبول</span>
                                </div>
                                <div class="col-md-3">
                                    <i style="color: #d73925;" class="fa fa-square fa-2x"></i> <span class="colortextspan">رفض</span>
                                </div>
                            </div>
                            <!-- THE CALENDAR -->
                            <div id="calendar"></div>
                        </div>
                        <!-- /.box-body -->
                    </div>
                    <!-- /. box -->
                </div>
                <!-- /.col -->
            </div>
        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
@stop

@push('css')
    <style>
        .btn-app{
            margin: 0 5px 10px 0;
        }
        .fc-day-grid-event>.fc-content {
            white-space: normal;
            direction: rtl;
            font-size: 11px;
            text-align: center;
        }
        .colortextspan {
            position: absolute;
            top: 4px;
            right: 45px;
        }
        .sumry{
            padding: 5px;
            margin-top: 10px;
            border: 1px solid #222d32;
            border-radius: 15px;
        }
        .snum{
            float: left;
            margin-left: 10px;
        }
    </style>
@endpush
@push('js')
    <!-- fullCalendar 2.2.5 -->
    <script src="{{asset('assets')}}/dist/js/moment.min.js"></script>
    <script src="{{asset('assets')}}/plugins/fullcalendar/fullcalendar.min.js"></script>
    <!-- Page specific script -->
    <script>
        $(function () {

            /* initialize the external events
             -----------------------------------------------------------------*/
            function ini_events(ele,id) {
                if(id === undefined)
                {
                    id = '';
                }
                ele.each(function () {
                    // create an Event Object (http://arshaw.com/fullcalendar/docs/event_data/Event_Object/)
                    // it doesn't need to have a start or end
                    var eventObject = {
                        title: $.trim($(this).text()), // use the element's text as the event title
                        id:id,
                    };

                    // store the Event Object in the DOM element so we can get to it later
                    $(this).data('eventObject', eventObject);

                    // make the event draggable using jQuery UI
                    $(this).draggable({
                        zIndex: 1070,
                        revert: true, // will cause the event to go back to its
                        revertDuration: 0  //  original position after the drag
                    });

                });
            }

            ini_events($('#external-events div.external-event'));

            /* initialize the calendar
             -----------------------------------------------------------------*/
            //Date for the calendar events (dummy data)
            var date = new Date();
            var d = date.getDate(),
                m = date.getMonth(),
                y = date.getFullYear();
            $('#calendar').fullCalendar({
                header: {
                    left: 'prev,next today',
                    center: 'title',
                    right: 'month,agendaWeek,agendaDay'
                },
                buttonText: {
                    today: 'today',
                    month: 'month',
                    week: 'week',
                    day: 'day'
                },
                //Random default events
                events    : JSON.parse(calander),

                editable: false,
                droppable: false, // this allows things to be dropped onto the calendar !!!
                drop: function (date, allDay) { // this function is called when something is dropped

                    // retrieve the dropped element's stored Event Object
                    var originalEventObject = $(this).data('eventObject');

                    // we need to copy it, so that multiple events don't have a reference to the same object
                    var copiedEventObject = $.extend({}, originalEventObject);

                    // assign it the date that was reported
                    copiedEventObject.start = date;
                    copiedEventObject.allDay = allDay;
                    copiedEventObject.backgroundColor = $(this).css("background-color");
                    copiedEventObject.borderColor = $(this).css("border-color");

                    // render the event on the calendar
                    // the last `true` argument determines if the event "sticks" (http://arshaw.com/fullcalendar/docs/event_rendering/renderEvent/)
                    $('#calendar').fullCalendar('renderEvent', copiedEventObject, true);
                    var isNew = true;
                    // is the "remove after drop" checkbox checked?
                    if ($('#drop-remove').is(':checked')) {
                        // if so, remove the element from the "Draggable Events" list
                        $(this).remove();
                        isNew = false;
                    }
                    updateEventTimes(copiedEventObject,isNew);

                },
                eventDrop: function( event, delta, revertFunc, jsEvent, ui, view ) {
                    //console.log(event.id);
                    updateEventTimes(event,false);
                },
                eventResize:function( event, delta, revertFunc, jsEvent, ui, view ) {

                    updateEventTimes(event,false);
                },
                // eventClick:  function(event, jsEvent, view) {
                //     if(!event.url) return false;
                //     jsEvent.preventDefault();
                //     $.ajax({
                //         url: event.url,
                //         method: 'get',
                //         success: function (result) {
                //             //$('#modalTitle').html(event.title);
                //             $('#myModal .modal-body').html(result);
                //             $('#myModal').modal();
                //         }
                //     });

                //     },
                });

            /* ADDING EVENTS */
            var currColor = "#3c8dbc"; //Red by default
            //Color chooser button
            var colorChooser = $("#color-chooser-btn");
            $("#color-chooser > li > a").click(function (e) {
                e.preventDefault();
                //Save color
                currColor = $(this).css("color");
                //Add color effect to button
                $('#add-new-event').css({"background-color": currColor, "border-color": currColor});
            });
            $("#add-new-event").click(function (e) {
                e.preventDefault();
                //Get value and make sure it is not null
                var val = $("#new-event").val();
                if (val.length == 0) {
                    return;
                }
                $.ajax({
                    url: '{{route('task.save')}}',
                    method: 'POST',
                    data:{
                        _token: "{{ csrf_token() }}",
                        background:currColor,
                        title:val,
                    },
                    success: function (data) {
                        data = JSON.parse(data);
                        //console.log(data);
                        //Create events
                        var event = $("<div />");
                        event.css({"background-color": currColor, "border-color": currColor, "color": "#fff"}).addClass("external-event");
                        event.html(val);
                        $('#external-events').prepend(event);

                        //Add draggable funtionality
                        ini_events(event,data.id);
                        //Remove event from text input
                        $("#new-event").val("");
                    }
                });

            });
        });

        function updateEventTimes(event,isNew) {
            //console.log(event.id);
            if (isNew === undefined) {
                isNew = false;
            }
            if(event.id){
                var start = '';
                var end = '';
                if(event.start != undefined){
                    start = event.start.format();
                    end = start;
                }
                if(event.end != undefined){
                    end = event.end.format();
                }
                $.ajax({
                    url: '{{route('task.save')}}',
                    method: 'POST',
                    data:{
                        id:event.id,
                        _token: "{{ csrf_token() }}",
                        task_date:start,
                        task_enddate:end,
                        isNew:isNew
                    },
                    success: function (data) {

                    }
                });
            }
        };
    </script>
@endpush
