@extends('layouts.front')
@section('title','الفواتير')
@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                الفواتير وطلبات الصيانة
                @if($currentUser->can('Create Invoices'))
                    <a class="btn btn-success pull-right" href="{{route('invoices.create')}}" ><i class="fa fa-plus"></i> إضافة</a>
                @endif
            </h1>
        </section>

        <!-- Main content -->
        <section class="content">
            @include('_partial.orderfilter')
            <div class="row">
                <div class="col-xs-12">
                    <div class="box">
                        {{--<div class="box-header">
                            <h3 class="box-title">Hover Data Table</h3>
                        </div>--}}
                        <!-- /.box-header -->
                        <div class="box-body">
                            <table id="serverSideTable" class="table table-bordered table-hover">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    {{-- <th>الفرع</th> --}}
                                    <th>التاريخ</th>
                                    <th>النوع</th>
                                    <th>الحالة</th>
                                    <th>المستخدم</th>
                                    <th>العميل</th>
                                    <th>طريقة الدفع</th>
                                    <th>الإجمالى</th>
                                    <th>المدفوع</th>
                                    <th>المتبقى</th>
                                    <th>المهمة الحالية</th>
                                    <th></th>
                                </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
@stop

<script>
    var pageUrl = "{{route('invoices.index')}}";
    var columns =  [];

    columns.push(
        {data:null,name:'#', orderable: false, searchable: false},
        //{data: "branche", name: "branche"},
        {data: "post_date", name: "post_date"},
        {data: "type", name: "type"},
        {data: "status", name: "status"},
        {data: "creator", name: "creator"},
        {data: "client", name: "client"},
        {data: "payment", name: "payment"},
        {data: "total", name: "total"},
        {data: "total_paid", name: "total_paid"},
        {data: "total_due", name: "total_due"},
        {data: "current_task", name: "current_task"},
        {data:'actions',name:'actions', orderable: false, searchable: false}
    );
</script>
@include("_partial.datatable")
