@extends('layouts.front')
@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header hideprint">
            <h1>
                تفاصيل الفاتورة رقم

                <small>
                    {{ $order->id }}
                </small>
                <a class="btn print-window pull-right" href="javascript:void(0)" onclick="window.print();" role="button">
                    <i class="fa fa-print" aria-hidden="true"></i> طباعة
                </a>
            </h1>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-md-12">
                    <div class="box">
                        <div class="box-body box-success">
                            <div class="row">
                                <div class="col-md-12">
                                    <div id="printInvoice" class="box" style="border: none;">
                                        <div class="box-body">
                                            @include('_partial.printheader')
                                            <div class="text-center">
                                                <h3>

                                                    حالة الفاتورة
                                                    <br /> <br />
                                                    رقم الفاتورة Invoice.NO:
                                                    {{ $order->id }}
                                                </h3>
                                                <hr>
                                            </div>
                                            <div class="col-md-12" style="margin-bottom: 20px;">
                                                <table style="table-layout: fixed;">
                                                    <tr>
                                                        <td style="width: 25%;">
                                                            <h5>اسم الموظف ( Employee ) :
                                                                {{ optional($order->creator)->name }}</h5>
                                                        </td>
                                                        <td style="width: 25%;">
                                                            <h5>الفرع(Branche) : {{ optional($order->branche)->name }}</h5>
                                                        </td>
                                                        <td style="width: 25%;">
                                                            <h5>نوع الفاتورة (Type) : {{ optional($order->type)->name }}
                                                            </h5>
                                                        </td>
                                                        <td style="width: 25%;">
                                                            <h5>حالة الفاتورة ( Status ):
                                                                {{ optional($order->currentStatus)->name }}</h5>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                            <div class="col-md-12 text-center tableContaier">

                                                <table class="">
                                                    @php
                                                        $client = $order->client;
                                                        $car = $order->car;
                                                    @endphp
                                                    <tr>
                                                        <td style="border: none!important;vertical-align: top!important;">
                                                            <table style="max-width: 270mm!important;"
                                                                class="table table-bordered">
                                                                <tr>
                                                                    <td colspan="2">
                                                                        <span>
                                                                            بيانات السيارة
                                                                        </span>
                                                                        <span>( Car Info )</span>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        ماركة السيارة
                                                                        (Car Brand)
                                                                    </td>
                                                                    <td>{{ $car->car_brand }} </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        موديل السيارة
                                                                        (Car Model)
                                                                    </td>
                                                                    <td>{{ $car->model }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>لون السيارة
                                                                        (Car Color)
                                                                    </td>
                                                                    <td>{{ $car->color }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>رقم الهيكل
                                                                        ( Chassis No )
                                                                    </td>
                                                                    <td>{{ $car->chassis_no }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        لوحة السيارة
                                                                        (Car Plate)
                                                                    </td>
                                                                    <td>{{ $car->car_number }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>عداد الكيلو
                                                                        ( Kilometers )<br /><br />
                                                                    </td>
                                                                    <td>{{ $order->kilo_counter }}</td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td style="border: none!important;vertical-align: top!important;">
                                                            <table class="table">
                                                                <tr>
                                                                    <td colspan="2">
                                                                        بيانات العميل
                                                                        ( Client Info )
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>اسم العميل
                                                                        ( Client Name )
                                                                    </td>
                                                                    <td>{{ $client->name }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>رقم الهوية
                                                                        ( Client ID )
                                                                    </td>
                                                                    <td>{{ $client->id_number }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>رقم الجوال
                                                                        ( Mobile No )
                                                                    </td>
                                                                    <td>{{ $client->mobile }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>التاريخ
                                                                        ( Date )
                                                                    </td>
                                                                    <td>{{ $order->post_date }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        اسم من احضر السيارة: <br />
                                                                        WHO B THE CAR:

                                                                    </td>
                                                                    <td>{{ $client->delivery_name }}

                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td> رقم جوال:MOBILE NO:</td>
                                                                    <td>{{ $client->delivery_mobile }}</td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="2">
                                                            <table style="max-width: 100%"
                                                                class="pitems table table-bordered table-striped">

                                                                <thead>
                                                                    @if ($order->note)
                                                                        <tr>
                                                                            <td colspan="6">
                                                                                {{ $order->note }}
                                                                            </td>
                                                                        </tr>
                                                                    @endif
                                                                    <tr>
                                                                        <td class="fit">#<br />No</td>
                                                                        <td class="fit">كود القطعة<br />code of piece
                                                                        </td>
                                                                        <td>اسم القطعة<br />name of piece </td>
                                                                        <td class="fit">الكمية<br />Quantity </td>
                                                                        <td class="fit">السعر<br />price</td>
                                                                        <td class="fit">الخصم<br />Discount</td>
                                                                        <td class="fit">الضريبة<br />Tax</td>
                                                                        <td class="fit">الإجمالى<br />Total</td>
                                                                    </tr>
                                                                </thead>
                                                                <tbody>
                                                                    @php
                                                                        $iter = 1;
                                                                    @endphp
                                                                    @if ($order->details)
                                                                        @foreach ($order->details as $d)
                                                                            <tr>
                                                                                <td>{{ $iter }}</td>
                                                                                <td>{{ $d->code }}</td>
                                                                                <td>{{ $d->name }}</td>
                                                                                <td>{{ $d->pivot->qty }}</td>
                                                                                <td>{{ $d->pivot->price }}</td>
                                                                                <td>{{ $d->pivot->discount }}</td>
                                                                                <td>{{ $d->pivot->price * 0.15 }}</td>
                                                                                <td>
                                                                                    {{ $d->pivot->qty * ($d->pivot->price - $d->pivot->discount) }}
                                                                                </td>
                                                                            </tr>
                                                                            @php
                                                                                $iter++;
                                                                            @endphp
                                                                        @endforeach
                                                                    @endif
                                                                    @if (isset($order) && !empty($order->services))
                                                                        @foreach ($order->services as $service)
                                                                            <tr>
                                                                                <td>{{ $iter }}</td>
                                                                                <td> -- </td>
                                                                                <td>{{ $service->title }}</td>
                                                                                <td>{{ $service->price }}</td>
                                                                                <td>1</td>
                                                                                <td>--</td>
                                                                                <td>--</td>
                                                                                <td>{{ $service->price }}</td>
                                                                            </tr>
                                                                            @php
                                                                                $iter++;
                                                                            @endphp
                                                                        @endforeach
                                                                    @endif
                                                                </tbody>
                                                                <tfoot>
                                                                    <tr>
                                                                        <td class="infotd" colspan="3"></td>
                                                                        <td class="infotd" colspan="5">
                                                                            <table class="table">

                                                                                <tr>
                                                                                    <td colspan="7">الإجمالى (Total):
                                                                                    </td>
                                                                                    <td>{{ $order->total_without_tax . ' ' . $settings['currency'] }}
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td colspan="7">نسبة القيمة المضافة
                                                                                        (Tax):</td>
                                                                                    <td>
                                                                                        {{ $order->tax . ' %' }} <br />
                                                                                        {{ $order->total - $order->total_without_tax . ' ' . $settings['currency'] }}
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td colspan="7">الإجمالى بعد الضريبة:
                                                                                        <br />Total With Tax
                                                                                    </td>
                                                                                    <td>{{ $order->total . ' ' . $settings['currency'] }}
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </td>
                                                                    </tr>
                                                                </tfoot>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="2" style="border: none!important">
                                                            <table>
                                                                <tr>
                                                                    <td style="width: 70%;border: none!important;">
                                                                        {!! $settings['termsconditions'] !!}
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </section>
    </div>
@stop
@push('css')
    <style>
        #footer {
            position: absolute;
            bottom: 0;
            left: 0;
            right: 0;
            height: auto;
            padding-top: 40px;
            color: #fff;
        }

        .tableContaier {
            border: 3px solid #000;
            padding: 35px;
        }

        .tableContaier table {
            table-layout: auto;
        }

        .tableContaier table td {
            width: 140px;
            height: 60px;
            vertical-align: middle;
        }


        .col-md-4.invoice-col {
            font-size: 15px;
            font-weight: bold;
        }

        .invoice-info {
            margin-bottom: 20px;
            margin-right: 5px;
        }

        b {
            border-bottom: 1px dashed #000;
        }

        .printHeader {
            display: none;
        }

        tr td {
            vertical-align: middle !important;
        }

        #printInvoice .table tr>td {
            text-align: center;
            border: 1px solid #000 !important;
        }

        #printInvoice .table thead tr>td,
        .table thead tr>th {
            font-weight: bold;
        }

        #printInvoice .table tr>td,
        th {

            text-align: center !important;
            border: 1px solid #000 !important;
            font-size: 16px !important;
            font-weight: bold !important;
        }

        td.infotd {
            border-bottom: 1px solid #fff !important;
            border-top: 1px solid #fff !important;
            border-right: 1px solid #fff !important;
            width: 152px;
            font-size: 18px !important;
        }

        @media print {
            @page {
                size: auto;
                /* auto is the initial value */
                /* this affects the margin in the printer settings */
                margin: 0.1cm;
            }

            body {
                margin: 5mm;
            }

            .panel-default {
                border: none;
            }

            .hideprint {
                visibility: hidden;
                margin: 0;
                display: none !important;
            }
        }

        .table td.fit,
        .table th.fit {
            white-space: nowrap;
            width: 1%;
        }
    </style>
@endpush
