@extends('layouts.front')
@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                تفاصيل الفاتورة رقم {{$item->id}}

                @if($currentUser->can('Edit Invoices'))
                    <a title="تعديل" href="{{route('invoices.edit',$item)}}" class="btn btn-warning btn-xs pull-right">
                        <i class="fa fa-pencil fa-fw" aria-hidden="true"></i>
                    </a>
                @endif

                @if($item->total_due)
                    @if($currentUser->can('addPayment Invoices'))
                        <a style="margin-left: 5px;" title="سند قبض" data-toggle="modal" data-target="#myModal" href="{{route('invoices.addPayment',$item->id)}}" class="pull-right btn btn-success btn-xs">
                            <i class="fa fa-money fa-fw" aria-hidden="true"></i>
                        </a>
                    @endif
                @endif
                <a style="margin-left: 5px;" class="btn btn-info btn-xs print-window pull-right" href="{{route('invoice.print',$item->id)}}" role="button">
                    <i class="fa fa-print" aria-hidden="true"></i>
                </a>
            </h1>
        </section>
        @if(count($orderTasks))
        <section class="content">
            <div class="row">
                <div class="col-xs-12">
                    <div class="box box-danger">
                        <div class="box-header">
                            <h3 class="box-title">المهام</h3>
                        </div>
                        <div class="box-body box-success">
                            @include('invoices.tasks')
                        </div>
                    </div>
                </div>
            </div>
        </section>
        @endif
        <!-- Main content -->
        <section class="content">
            @php
            /*
            <div class="row">
                @if($item->review_required)
                    @if($item->review_status == "موافقة")
                        <div class="col-sm-12 col-md-12">
                            <div class="alert alert-success">
                                <i class="fa fa-check-circle fa-3x pull-right"></i>
                                <div>
                                    تمت الموافقة من جهة مسئول الضمان. <br/>
                                    {{ $item->review_note }}
                                </div>
                            </div>
                        <div>
                    @elseif($item->review_status == "رفض")
                        <div class="col-sm-12 col-md-12">
                            <div class="alert alert-danger">
                                <i class="fa fa-times-circle fa-3x pull-right"></i>
                                <div>
                                    تم الرفض من جهة مسئول الضمان. <br/>
                                    {{ $item->review_note }}
                                </div>
                            </div>
                        <div>
                    @else
                        <div class="col-sm-12 col-md-12">
                            <div class="alert alert-warning">
                                <i class="fa fa-warning fa-2x pull-right"></i>
                                <div>لا يجب اتخاذ اى اجراء الا بعد المراجعة من ناحية مسئول الضمان والموافقة او الرفض</div>
                            </div>
                        <div>
                    @endif
                @endif
            </div> */
            @endphp
            <div class="nav-tabs-custom">
                <ul class="nav nav-tabs">
                    <li class="active"><a href="#tab_1" data-toggle="tab" aria-expanded="true">بيانات الفاتورة</a></li>
                    <li><a href="#tab_7" data-toggle="tab" aria-expanded="true">إضافة خدمات وقطع غيار</a></li>
                    <li><a href="#tab_2" data-toggle="tab" aria-expanded="true">تعديل حالة الفاتورة</a></li>
                    <li><a href="#tab_3" data-toggle="tab" aria-expanded="true">الصور والمرفقات</a></li>
                    @can('qtyReview Invoices')
                        <li><a href="#tab_6" data-toggle="tab" aria-expanded="true">تسليم قطع الغيار</a></li>
                    @endcan
                    <li><a href="#tab_4" data-toggle="tab" aria-expanded="true">التحصيلات</a></li>
                </ul>
                <div class="tab-content">
                    <div class="tab-pane active" id="tab_1">
                        <div class="row">
                            <div class="col-xs-12">
                                <div class="box box-primary">
                                    <div class="box-header">
                                        <h3 class="box-title">بيانات الفاتورة</h3>
                                    </div>
                                    <!-- /.box-header -->
                                    <div class="box-body box-success">

                                        <table class="table table-bordered table-striped">
                                            <tr>
                                                <td>الاسم</td>
                                                <td>
                                                    @if($item->finance)
                                                        <span style='color: red;'>{{ optional($item->finance)->funder->name }}</span>
                                                        ( {{optional($item->person)->name}} )
                                                    @else
                                                    {{optional($item->client)->name}}
                                                    @endif
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>طريقة الدفع</td>
                                                <td>{{$item->payment}}</td>
                                            </tr>
                                            <tr>
                                                <td>الإجمالى</td>
                                                <td>{{number_format($item->total)}}</td>
                                            </tr>
                                            <tr>
                                                <td>المدفوع</td>
                                                <td>{{number_format($item->total_paid)}}</td>
                                            </tr>
                                            <tr>
                                                <td>المتبقى</td>
                                                <td>{{number_format($item->total_due)}}</td>
                                            </tr>
                                        </table>
                                        <hr/>
                                        <table class="table table-bordered">
                                            <thead>
                                                <tr>
                                                    <td colspan="3">الخدمات</td>
                                                </tr>
                                                <tr>
                                                    <th>#</th>
                                                    <th>اسم الخدمه</th>
                                                    <th>التكلفة</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @if(isset($item) && !empty($item->services))
                                                    @foreach ($item->services as $service)
                                                        <tr>
                                                            <td>
                                                            {{ $loop->iteration }}
                                                            </td>
                                                            <td>{{ $service->title }}</td>
                                                            <td>{{ $service->price }}</td>
                                                        </tr>
                                                    @endforeach
                                                @endif
                                            </tbody>
                                        </table>
                                        <hr/>
                                        <table class="table table-bordered table-striped">
                                            <thead>
                                            <tr><td colspan="6">قطع الغيار</td></tr>
                                            <tr>
                                                <td>#</td>
                                                <td>الصنف</td>
                                                <td>السعر</td>
                                                <td>الكمية</td>
                                                <td>الخصم</td>
                                                <td>الإجمالى</td>
                                            </tr>
                                            </thead>
                                            <tbody>
                                                @if(isset($item))
                                                    @foreach($item->details as $d)
                                                    <tr class="prodItem">
                                                        <td>
                                                            {{$loop->iteration}}
                                                        </td>
                                                        <td>{{$d->name}}</td>
                                                        <td>
                                                            {{$d->pivot->price}}
                                                        </td>
                                                        <td>
                                                            {{$d->pivot->qty}}
                                                        </td>
                                                        <td>
                                                            {{$d->pivot->discount}}
                                                        </td>
                                                        <td class="itemTotal">
                                                            {{$d->pivot->qty * ($d->pivot->price-$d->pivot->discount)}}
                                                        </td>
                                                    </tr>
                                                @endforeach
                                                @endif
                                            </tbody>
                                        </table>
                                    </div>


                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane" id="tab_2">
                        <div class="row">
                            @if(count($item->statusList))
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="box box-warning">
                                            <div class="box-header">
                                                <h3 class="box-title">حالات الطلب</h3>
                                            </div>
                                            <!-- /.box-header -->
                                            <div class="box-body">
                                                <table class="table table-bordered">
                                                    <thead>
                                                    <tr>
                                                        <th>#</th>
                                                        <th>الحالة</th>
                                                        <th>المستخدم</th>
                                                        <th>التعليق</th>
                                                        <th>التاريخ</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    @foreach ($item->statusList as $t)
                                                        <tr>
                                                            <td>{{ $loop->iteration }}</td>
                                                            <td>{{ $t->name }}</td>
                                                            <td>{{ $t->pivot->creator_name }}</td>
                                                            <td>{{ $t->pivot->note }}</td>
                                                            <td>{{ $t->getDateAr($t->pivot->created_at) }}</td>
                                                        </tr>
                                                    @endforeach
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            @endif
                            @can('addStatus Invoices')
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="box">
                                            <div class="box-header">
                                                <h4> إضافة تعليق وتغيير حالة الطلب </h4>
                                            </div>
                                            <form action="{{route('invoices.addStatus',$item->id)}}" method="post" enctype="multipart/form-data" >
                                                <div class="box-body">
                                                    @csrf
                                                    <div class="row">
                                                        <div class="col-lg-12">
                                                            <div class="form-group">
                                                                <label for="status">الحالة</label>
                                                                <select name="status_id" id="status" class="form-control" required="">
                                                                    <option  value="">--- إختر الحالة ---</option>
                                                                    @foreach ($statusList as $status)
                                                                        <option value="{{ $status->id }}"> {{ $status->name }} </option>
                                                                    @endforeach
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="row">
                                                        <div class="col-lg-12">
                                                            <div class="form-group">
                                                                <label>التعليق</label>
                                                                <textarea name="note" cols="15" rows="5" class="form-control"></textarea>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="box-footer">
                                                    <button type="submit" class="btn btn-primary"><i class="fa fa-save"></i> حفظ</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            @endcan
                        </div>
                    </div>
                    <div class="tab-pane" id="tab_3">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="box box-primary">
                                    <div class="box-header">
                                        <h3 class="box-title">الصور والمرفقات</h3>
                                    </div>
                                    <div class="box-body box-success">
                                        <table class="table table-bordered">
                                            @php
                                                $i = 1;
                                            @endphp
                                            @if(isset($item) && optional($item->getFirstMedia('images'))->getUrl())
                                                @foreach($item->getMedia('images') as $image)
                                                    <tr>
                                                        <td>{{ $i }}</td>
                                                        <td>
                                                            <a target="_blank" href="{{$image->getUrl()}}">
                                                                <img style="width: 200px;" src="{{$image->getUrl()}}" />
                                                            </a>
                                                        </td>
                                                    </tr>
                                                    @php
                                                        $i++;
                                                    @endphp
                                                @endforeach
                                            @endif
                                            @if($item->details)
                                            @foreach($item->details as $d)
                                                @foreach($d->getMedia('attachments') as $image)
                                                    <tr>
                                                        <td>{{ $i }}</td>
                                                        <td>
                                                            @php
                                                                $filepath = $image->getUrl();
                                                                $extension = $image->mime_type;
                                                            @endphp
                                                            @if(in_array($extension,['image/jpeg','image/png']))
                                                                <a target="_blank" href="{{$image->getUrl()}}">
                                                                    <img style="width: 200px;" src="{{$filepath}}">
                                                                </a>
                                                            @else
                                                                <a style="margin-bottom: 5px;" target="_blank" href="{{$filepath}}" class="btn btn-sm btn-warning">View </a>
                                                            @endif
                                                        </td>
                                                    </tr>
                                                    @php
                                                        $i++;
                                                    @endphp
                                                @endforeach
                                                @foreach($d->getMedia('images') as $image)
                                                    <tr>
                                                        <td>{{ $i }}</td>
                                                        <td>
                                                            @php
                                                                $filepath = $image->getUrl();
                                                                $extension = $image->mime_type;
                                                            @endphp
                                                            @if(in_array($extension,['image/jpeg','image/png']))
                                                                <a target="_blank" href="{{$image->getUrl()}}">
                                                                    <img style="width: 200px;" src="{{$filepath}}">
                                                                </a>
                                                            @else
                                                                <a style="margin-bottom: 5px;" target="_blank" href="{{$filepath}}" class="btn btn-sm btn-warning">View </a>
                                                            @endif
                                                        </td>
                                                    </tr>
                                                    @php
                                                        $i++;
                                                    @endphp
                                                @endforeach
                                            @endforeach
                                            @endif
                                            @if(isset($item) && optional($item->getFirstMedia('attachments'))->getUrl())
                                                @foreach($item->getMedia('attachments') as $file)
                                                    @php
                                                        $filepath = $file->getUrl();
                                                        $extension = $file->mime_type;
                                                    @endphp
                                                    <tr>
                                                        <td>{{ $i }}</td>
                                                        <td>
                                                            @if(in_array($extension,['image/jpeg','image/png']))
                                                                <a target="_blank" href="{{$filepath}}">
                                                                    <img style="width: 200px;" src="{{$filepath}}">
                                                                </a>
                                                            @else
                                                                <a style="margin-bottom: 5px;width: 200px;" target="_blank" href="{{$filepath}}" class="btn btn-sm btn-warning">View </a>
                                                            @endif
                                                        </td>
                                                    </tr>
                                                    @php
                                                        $i++;
                                                    @endphp
                                                @endforeach
                                            @endif
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane" id="tab_4">
                        <div class="row">
                            <div class="col-xs-12">
                                <div class="box box-primary">
                                    <div class="box-header">
                                        <h3 class="box-title">التحصيلات</h3>
                                    </div>
                                    <!-- /.box-header -->
                                    <div class="box-body">
                                        <table class="table table-bordered">
                                                <thead>
                                                    <tr>
                                                        <th>#</th>
                                                        <th>البيان</th>
                                                        <th>التاريخ</th>
                                                        <th>الموظف</th>
                                                        <th>المبلغ</th>
                                                        <th>المرفقات</th>
                                                        <th></th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach($item->transactions as $col)
                                                        <tr>
                                                            <td>{{ $loop->iteration }}</td>
                                                            <td>{{ $col->note }}</td>
                                                            <td>{{ $col->trans_date }}</td>
                                                            <td>{{ optional($col->creator)->name }}</td>
                                                            <td>{{ abs($col->value) }}</td>
                                                            <td>
                                                                @php
                                                                    $image = optional($col->getFirstMedia('images'));
                                                                    $filepath = $image->getUrl();
                                                                    $extension = $image->mime_type;
                                                                    @endphp
                                                                    @if($filepath)
                                                                        @if(in_array($extension,['image/jpeg','image/png']))
                                                                            <a target="_blank" href="{{$image->getUrl()}}">
                                                                                <img style="width: 100px;" src="{{$filepath}}">
                                                                            </a>
                                                                        @else
                                                                            <a style="margin-bottom: 5px;" target="_blank" href="{{$filepath}}" class="btn btn-sm btn-warning">عرض </a>
                                                                        @endif
                                                                    @endif
                                                            </td>
                                                            <td>
                                                                @if($currentUser->can('Edit Transactions'))
                                                                    <a title="تعديل" href="{{route('transactions.edit',$col)}}" class="btn btn-primary btn-xs">
                                                                        <i class="fa fa-pencil fa-fw" aria-hidden="true"></i>
                                                                    </a>
                                                                @endif
                                                                @if($currentUser->can('Delete Transactions'))
                                                                    <a title="حذف" class="btn btn-xs btn-danger remove-record" data-url="{{ route('transactions.destroy',$col)  }}" data-id="{{$col->id}}">
                                                                        <i class="fa fa-trash"></i>
                                                                    </a>
                                                                @endif
                                                                @if($currentUser->can('Show Transactions'))
                                                                    <a title="طباعه" href="{{route('transactions.show',$col)}}" class="btn btn-info btn-xs">
                                                                        <i class="fa fa-print" aria-hidden="true"></i>
                                                                    </a>
                                                                @endif
                                                            </td>
                                                        </tr>
                                                    @endforeach
                                                </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane" id="tab_5">
                        @can('warrantyReview Invoices')
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="box">
                                        <div class="box-header">
                                            <h4> مراجعة مسئول الضمان </h4>
                                        </div>
                                        <form action="{{route('invoices.warrantyReview',$item->id)}}" method="post" enctype="multipart/form-data" >
                                            <div class="box-body box-success">
                                                @csrf
                                                <div class="row">
                                                    <div class="col-lg-12">
                                                        <div class="form-group">
                                                            <label for="review_status">الحالة</label>
                                                            <select name="review_status" id="review_status" class="form-control">
                                                                <option  value="">--- إختر الحالة ---</option>
                                                                <option {{ $item->review_status=='موافقة'?'selected':'' }}  value="موافقة"> موافقة </option>
                                                                <option {{ $item->review_status=='رفض'?'selected':'' }} value="رفض"> رفض </option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-lg-12">
                                                        <div class="form-group">
                                                            <label>التعليق</label>
                                                            <textarea name="review_note" cols="15" rows="5" class="form-control">{{ $item->review_note??'' }}</textarea>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="box-footer">
                                                <button type="submit" class="btn btn-primary"><i class="fa fa-save"></i> حفظ</button>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        @endcan
                    </div>
                    <div class="tab-pane" id="tab_6">
                        <div class="row">

                            <div class="col-md-12">
                                <form action="{{route('invoices.qtyReview')}}" method="post" enctype="multipart/form-data" >
                                    @csrf
                                    <input type="hidden" name="branche_id" value="{{ $item->branche_id }}"/>
                                    <div class="box">
                                        <div class="box-header">
                                            <h4> تسليم قطع الغيار </h4>
                                        </div>
                                        <div class="box-body">
                                            <table class="table table-bordered table-striped">
                                                <thead>
                                                <tr>
                                                    <td>#</td>
                                                    <td>الكود</td>
                                                    <td>الصنف</td>
                                                    <td>الكمية</td>
                                                    <td>الحالة</td>
                                                    <td>ملحوظة</td>
                                                </tr>
                                                </thead>

                                                    <tbody>
                                                        @if(isset($item))

                                                            @foreach($item->details as $d)
                                                            <tr class="prodItem">
                                                                <td>
                                                                    {{$loop->iteration}}
                                                                    <input type="hidden" name="prod[{{$loop->iteration}}][detail_id]" value="{{$d->pivot->id}}">
                                                                    <input type="hidden" name="prod[{{$loop->iteration}}][product_id]" value="{{$d->id}}">
                                                                    <input type="hidden" name="prod[{{$loop->iteration}}][qty]" value="{{$d->pivot->qty}}">
                                                                </td>
                                                                <td>{{$d->code}}</td>
                                                                <td>{{$d->name}}</td>
                                                                <td>{{$d->pivot->qty}}</td>
                                                                <td>
                                                                    <div class="form-group">
                                                                        <select name="prod[{{$loop->iteration}}][item_status]" id="item_status" class="form-control">
                                                                            <option  value="">--- إختر الحالة ---</option>
                                                                            <option {{ $d->pivot->item_status=='تم الاستلام'?'selected':'' }}  value="تم الاستلام"> تم الاستلام </option>
                                                                            <option {{ $d->pivot->item_status=='لم يتم الاستلام'?'selected':'' }} value="لم يتم الاستلام"> لم يتم الاستلام </option>
                                                                        </select>
                                                                    </div>
                                                                </td>
                                                                <td>
                                                                    <div class="form-group">
                                                                        <input type="text" class="form-control" name="prod[{{$loop->iteration}}][item_note]" value="{{ $d->pivot->item_note }}"/>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                        @endforeach
                                                        @endif
                                                    </tbody>
                                            </table>
                                        </div>
                                        <div class="box-footer">
                                            <button type="submit" class="btn btn-primary"><i class="fa fa-save"></i> حفظ</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane" id="tab_7">
                        <form action="{{route('invoices.update',$item->id)}}" method="post" enctype="multipart/form-data" >
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="box box-warning">
                                        <div class="box-header">
                                            <h4>اضافة الخدمات</h4>
                                        </div>
                                        <div class="box-body ">
                                            <table class="table table-bordered">
                                                <thead>
                                                    <tr>
                                                        <th>#</th>
                                                        <th>اسم الخدمه</th>
                                                        <th>التكلفة</th>
                                                        <th>
                                                            <a href="#" class="btn btn-sm btn-success addService"><i class="fa fa-plus"></i> إضافة خدمة</a>
                                                        </th>
                                                    </tr>
                                                </thead>
                                                <tbody id="serviceList">
                                                    @if(isset($item) && !empty($item->services))
                                                        @foreach ($item->services as $service)
                                                            <tr class="prodItem">
                                                                <td>
                                                                    <input class="qty" type="hidden" value="1"/>
                                                                    <input class="discount" type="hidden" value="0"/>
                                                                    1
                                                                </td>
                                                                <td><input type="text" name="service[title][]" class="form-control" value="{{ $service->title }}"></td>
                                                                <td><input type="text" name="service[price][]" class="form-control pPrice" value="{{ $service->price }}"></td>
                                                                <td><a href="#" class="btn btn-sm btn-danger rmService"> <i class="fa fa-trash"></i></a></td>
                                                            </tr>
                                                        @endforeach
                                                    @endif
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="box box-success">
                                        <div class="box-header">
                                            <h4>اضافة قطع غيار</h4>
                                        </div>
                                            <div class="box-body ">
                                                {{ method_field('PUT')  }}
                                                @csrf
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="form-group">
                                                            <label>اضافة قطع غيار</label>
                                                            <select id="productList" data-placeholder="إختر قطعة الغيار" data-url="{{route('getProductsList')}}" class="form-control select2ProductAjaxRequest">
                                                            </select>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <table class="pitems table table-bordered table-striped">
                                                            <thead>
                                                            <tr>
                                                                <td>#</td>
                                                                <td>الصنف</td>
                                                                <td>السعر</td>
                                                                <td>الكمية</td>
                                                                <td>الخصم</td>
                                                                <td>الإجمالى</td>
                                                                <td></td>
                                                            </tr>
                                                            </thead>
                                                            <tbody>
                                                                @if(isset($item))
                                                                    @foreach($item->details as $d)
                                                                    <tr class="prodItem">
                                                                        <td>
                                                                            {{$loop->iteration}}
                                                                            <input type="hidden" name="prod[{{$loop->iteration}}][product_id]" value="{{$d->id}}">
                                                                            <input type="hidden" name="prod[{{$loop->iteration}}][cost]" value="{{$d->pivot->cost}}">
                                                                        </td>
                                                                        <td>{{$d->code}} - {{$d->name}}</td>
                                                                        <td>
                                                                            <input class ="tdinput pPrice" type="number" name="prod[{{$loop->iteration}}][price]" value="{{$d->pivot->price}}">
                                                                        </td>
                                                                        <td>
                                                                            <input class ="tdinput qty" type="text" name="prod[{{$loop->iteration}}][qty]" value="{{$d->pivot->qty}}">
                                                                        </td>
                                                                        <td>
                                                                            <input class ="tdinput discount" type="text" name="prod[{{$loop->iteration}}][discount]" value="{{$d->pivot->discount}}">
                                                                        </td>
                                                                        <td class="itemTotal">
                                                                            {{$d->pivot->qty * ($d->pivot->price-$d->pivot->discount)}}
                                                                        </td>
                                                                        <td>
                                                                            <a href="#" class="btn btn-sm btn-danger"><i class="fa fa-trash"></i></a>
                                                                        </td>
                                                                    </tr>
                                                                @endforeach
                                                                @endif
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                                <div class="row hide">
                                                    <div class="col-md-12">
                                                        <div class="form-group">
                                                            <label>الضريبة <i class="fa fa-percent"></i></label>
                                                            <div class="input-group">
                                                                <input readonly id="tax" type="number" value="{{$item->tax??$settings['tax']}}" name="invoice[tax]" class="form-control otherCostFees">
                                                                <div class="input-group-addon">
                                                                    %
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label>الإجمالى</label>
                                                            <input  step="any" readonly id="total" type="number" value="{{$item->total??0}}" name="invoice[total]" class="form-control">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label>المدفوع</label>
                                                            <input @if(!$currentUser->can('addPayment Invoices')) readonly @endif step="any" id="paid" type="number"  value="{{$item->paid??0}}" name="invoice[paid]" class="form-control">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label>المتبقى</label>
                                                            <input readonly step="any" id="due" value="{{$item->due??0}}" type="number" name="invoice[due]" class="form-control">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="box-footer">
                                                <button type="submit" class="btn btn-primary"><i class="fa fa-save"></i> حفظ</button>
                                            </div>

                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </section>
    </div>
@stop
@push('css')
<style>
    .financeTable tr th,.financeTable tr td{
        text-align: center;
        font-weight: bold;
    }
</style>

@endpush

@push('js')
    <script>
        $('input[type="checkbox"].flat-red').iCheck({
            checkboxClass: 'icheckbox_flat-green',
            radioClass   : 'iradio_flat-green'
        });
        var tags = false;
        $(".select2").select2({'width':'100%'});
        $('#datepicker,datepicker22').datepicker({
            autoclose: true,
            rtl: true,
            format: 'yyyy-mm-dd',
            language: "ar",
        });
        $('body').on('submit', 'form', function(e) {
            //e.preventDefault();
            var $btn = $(this).find(':submit');
            if($btn.hasClass('disabled'))return false;
            $btn.attr('data-loading-text',"<i class='fa fa-circle-o-notch fa-spin'></i> حفظ");
            $btn.button('loading');
            setTimeout(function() {
                $btn.button('reset');
            }, 3000);
        });
         $(document).on("input",".otherCostFees",function(e){
            calaculateTotal();
        });
        $(document).on("click",".btn-danger",function(e){
            e.preventDefault();
            $(this).closest('tr').remove();
            calaculateTotal();
        });
        $(document).on("click",".btn-danger",function(e){
            e.preventDefault();
            $(this).closest('tr').remove();
            calaculateTotal();
        });
        $(document).on("click",".addService",function(e){
            e.preventDefault();
            var count = $(".prodItem").length + 1;
            var row = '<tr class="prodItem"> <td> <input class="qty" type="hidden" value="1"/> <input class="discount" type="hidden" value="0"/> '+count+' </td> <td><input type="text" name="service[title][]" class="form-control" value=""></td> <td><input type="text" name="service[price][]" class="form-control pPrice" value=""></td> <td><a href="#" class="btn btn-sm btn-danger rmService"> <i class="fa fa-trash"></i></a></td> </tr>';
            $("#serviceList").append(row);
            //calaculateTotal();
        });

        $("#payment").trigger('change');

        $(document).on("change","#regionsList",function(e){
            e.preventDefault();
            var selected = $("#regionsList option:selected");
            var price = selected.attr('ship')===undefined?0:selected.attr('ship');
            $("#shipping").val(price);
            calaculateTotal();
        });
        $(document).on("change","#productList",function(e){
            e.preventDefault();
            var selected = $("#productList option:selected");
            if(!selected.val()) return false;
            var num = $('.pitems').find('tr').length;
            var found = false;
            $(".pitems tr").filter(function() {
                found = $(this).text().toLowerCase().indexOf(selected.text()) > -1
            });
            if(found){
                swal({
                    title: 'الصنف مضاف',
                    text: "هذا الصنف تم اضافته بالفعل للفاتورة",
                    type: "error",
                    confirmButtonText: "تمام",
                });
                return false;
            }
            var text = selected.text();
            var myArray = text.split("- ");
            let price = myArray.pop();
            let availableQty = myArray.pop();
            let ItemTitle = myArray.join("-");
            var cost = selected.attr('cost')===undefined?0:selected.attr('cost');
            //var price = selected.attr('price')===undefined?0:selected.attr('price');
            var itemtotal = parseFloat(price);
            var discount = 0;
            var row = '<tr class="prodItem">';
            row += '<td>'+num+'</td>';
            row += '<td>' +
                '<input type="hidden" name="prod['+num+'][product_id]" value="'+selected.val()+'">'+
                '<input class="costPrice" type="hidden" name="prod['+num+'][cost]" value="'+cost+'">'+
                ItemTitle+
                '</td>';
            row += '<td><input class = "tdinput pPrice" type="text" name="prod['+num+'][price]" value="'+price+'"></td>';
            row += '<td><input class = "tdinput qty" type="text" name="prod['+num+'][qty]" value="1"></td>';
            row += '<td><input class="tdinput discount" type="text" name="prod['+num+'][discount]" value="'+discount+'"></td>';
            row += '<td class="itemTotal">'+itemtotal+'</td>';
            row += '<td>' +
                '<a href="#" class="btn btn-sm btn-danger"><i class="fa fa-trash"></i></a>';
            row +='</td>' ;
            row += '</tr>';
            $('.pitems').append(row);
            calaculateTotal();
            $(this).val('').trigger('change');
        });
        $(document).on("input",".carPrice,.discount,.qty,.pPrice",function(e){
            calaculateTotal();
        });
        $(document).on("input","#paid",function(e){
            var total = parseFloat($('#total').val());
            var paid = parseFloat($(this).val());
            $("#due").val(total-paid);
        });
        function calaculateTotal(){
            var grandtotal =0;
            $(".prodItem").each(function() {
                var price = parseFloat($(this).find('.pPrice').val());
                var qty = parseFloat($(this).find('.qty').val());
                var discount = parseFloat($(this).find('.discount').val());
                var tot = qty * price;
                tot -= discount;
                grandtotal += parseFloat(tot);
                $(this).find('.itemTotal').html(tot);
            });

            var tax = 0;
            var shipping = 0;
            var fees = 0;
            if($("#tax").val()) {
                tax = parseFloat($("#tax").val());
            }

            //grandtotal += (shipping+fees);
            grandtotal += (grandtotal*(tax/100));
            grandtotal = Math.floor(grandtotal);
            $("#total").val(grandtotal);
            var paid = parseFloat($('#paid').val());
            $("#due").val(grandtotal-paid);
        }
    </script>
@endpush
@push('css')
    <style>
        input.tdinput {
            display: block;
            width: 100%;
            height: 28px;
            padding: 0;
            font-size: 14px;
            line-height: 1.42857143;
            color: #555;
            background-color: #dff0d8;
            border: 0px solid #fff;
            border-radius: 4px;
            border: 0px solid #fff!important;
            text-align: center;
        }
    </style>
@endpush
