@php
    $title = '';
    if (request('type') == 'brand') {
        $title = 'الماركات والموديلات';
    } elseif (request('type') == 'category') {
        $title = 'الفئات';
    } elseif (request('type') == 'color') {
        $title = 'الألوان';
    }
    
@endphp
@extends('layouts.front')
@section('title', $title)
@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                {{ $title }}

                <a data-toggle="modal" data-target="#myModal" class="btn btn-success pull-right"
                    href="{{ route('lookups.create') }}?type={{ request('type') }}"><i class="fa fa-plus"></i> إضافة</a>

            </h1>
        </section>

        <!-- Main content -->
        <section class="content">

            <div class="row">
                <div class="col-xs-12">
                    <div class="box">
                        {{-- <div class="box-header">
                     <h3 class="box-title">Data Table With Full Features</h3>
                 </div> --}}
                        <!-- /.box-header -->
                        <div class="box-body">
                            <table class="table table-bordered table-striped dataTableTT">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>الاسم</th>
                                        <th class="no-sort"></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($lookups as $store)
                                        <tr>
                                            <td>{{ $loop->iteration }}</td>
                                            <td>
                                                {{ $store->name }}
                                                @if ($store->parent_id)
                                                    <br />{{ $store->full_category_name }}
                                                @endif
                                            </td>

                                            <td class="actions">
                                                <a data-toggle="modal" data-target="#myModal"
                                                    href="{{ route('lookups.edit', $store) }}"
                                                    class="btn btn-primary btn-xs">
                                                    <i class="fa fa-pencil fa-fw" aria-hidden="true"></i>
                                                    تعديل
                                                </a>
                                                @if (!$loop->first)
                                                    <a class="btn btn-xs btn-danger remove-record"
                                                        data-url="{{ route('lookups.destroy', $store) }}"
                                                        data-id="{{ $store->id }}">
                                                        <i class="fa fa-trash"></i>
                                                        حذف
                                                    </a>
                                                @endif
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </section>
        <!-- /.content -->

        <div id="myModal" class="modal fade" style="overflow:hidden;" role="dialog" aria-labelledby="myModalLabel">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                        <h4 class="modal-title"></h4>
                    </div>
                    <div class="modal-body">
                        <p class="text-center">
                        <div class="fa-3x text-center"><i class="fa fa-cog fa-spin"></i>
                            << جارى التحميل>>
                        </div>
                        </p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-outline pull-left" data-dismiss="modal">إغلاق</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@include('_partial.datatable')
