@extends('layouts.front')
@section('title','عروض الأسعار')
@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                عروض الأسعار
                @if($currentUser->can('Create Offers'))
                    <a class="btn btn-success pull-right" href="{{route('offers.create')}}" ><i class="fa fa-plus"></i> إضافة</a>
                @endif
            </h1>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-xs-12">
                    <div class="box">
                        {{--<div class="box-header">
                            <h3 class="box-title">Hover Data Table</h3>
                        </div>--}}
                        <!-- /.box-header -->
                        <div class="box-body">
                            <table class="table table-bordered table-hover dataTableTT">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>التاريخ</th>
                                    <th>النوع</th>
                                    <th>المستخدم</th>
                                    <th>العميل</th>
                                    <th>الإجمالى</th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                    @foreach($list as $item)
                                        <tr>
                                        <td>{{$loop->iteration}}</td>
                                        <td>{{$item->post_date}}</td>
                                        <td>{{$item->type}}</td>
                                        <td>{{optional($item->creator)->name}}</td>
                                        <td>{{optional($item->client)->name}}</td>
                                        <td>{{number_format($item->total)}}</td>
                                        <td>
                                            @if($currentUser->can('Edit Offers'))
                                                <a title="تعديل" href="{{route('offers.edit',$item)}}" class="btn btn-primary btn-xs">
                                                    <i class="fa fa-pencil fa-fw" aria-hidden="true"></i>
                                                </a>
                                            @endif
                                            @if($currentUser->can('Delete Offers'))
                                                <a title="حذف" class="btn btn-xs btn-danger remove-record" data-url="{{ route('offers.destroy',$item)  }}" data-id="{{$item->id}}">
                                                    <i class="fa fa-trash"></i>
                                                </a>
                                            @endif
                                            @if($currentUser->can('Show Offers'))
                                                <a title="طباعه" href="{{route('offers.show',$item)}}" class="btn btn-info btn-xs">
                                                    <i class="fa fa-print" aria-hidden="true"></i>
                                                </a>
                                            @endif
                                        </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
@stop
@include("_partial.datatable")
