<section class="content">
    <div class="box box-primary">
        <div class="box-body">
            <div class="row">

                <div class="col-lg-12">
                    @php
                        $route = route('clients.create',['req'=>'ajax']);
                        $route2 = route('suppliers.create',['req'=>'ajax']);
                    @endphp
                    <div class="form-group">
                        <label>العميل / المورد</label>
                        <div class="input-group">
                            <select id="personList" style="width: 100%;" class="form-control select2" name="client_id">
                                <option value="">-- إختر  --</option>
                                @foreach($persons as $p)
                                    <option {{$ordertask->client_id==$p->id?'selected':''}} value="{{$p->id}}"> {{$p->name}} </option>
                                @endforeach
                            </select>
                            <div style="padding: 1px 12px" class="input-group-addon no-print">
                                <a title="إضافة عميل جديد" style="padding: 1px 8px" class="btn btn-sm btn-primary external" href="{{$route}}" data-toggle="modal" data-target="#myModal">
                                    <i class="fa fa-2x fa-user"></i>
                                </a>
                            </div>
                            <div style="padding: 1px 12px" class="input-group-addon no-print">
                                <a title="إضافة مورد جديد" style="padding: 1px 8px" class="btn btn-sm btn-success external" href="{{$route2}}" data-toggle="modal" data-target="#myModal">
                                    <i class="fa fa-2x fa-truck"></i>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>


                <div class="col-lg-4">
                    <div class="form-group">
                        <label for="department_id">القسم</label>
                        <select style="width: 100%;" required class="form-control select2 departmentList" id="department_id" name="department_id">
                            <option value="">-- إختر القسم --</option>
                            @foreach($departments as $department)
                                <option {{$ordertask->department_id==$department->id?'selected':''}} value="{{$department->id}}"> {{$department->name}} </option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="form-group">
                        <label for="task_id">المهمة</label>
                        <select required class="form-control " id="task_id" name="mission_id">
                            <option value="">-- إختر المهمة --</option>
                            @foreach($tasks as $task)
                                <option {{$ordertask->mission_id==$task->id?'selected':''}} class="depart{{$task->department_id}} optionelm" value="{{$task->id}}"> {{$task->title}} </option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="form-group">
                        <label for="user_id">المسئول عن المهمة</label>
                        <select required class="form-control " id="user_id" name="user_id">
                            <option rel="" value="">-- إختر المسئول --</option>
                            @foreach($users as $user)
                                @php
                                    $depclass=$user->dep_id?implode('dep ',$user->dep_id):'';
                                @endphp
                                <option {{$ordertask->user_id==$user->id?'selected':''}} class="optionelm {{$depclass}}" value="{{$user->id}}"> {{$user->name}} </option>
                            @endforeach
                        </select>
                    </div>
                </div>

                <div class="col-lg-6">
                    <div class="form-group">
                        @php
                            $statusList = ['معلق','مراجعة','رفض','قبول'];
                        @endphp
                        <label for="status">الحالة</label>
                        <select name="status" id="status" class="form-control" required="">
                            {{-- <option  value="">--- إختر الحالة ---</option> --}}
                            @foreach ($statusList as $status)
                                <option {{$ordertask->status==$status?'selected':''}} value="{{ $status }}"> {{ $status }} </option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label>التاريخ</label>
                        <div class="input-group date">
                            <div class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </div>
                            <input name="notifcation_date" type="text" value="{{($ordertask->notifcation_date)??date('Y-m-d')}}" id="datepicker" class="form-control pull-right ">
                        </div>
                        <!-- /.input group -->
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="form-group">
                        <label>تفاصيل</label>
                        <textarea name="note" cols="15" rows="5" class="form-control">{{$ordertask->note}}</textarea>
                    </div>
                </div>

                <div class="form-group col-md-12">
                    <label for="Logo">الصور والمرفقات</label>
                    <input multiple name="images[]" type="file" class="form-control" id="Logo">
                    <div class="row">
                        @foreach($ordertask->getMedia('images') as $m)
                            <div class="mt-2 col-md-2 imageContainer">
                                <a href="{{$m->getUrl()}}" target="_blank">
                                    <img width="100px" src="{{$m->getUrl()}}"/>
                                </a>
                                <a class="btn btn-danger btn-sm deleteImg" rel="{{ $m->id }}" href="#"><i class="fa fa-trash close_button"></i></a>
                            </div>
                        @endforeach
                    </div>
                </div>
            </div>
        </div>
        <!-- /.box-body -->
        <div class="box-footer">
            <button type="submit" class="btn btn-primary">حفظ</button>
        </div>
    </div>
</section>
@push('js')
<script>
    $(".departmentList,.select2").select2();

    $('#datepicker').datepicker({
        autoclose: true,
        rtl: true,
        format: 'yyyy-mm-dd',
        language: "ar",
    });
    $(document).on("change",'.departmentList',function(e){
            var value = $(this).val();
            if(value){
                $(".optionelm").hide();
                $(".depart"+value).show();
                $("."+value).show();
                $("."+value+"dep").show();
            }

    });
    $(".departmentList").trigger("change");
</script>
@endpush
