@extends('layouts.front')
@section('title','المهام')
@section('content')
<div class="content-wrapper">
	<!-- Content Header (Page header) -->
	<section class="content-header">
		<h1>
			المهام
            @if($currentUser->can('Create OrderTasks'))
			    <a class="btn btn-success pull-right" href="{{route('ordertasks.create')}}" ><i class="fa fa-plus"></i> إضافة</a>
            @endif
        </h1>
	</section>

	<!-- Main content -->
	<section class="content">
        @include('_partial.taskfilter')
		<div class="row">
			<div class="col-xs-12">
				<div class="box">
				{{-- <div class="box-header">
                     <h3 class="box-title">Data Table With Full Features</h3>
                 </div>--}}
				<!-- /.box-header -->
					<div class="box-body">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>الفرع</th>
                                <th>المهمة</th>
                                <th>العميل</th>
                                <th>السيارة</th>
                                <th>القسم</th>
                                <th>المسئول</th>
                                <th>الفاتورة</th>
                                <th>الحالة</th>
                                <th>التاريخ</th>
                                <th>العملية</th>
                            </tr>
                            </thead>
                            <tbody>
                            @php

                                $bg = [
                                    'معلق'=>'#FF9800;',
                                    'مراجعة'=>'#337ab7;',
                                    'قبول'=>'#008d4c;',
                                    'رفض'=>'#d73925;',
                                ];
                            @endphp
                            @foreach ($list as $t)
                                @php
                                    $client = optional($t->client);
                                @endphp
                                <tr>
                                    <td>{{ $loop->iteration }}</td>
                                    <td>{{ optional($t->branche)->name }}</td>
                                    <td>{{ optional($t->task)->title }}</td>
                                    <td>{{ $client->name }}</td>
                                    <td>{{ $client->model }}</td>
                                    <td>{{ optional($t->department)->name }}</td>
                                    <td>{{ optional($t->user)->name }}</td>
                                    <td>
                                        @if($t->order_id)
                                        <a target="_blank" title="التفاصيل" href="{{route('invoice.show',$t->order_id)}}"><i class="fa fa-eye"> #{{ $t->order_id }}</i></a>
                                        @endif
                                    </td>
                                    <td>
                                        <span style="color:#fff;background-color: {{$bg[$t->status]}}" class="badge">
                                        {{ $t->status }}
                                        </span>
                                        @php
                                            $userDepartments = $currentUser->dep_id;
                                        @endphp
                                        @if($t->status != "قبول" && ($t->user_id == $currentUser->id || ($userDepartments && in_array($t->department_id,$userDepartments))))
                                            <form action="{{ route('ordertasks.update',$t->id) }}" method="post">
                                                {{ csrf_field() }}
                                                {{ method_field('PUT')  }}
                                                <input type="hidden" name="status" value="قبول"/>
                                                <button class="btn btn-success btn-xs" type="submit" ><i class="fa fa-save"></i> قبول</button>
                                            </form>
                                        @endif
                                        @if(!in_array($t->status,['قبول','رفض']) && ($t->user_id == $currentUser->id || ($userDepartments && in_array($t->department_id,$userDepartments))))
                                            <form action="{{ route('ordertasks.update',$t->id) }}" method="post">
                                                {{ csrf_field() }}
                                                {{ method_field('PUT')  }}
                                                <input type="hidden" name="status" value="رفض"/>
                                                <button class="btn btn-danger btn-xs" type="submit" ><i class="fa fa-save"></i> رفض</button>
                                            </form>
                                        @endif
                                    </td>
                                    <td>{{ $t->notifcation_date }}</td>
                                    <td>

                                       @can('Edit OrderTasks')
                                            <a href="{{ route('ordertasks.edit',$t->id) }}" class="btn btn-xs btn-primary" ><i class="fa fa-edit"></i></a>&nbsp;
                                        @endcan

                                        @can('Delete OrderTasks')
                                            <a class="btn btn-xs btn-danger remove-record" data-url="{{ route('ordertasks.destroy',$t->id)  }}" data-id="{{$t->id}}">
                                                <i class="fa fa-trash"></i>
                                            </a>
                                        @endif
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
					</div>

                    <div class="box-footer">
                        {{$list->appends($_GET)->links()}}
                    </div>
					<!-- /.box-body -->
				</div>
				<!-- /.box -->
			</div>
			<!-- /.col -->
		</div>
		<!-- /.row -->
	</section>
	<!-- /.content -->

	<div id="myModal" class="modal fade" style="overflow:hidden;" role="dialog" aria-labelledby="myModalLabel">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title"></h4>
				</div>
				<div class="modal-body">
					<p class="text-center"><div class="fa-3x text-center"><i class="fa fa-cog fa-spin"></i>                    << جارى التحميل >>                </div>                </p>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-outline pull-left" data-dismiss="modal">إغلاق</button>
				</div>
			</div>
		</div>
	</div>
</div>
@endsection
