@extends('layouts.front')
@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header hideprint">
            <h1>
                نموذج اتفاقية خدمات

                <small>
                    {{ $order->id }}
                </small>
                <a class="btn print-window pull-right" href="javascript:void(0)" onclick="window.print();" role="button">
                    <i class="fa fa-print" aria-hidden="true"></i> طباعة
                </a>
            </h1>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-md-12">
                    <div class="box">
                        <div class="box-body box-success">
                            <div class="row">
                                <div class="col-md-12">
                                    <div id="printInvoice" class="box" style="border: none;">
                                        <div class="box-body" style="max-width: 290mm!important;">
                                            @include('_partial.printheader')
                                            <div class="text-center">
                                                <h3>
                                                    اتفاقية خدمات
                                                </h3>
                                                <hr>
                                            </div>
                                            <div class="col-md-12" style="margin-bottom: 20px;">
                                                <table style="table-layout: fixed;">
                                                    <tr>
                                                        <td style="width: 25%;">
                                                            <h5>اسم الموظف Employee: {{ optional($order->creator)->name }}
                                                            </h5>
                                                        </td>
                                                        <td style="width: 25%;">
                                                            <h5>الفرع (Branche): {{ optional($order->branche)->name }}</h5>
                                                        </td>
                                                        <td style="width: 25%;">
                                                            <h5> رقم الفاتورة ( Inovice No ): {{ $order->id }}</h5>
                                                        </td>
                                                        <td style="width: 25%;">
                                                            <h5> ناريخ الفاتورة ( Date ) :
                                                                {{ $order->created_at->format('Y-m-d') }}</h5>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                            <div class="col-md-12 text-center tableContaier">

                                                <table class="">
                                                    @php
                                                        $client = $order->client;
                                                        $car = $order->car;
                                                    @endphp
                                                    <tr>
                                                        <td style="border: none!important;vertical-align: top!important;">
                                                            <table style="max-width: 270mm!important;"
                                                                class="table noborder">
                                                                <tr>
                                                                    <td colspan="2">
                                                                        <span>
                                                                            بيانات السيارة
                                                                        </span>
                                                                        <span>( Car Info )</span>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        نوع السيارة
                                                                        (Car Brand)
                                                                    </td>
                                                                    <td>{{ $car->car_brand }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>موديل السيارة
                                                                        (Car Model)
                                                                    </td>
                                                                    <td>{{ $car->model }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>لون السيارة
                                                                        (Car Color)
                                                                    </td>
                                                                    <td>{{ $car->color }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>رقم الهيكل
                                                                        ( Chassis No )
                                                                    </td>
                                                                    <td>{{ $car->chassis_no }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        لوحة السيارة
                                                                        (Car Plate)
                                                                    </td>
                                                                    <td>{{ $car->car_number }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>عداد الكيلو
                                                                        ( Kilometers )
                                                                    </td>
                                                                    <td>{{ $order->kilo_counter }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td colspan="2"></td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td style="border: none!important;vertical-align: top!important;">
                                                            <table class="table noborder">
                                                                <tr>
                                                                    <td colspan="2">
                                                                        بيانات العميل
                                                                        ( Client Info )
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>اسم العميل
                                                                        ( Client Name )
                                                                    </td>
                                                                    <td>{{ $client->name }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>رقم الهوية
                                                                        ( Client ID )
                                                                    </td>
                                                                    <td>{{ $client->id_number }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>رقم الجوال
                                                                        ( Mobile No )
                                                                    </td>
                                                                    <td>{{ $client->mobile }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        اسم من احضر السيارة: <br />
                                                                        WHO B THE CAR:

                                                                    </td>
                                                                    <td>{{ $client->delivery_name }}

                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td> رقم جوال:MOBILE NO:</td>
                                                                    <td>{{ $client->delivery_mobile }}</td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="2">
                                                            <table class="table">
                                                                <tr>
                                                                    <td>تقديم خدمات للعميل</td>
                                                                    <td>
                                                                        Services to the client
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td colspan="2">
                                                                        @if ($order->note)
                                                                            {{ $order->note }}
                                                                        @endif
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>المبلغ (Amount)</td>
                                                                    <td>{{ number_format($order->total) . ' ' . $settings['currency'] }}
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <table class="table">
                                                                <thead>
                                                                    <tr>
                                                                        <th>
                                                                            الأداه
                                                                            <br /> Item
                                                                        </th>

                                                                        <th>ملاحظات <br /> Remarks</th>
                                                                    </tr>
                                                                </thead>
                                                                <tbody>
                                                                    @php
                                                                        $items = ['الدعاسة floor', 'ولاعة Lighiter', 'شاشة ملاحة دي في دي DVD/ new screen', 'طاسات الكفرات Wheel caps', 'صندوق العدة tool box', 'الإطار الخلفي spare tire'];
                                                                    @endphp
                                                                    @foreach ($items as $it)
                                                                        <tr>
                                                                            <td>{{ $it }}</td>
                                                                            <td></td>
                                                                        </tr>
                                                                    @endforeach
                                                                    <tr>
                                                                        <td colspan="2"
                                                                            style="border: none!important;text-align: right">
                                                                            <img style="width: 100px;position: absolute;"
                                                                                src="{{ asset('t.png') }}" />
                                                                            <p
                                                                                style="position: relative;margin-right: 95px;margin-top: 15px;">
                                                                                الشركة غير مسؤولة عن فقدان أي غرض شخصي من
                                                                                داخل السيارة</p>

                                                                        </td>
                                                                    </tr>
                                                                </tbody>
                                                            </table>
                                                        </td>
                                                        <td>
                                                            <table class="table">
                                                                <tr>
                                                                    <td colspan="2" style="border: none!important">
                                                                        <img style="max-width: 100%"
                                                                            src="{{ asset('tools.png') }}" />
                                                                        <img style="width: 270px"
                                                                            src="{{ asset('c2.jpg') }}" />
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>

                                                </table>
                                                <table class="table">

                                                    <tr>
                                                        <td colspan="2" style="border: none!important">

                                                            <table class="table text-center">

                                                                <tr>
                                                                    <td style="border: none!important;" colspan="2">
                                                                        <strong style="font-size:20px;">اتفاقية تقديم خدمات

                                                                        </strong>
                                                                        <p style="margin-top: 10px;">

                                                                            انا الموقع ادناه , افوض الشركة بتنفيذ الخدمات
                                                                            المطلوبة أعلاه مؤكدا صحة البيانات المذكورة ,
                                                                            ومسؤوليتي والتزامي بالشروط والاحكام المبينة خلف
                                                                            هذه الاتفاقية دون قيد او شرط.

                                                                        </p>
                                                                    </td>
                                                                </tr>

                                                                <tr>
                                                                    <td>الإسم</td>
                                                                    <td>التوقيع</td>
                                                                </tr>
                                                                <tr>
                                                                    <td style="height: 100px;"></td>
                                                                    <td></td>
                                                                </tr>
                                                                <tr>
                                                                    <td style="border: none!important;" colspan="2">
                                                                        {!! $settings['InvoiceNotes'] !!}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>الإسم</td>
                                                                    <td>التوقيع</td>
                                                                </tr>
                                                                <tr>
                                                                    <td style="height: 100px;"></td>
                                                                    <td></td>
                                                                </tr>
                                                            </table>

                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="2">
                                                            <table>
                                                                <tr>
                                                                    <td style="width: 70%;border: none!important;">
                                                                        {!! $settings['termsconditionsforworks'] ?? '' !!}
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </section>
    </div>
@stop
@push('css')
    <style>
        #footer {
            position: absolute;
            bottom: 0;
            left: 0;
            right: 0;
            height: auto;
            padding-top: 40px;
            color: #fff;
        }

        .tableContaier {
            border: 2px solid #000;
            padding: 25px;
        }

        .tableContaier table {
            table-layout: fixed;
        }

        .tableContaier table td {
            width: 140px;
            height: 53px;
            vertical-align: middle;
        }

        .textspan {
            position: relative;
            top: -5px;
            right: 5px;
        }

        .col-md-4.invoice-col {
            font-size: 15px;
            font-weight: bold;
        }

        .invoice-info {
            margin-bottom: 20px;
            margin-right: 5px;
        }

        b {
            border-bottom: 1px dashed #000;
        }

        .printHeader {
            display: none;
        }

        tr td {
            vertical-align: middle !important;
        }

        #printInvoice .table thead tr>td,
        .table thead tr>th {
            font-weight: bold;
        }

        #printInvoice .noborder tr>td,
        th {

            text-align: center !important;
            border: 1px solid #fff !important;
            font-size: 16px !important;
            font-weight: bold !important;
        }

        td.infotd {
            border-bottom: 1px solid #fff !important;
            border-top: 1px solid #fff !important;
            border-right: 1px solid #fff !important;
            width: 152px;
            font-size: 18px !important;
        }

        @media print {
            @page {
                size: auto;
                /* auto is the initial value */
                /* this affects the margin in the printer settings */
                margin: 3mm 3mm 3mm 3mm;
            }

            body {
                margin: 5mm;
            }

            .panel-default {
                border: none;
            }

            .hideprint {
                visibility: hidden;
                margin: 0;
                display: none !important;
            }

            .noborder {
                border: 1px solid #fff !important;
            }
        }
    </style>
@endpush
