@extends('layouts.front')
@section('title','نموذج استلام سيارة')
@section('content')

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            نموذج استلام سيارة
            <a class="btn print-window pull-right" href="javascript:void(0)" onclick="window.print();" role="button">
                <i class="fa fa-print" aria-hidden="true"></i> طباعة
            </a>
        </h1>

    </section>

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-xs-12">
                <div class="box">
                {{-- <div class="box-header">
                     <h3 class="box-title">Data Table With Full Features</h3>
                 </div>--}}
                <!-- /.box-header -->
                    <div id="printInvoice" class="box-body">
                        @include('_partial.printheader')
                        <div class="row invoice-info">
                            <div class="col-md-4 invoice-col">
                                <b>التاريخ/ {{ $ordertask->notifcation_date }}</b>
                            </div>
                            <div class="col-md-4 invoice-col">
                            </div>
                            <div class="col-md-4 invoice-col">
                                <b> الرقم الضريبى/ {{ $settings['taxnumber'] }}</b>
                            </div>
                        </div>
                        <div class="row" style="margin-bottom: 10px;">
                            <div class="col-md-12 text-center">
                                <h3 class="text-center">نموذج استلام سيارة</h1>
                            </div>
                        </div>
                        <table class="table table-bordered">
                            <tr>
                                <td colspan="2">البيانات الشخصية</td>
                            </tr>
                            <tr>
                                <td class="col-md-3">الإسم</td>
                                <td>
                                    @php
                                        $order = optional($ordertask->order);
                                        $finance = $order->finance;
                                    @endphp
                                    @if($finance)
                                        {{ optional($finance->funder)->name }}
                                    @else
                                        {{ optional($ordertask->client)->name }}
                                    @endif

                                </td>
                            </tr>
                            <tr>
                                <td>رقم الهوية</td>
                                <td>
                                    @if($finance)
                                        {{ optional($finance->funder)->idnumber }}
                                    @else
                                        {{ optional($ordertask->client)->id_number }}
                                    @endif
                                </td>
                            </tr>
                            <tr>
                                <td>المفوض بالإستلام</td>
                                <td>
                                    @if($finance)
                                        {{ optional($ordertask->client)->name }}
                                    @endif
                                </td>
                            </tr>
                            <tr>
                                <td>رقم هوية المفوض</td>
                                <td>
                                    @if($finance)
                                        {{ optional($ordertask->client)->id_number }}
                                    @endif
                                </td>
                            </tr>
                        </table>
                        <hr/>
                        <table class="table table-bordered table-condensed">
                            <thead>
                            <tr>
                                <th colspan="2">بيانات السيارة</th>
                            </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td class="col-md-3">مواصفات السيارة</td>
                                    <td>{!! optional($ordertask->car)->specifcations !!}</td>
                                </tr>
                                <tr>
                                    <td>سنة الصنع</td>
                                    <td>{{ $ordertask->car->year }}</td>
                                </tr>
                                <tr>
                                    <td>الماركه</td>
                                    <td>{{ $ordertask->car->model }}</td>
                                </tr>
                                <tr>
                                    <td>اللون</td>
                                    <td>{{ $ordertask->car->color }}</td>
                                </tr>
                                <tr>
                                    <td>الشاسيه</td>
                                    <td>{{ $ordertask->car->chassis_no }}</td>
                                </tr>
                            </tbody>
                        </table>
                        <hr/>
                        <table>
                            <tr>
                                <td><img src="{{ asset('c.png') }}"/></td>
                                @php
                                    $options = ['عدد 2 مفتاح سيارة','استمارة',
                                    'استمارة','استبنه','فرشات ارضية','مثلث','طفاية حريق',
                                    'عدة استبنه','إسعافات أولية','كتيب الضمان'];
                                @endphp
                                <td>
                                    <table >
                                    @foreach($options as $op)
                                        <tr>
                                            <td>
                                                <div>
                                                    <i class="fa fa-square-o fa-2x"></i>
                                                    <span class="textspan">{{ $op }}</span>
                                                </div>
                                            </td>
                                        </tr>
                                    @endforeach
                                    </table>
                                </td>
                            </tr>
                        </table>
                        <hr/>
                        <p style="font-weight: bold;font-size:16px;">اقر أنا السيـد/ة .....................................:..................................... بمعاينة السيارة وانها بحالة ممتازة ولا يوجد بها خدوش او عيوب وتطابق جميع المواصفات المطلوبة من قبلنا وعلى ذلك تم التوقيع والشراء .</p>
                        <table class="table text-center">
                            <tr>
                                <td>اسم العميل</td>
                                <td>التوقيع والبصمة</td>
                            </tr>
                            <tr>
                                <td style="height: 100px;"></td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>اسم الموظف</td>
                                <td>التوقيع</td>
                            </tr>
                            <tr>
                                <td style="height: 100px;"></td>
                                <td></td>
                            </tr>
                        </table>
                        <br/>
                    </div>
                </div>
                <!-- /.box -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </section>
</div>
@endsection
@push('css')
    <style>
        .textspan {
            position: relative;
            top: -5px;
            right: 5px;
        }
        .col-md-4.invoice-col {
            font-size: 15px;
            font-weight: bold;
        }
        .invoice-info{
            margin-bottom: 20px;
            margin-right: 5px;
        }
        b{
            border-bottom: 1px dashed #000;
        }
        .printHeader{
            display: none;
        }
        tr td{
            vertical-align: middle!important;
        }
        #printInvoice .table tr>td{
            text-align: center;
            border:1px solid #000!important;
        }
        #printInvoice .table thead tr>td,.table thead tr>th{
            font-weight: bold;
        }

        #printInvoice .table tr>td ,th{
            text-align: center!important;
            border: 1px solid #000!important;
            font-size: 16px!important;
            font-weight: bold!important;
        }
    </style>
@endpush
