@extends('layouts.front')
@section('title','قطع الغيار')
@section('content')
<div class="content-wrapper">
	<!-- Content Header (Page header) -->
	<section class="content-header">
		<h1>
			قطع الغيار
            @if($currentUser->can('Create Products'))
			    <a data-toggle="modal" data-target="#myModal" class="btn btn-success pull-right" href="{{route('products.create')}}" ><i class="fa fa-plus"></i> إضافة</a>
            @endif
            @if($currentUser->can('Import Products'))
			    <a data-toggle="modal" data-target="#myModal" class="btn btn-warning" href="{{route('products.import')}}" ><i class="fa fa-upload"></i> إستيراد</a>
            @endif
        </h1>
	</section>

	<!-- Main content -->
	<section class="content">
        @include('_partial.productfilter')
		<div class="row">
			<div class="col-xs-12">
				<div class="box">
				{{-- <div class="box-header">
                     <h3 class="box-title">Data Table With Full Features</h3>
                 </div>--}}
				<!-- /.box-header -->
					<div class="box-body">
						<table id="serverSideTable" class="table table-bordered table-striped">
							<thead>
							<tr>
								<th>#</th>
								<th>الاسم</th>
								<th>الكمية</th>
								<th>التكلفة</th>
								<th>البيع</th>
								<th>النوع</th>
								<th>الكود</th>
								<th>الرف</th>
								<th>حد الطلب</th>
								<th>الماركه</th>
								<th>الضريبة</th>
								<th class="no-sort"></th>
							</tr>
							</thead>
							<tbody>
							</tbody>
						</table>
					</div>
					<!-- /.box-body -->
				</div>
				<!-- /.box -->
			</div>
			<!-- /.col -->
		</div>
		<!-- /.row -->
	</section>
	<!-- /.content -->

	<div id="myModal" class="modal fade" style="overflow:hidden;" role="dialog" aria-labelledby="myModalLabel">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title"></h4>
				</div>
				<div class="modal-body">
					<p class="text-center"><div class="fa-3x text-center"><i class="fa fa-cog fa-spin"></i>                    << جارى التحميل >>                </div>                </p>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-outline pull-left" data-dismiss="modal">إغلاق</button>
				</div>
			</div>
		</div>
	</div>
</div>
@endsection
<script>
    var pageUrl = "{{route('products.index')}}";
    var columns =  [];
    columns.push(
        {data:null,name:'#', orderable: false, searchable: false},
        //{data: "branche", name: "branche"},
        {data: "name", name: "name"},
        {data: "pqty", name: "pqty"},
        {data: "cost", name: "cost"},
        {data: "price", name: "price"},
        {data: "type", name: "type"},
        {data: "code", name: "code"},
        {data: "plocation", name: "plocation"},
        {data: "notify_limit", name: "notify_limit"},
        {data: "model", name: "model"},
        {data: "tax", name: "tax"},
        {data:'actions',name:'actions', orderable: false, searchable: false}
    );
</script>
@include("_partial.datatable")
@push('js')
    <script>

        $('.datepicker').datepicker({
            autoclose: true,
            rtl: true,
            format: 'yyyy-mm-dd',
            language: "ar",
        });
        $('.select2List').select2();
    </script>
@endpush
