@extends('layouts.front')
@section('title',$product->name)
@section('content')

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            تفاصيل - {{$product->name}}
        </h1>
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-xs-12">
                <div class="box">
                {{-- <div class="box-header">
                     <h3 class="box-title">Data Table With Full Features</h3>
                 </div>--}}
                <!-- /.box-header -->
                    <div class="box-body">
                        <table class="table table-bordered table-hover dataTableTT">
                            <thead>
                            <tr>
                                <th>الماركه</th>
                                <th>اللون</th>
                                <th>سنة الصنع</th>
                                <th>الطراز</th>
                                <th>الشاسيه</th>
                                <th>اللوحه</th>
                                <th>انتهاء الرخصة</th>
                                <th>التكلفة</th>
                                <th>البيع</th>
                                <th>المصاريف</th>
                                <th>إجمالى التكلفة</th>
                                <th>العملية</th>
                            </tr>
                            </thead>
                            <tbody>
                                @foreach ($product->cars as $car)
                                    <tr>
                                        <td>{{ $car->model }}</td>
                                        <td>{{ $car->color }}</td>
                                        <td>{{ $car->year }}</td>
                                        <td>{{ $car->style }}</td>
                                        <td>{{ $car->chassis_no }}</td>
                                        <td>{{ $car->car_number }}</td>
                                        <td>{{ $car->license_duration }}</td>
                                        <td>{{ $car->cost_price }}</td>
                                        <td>{{ $car->sale_price }}</td>
                                        <td>{{ $car->total_expenses }}</td>
                                        <td>{{ $car->total_cost }}</td>
                                        <td>
                                            @if($currentUser->can('Edit Cars'))
                                            <a href="{{route('cars.edit',$car)}}" class="btn btn-primary btn-xs">
                                                <i class="fa fa-pencil fa-fw" aria-hidden="true"></i>
                                            </a>
                                        @endif
                                        @if($currentUser->can('Delete Cars'))
                                            <a class="btn btn-xs btn-danger remove-record" data-url="{{ route('cars.destroy',$car)  }}" data-id="{{$car->id}}">
                                                <i class="fa fa-trash"></i>
                                            </a>
                                        @endif
                                        @if($currentUser->can('Show Cars'))
                                            <a href="{{route('cars.show',$car)}}" class="btn btn-warning btn-xs">
                                                <i class="fa fa-eye" aria-hidden="true"></i>
                                            </a>
                                        @endif
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                    <!-- /.box-body -->
                    <div class="text-center">

                    </div>
                </div>
                <!-- /.box -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </section>
</div>
@endsection

@include("_partial.datatable")
