@php
    $route = route('suppliers.create', ['req' => 'ajax']);
@endphp
<!-- general form elements -->
<div class="box box-success">
    {{-- <div class="box-header with-border">
        <h3 class="box-title">Quick Example</h3>
    </div> --}}
    <!-- /.box-header -->
    <div class="box-body">
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                <li class="active"><a href="#tab_1" data-toggle="tab" aria-expanded="true">بيانات الفاتورة</a></li>
            </ul>
            <div class="tab-content">
                <div class="tab-pane active" id="tab_1">
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>التاريخ</label>
                                <div class="input-group date">
                                    <div class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </div>
                                    <input name="purchase[date]" type="text"
                                        value="{{ $item->date ?? date('Y-m-d') }}" id="datepicker"
                                        class="form-control pull-right ">
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>المورد</label>
                                <div class="input-group">

                                    <select data-url="{{ route('getSuppliersList') }}" name="purchase[supplier_id]"
                                        id="personList" class="form-control select2AjaxRequest">
                                        <option value="">--- إختر ---</option>
                                        @if (isset($per) && !empty($per))
                                            <option selected
                                                {{ isset($item->client_id) && $per->id == $item->client_id ? 'selected' : '' }}
                                                value="{{ $per->id }}">
                                                {{ $per->id . ' - ' . $per->name . ' - ' . $per->mobile }}
                                            </option>
                                        @endif
                                    </select>
                                    <div class="input-group-addon no-print" style="padding: 2px 5px;">
                                        <a href="{{ $route }}" class="external" data-toggle="modal"
                                            data-target="#myModal">
                                            <i class="fa fa-2x fa-plus-circle"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label> رقم فاتورة المورد</label>
                                <input name="supplier_invoice_num" value="{{ $item->supplier_invoice_num ?? '' }}"
                                    type="text" class="form-control">
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>نوع الدفع</label>
                                <select id="payment" class="form-control" name="purchase[payment]">
                                    <option {{ isset($item) && $item->payment == 'كاش' ? 'selected' : '' }}
                                        value="كاش">كاش
                                    </option>
                                    <option {{ isset($item) && $item->payment == 'اجل' ? 'selected' : '' }}
                                        value="اجل">اجل
                                    </option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>قطع الغيار</label>
                                <select id="productList" data-placeholder="إختر قطعة الغيار"
                                    data-url="{{ route('getProductsList') }}"
                                    class="form-control select2ProductAjaxRequest">

                                </select>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <table class="pitems table table-bordered table-striped">
                                <thead>
                                    <tr>
                                        <td>#</td>
                                        <td>اسم الصنف</td>
                                        <td>التكلفة</td>
                                        <td>الكمية</td>
                                        <td>الخصم</td>
                                        <td>الإجمالى</td>
                                        <td></td>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if (isset($item))
                                        @foreach ($item->details as $d)
                                            <tr class="prodItem">
                                                <td>
                                                    {{ $loop->iteration }}
                                                    <input type="hidden"
                                                        name="prod[{{ $loop->iteration }}][product_id]"
                                                        value="{{ $d->id }}">
                                                    <input type="hidden" name="prod[{{ $loop->iteration }}][cost]"
                                                        value="{{ $d->pivot->cost }}">
                                                </td>
                                                <td>{{ $d->name }}</td>
                                                <td>{{ $d->code }}</td>
                                                <td>
                                                    <input class="tdinput pPrice" type="number"
                                                        name="prod[{{ $loop->iteration }}][price]"
                                                        value="{{ $d->pivot->price }}">
                                                </td>
                                                <td>
                                                    <input class="tdinput qty" type="text"
                                                        name="prod[{{ $loop->iteration }}][qty]"
                                                        value="{{ $d->pivot->qty }}">
                                                </td>
                                                <td>
                                                    <input class="tdinput discount" type="text"
                                                        name="prod[{{ $loop->iteration }}][discount]"
                                                        value="{{ $d->pivot->discount }}">
                                                </td>
                                                <td class="itemTotal">
                                                    {{ $d->pivot->qty * ($d->pivot->price - $d->pivot->discount) }}
                                                </td>
                                                <td>
                                                    <a href="#" class="btn btn-sm btn-danger"><i
                                                            class="fa fa-trash"></i></a>
                                                </td>
                                            </tr>
                                        @endforeach
                                    @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>الضريبة <i class="fa fa-percent"></i></label>
                                <div class="input-group">
                                    <input readonly id="tax" type="number"
                                        value="{{ $item->tax ?? $settings['tax'] }}" name="purchase[tax]"
                                        class="form-control otherCostFees">
                                    <div class="input-group-addon">
                                        %
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>رسوم الشحن</label>
                                <input id="shipping" type="number" value="{{ $item->shipping ?? 0 }}"
                                    name="purchase[shipping]" class="form-control otherCostFees">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>رسوم إدارية</label>
                                <input id="fees" type="number" value="{{ $item->fees ?? 0 }}"
                                    name="purchase[fees]" class="form-control otherCostFees">
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>الإجمالى</label>
                                <input step="any" readonly id="total" type="number"
                                    value="{{ $item->total ?? 0 }}" name="purchase[total]" class="form-control">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>المدفوع</label>
                                <input @if (!$currentUser->can('addPayment Purchases')) readonly @endif step="any" id="paid"
                                    type="number" value="{{ $item->paid ?? 0 }}" name="purchase[paid]"
                                    class="form-control">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>المتبقى</label>
                                <input readonly step="any" id="due" value="{{ $item->due ?? 0 }}"
                                    type="number" name="purchase[due]" class="form-control">
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>ملاحظات</label>
                                <textarea name="purchase[note]" class="form-control">{{ $item->note ?? '' }}</textarea>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>صور</label>
                                <input id="FileUploade" name="image[]" multiple type="file"
                                    class="form-control ">
                                @if (isset($item) && optional($item->getFirstMedia('images'))->getUrl())
                                    @foreach ($item->getMedia('images') as $image)
                                        <div class="col-md-2 imageContainer">
                                            <img style="width: 80px;" src="{{ $image->getUrl() }}" />
                                            @if ($currentUser->can('Delete Purchases'))
                                                <a class="btn btn-danger btn-sm deleteImg" rel="{{ $image->id }}"
                                                    href="#">
                                                    <i class="fa fa-trash close_button"></i>
                                                </a>
                                            @endif
                                        </div>
                                    @endforeach
                                @endif
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>مرفقات</label>
                                <input multiple name="attachments[]" type="file" class="form-control ">
                                @if (isset($item))
                                    @foreach ($item->getMedia('attachments') as $file)
                                        <div class="col-md-2 imageContainer">
                                            @php
                                                $filepath = $file->getUrl();
                                                $extension = $file->mime_type;
                                            @endphp
                                            @if (in_array($extension, ['image/jpeg', 'image/png']))
                                                <img style="width: 100px;" src="{{ $filepath }}">
                                            @else
                                                <a style="margin-bottom: 5px;" target="_blank"
                                                    href="{{ $filepath }}" class="btn btn-sm btn-warning">View
                                                </a>
                                            @endif
                                            @if ($currentUser->can('Delete Purchases'))
                                                <a class="btn btn-danger btn-sm deleteImg" rel="{{ $file->id }}"
                                                    href="#"><i class="fa fa-trash close_button"></i></a>
                                            @endif
                                        </div>
                                    @endforeach
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /.box-body -->

    <div class="box-footer">
        <button type="submit" class="btn btn-primary">حفظ</button>
    </div>
</div>
<!-- /.box -->
@push('css')
@endpush
@push('js')
    <script>
        var tags = true;
        $(".select2").select2();
        $('#datepicker,datepicker22').datepicker({
            autoclose: true,
            rtl: true,
            format: 'yyyy-mm-dd',
            language: "ar",
        });
        $('body').on('submit', 'form', function(e) {
            //e.preventDefault();
            var $btn = $(this).find(':submit');
            if ($btn.hasClass('disabled')) return false;
            $btn.attr('data-loading-text', "<i class='fa fa-circle-o-notch fa-spin'></i> حفظ");
            $btn.button('loading');
            setTimeout(function() {
                $btn.button('reset');
            }, 3000);
        });
        $(document).on("input", ".otherCostFees", function(e) {
            calaculateTotal();
        });
        $(document).on("click", ".btn-danger", function(e) {
            e.preventDefault();
            $(this).closest('tr').remove();
            calaculateTotal();
        });
        $(document).on("click", ".btn-danger", function(e) {
            e.preventDefault();
            $(this).closest('tr').remove();
            calaculateTotal();
        });

        $(document).on("change", "#productList", function(e) {
            e.preventDefault();
            var selected = $("#productList option:selected");
            if (!selected.val()) return false;
            var num = $('.pitems').find('tr').length;
            var found = false;
            $(".pitems tr").filter(function() {
                found = $(this).text().toLowerCase().indexOf(selected.text()) > -1
            });
            if (found) {
                swal({
                    title: 'الصنف مضاف',
                    text: "هذا الصنف تم اضافته بالفعل للفاتورة",
                    type: "error",
                    confirmButtonText: "تمام",
                });
                return false;
            }
            var text = selected.text();
            var myArray = text.split("- ");
            let price = myArray.pop();
            let availableQty = myArray.pop();
            let ItemTitle = myArray.join("-");
            var cost = selected.attr('cost') === undefined ? 0 : selected.attr('cost');
            //var price = selected.attr('price')===undefined?0:selected.attr('price');
            var itemtotal = parseFloat(price);
            var discount = 0;
            var row = '<tr class="prodItem">';
            row += '<td>' + num + '</td>';
            row += '<td>' +
                '<input type="hidden" name="prod[' + num + '][product_id]" value="' + selected.val() + '">' +
                '<input class="costPrice" type="hidden" name="prod[' + num + '][cost]" value="' + cost + '">' +
                ItemTitle +
                '</td>';
            row += '<td><input class = "tdinput pPrice" type="text" name="prod[' + num + '][price]" value="' +
                price + '"></td>';
            row += '<td><input class = "tdinput qty" type="text" name="prod[' + num + '][qty]" value="1"></td>';
            row += '<td><input class="tdinput discount" type="text" name="prod[' + num + '][discount]" value="' +
                discount + '"></td>';
            row += '<td class="itemTotal">' + itemtotal + '</td>';
            row += '<td>' +
                '<a href="#" class="btn btn-sm btn-danger"><i class="fa fa-trash"></i></a>';
            row += '</td>';
            row += '</tr>';
            $('.pitems').append(row);
            calaculateTotal();
            $(this).val('').trigger('change');
        });
        $(document).on("input", ".carPrice,.discount,.qty,.pPrice", function(e) {
            calaculateTotal();
        });
        $(document).on("input", "#paid", function(e) {
            var total = parseFloat($('#total').val());
            var paid = parseFloat($(this).val());
            $("#due").val(total - paid);
        });

        function calaculateTotal() {
            var grandtotal = 0;
            $(".prodItem").each(function() {
                var price = parseFloat($(this).find('.pPrice').val());
                var qty = parseFloat($(this).find('.qty').val());
                var discount = parseFloat($(this).find('.discount').val());
                var tot = qty * price;
                tot -= discount;
                grandtotal += parseFloat(tot);
                $(this).find('.itemTotal').html(tot);
            });

            var tax = 0;
            var shipping = 0;
            var fees = 0;
            if ($("#tax").val()) {
                tax = parseFloat($("#tax").val());
            }
            if ($("#shipping").val()) {
                shipping = parseFloat($("#shipping").val());
            }
            if ($("#fees").val()) {
                fees = parseFloat($("#fees").val());
            }
            grandtotal += (shipping + fees);
            grandtotal += (grandtotal * (tax / 100));
            grandtotal = Math.floor(grandtotal);
            $("#total").val(grandtotal);
            var paid = parseFloat($('#paid').val());
            $("#due").val(grandtotal - paid);
        }
    </script>
@endpush
@push('css')
    <style>
        input.tdinput {
            display: block;
            width: 100%;
            height: 28px;
            padding: 0;
            font-size: 14px;
            line-height: 1.42857143;
            color: #555;
            background-color: #dff0d8;
            border: 0px solid #fff;
            border-radius: 4px;
            border: 0px solid #fff !important;
            text-align: center;
        }
    </style>
@endpush
