@extends('layouts.front')
@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header hideprint">
            <h1>
                تفاصيل الفاتورة رقم

                <small>
                    {{$order->id}}
                </small>
                <a class="btn print-window pull-right" href="javascript:void(0)" onclick="window.print();" role="button">
                    <i class="fa fa-print" aria-hidden="true"></i> طباعة
                </a>
            </h1>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-md-12">
                    <div class="box">
                        <div class="box-body box-success">
                            <div class="row">
                                <div class="col-md-12">
                                    <div id="printPurchase" class="box" style="border: none;">
                                        <div class="box-body" style="max-width: 290mm!important;">
                                            @include('_partial.printheader')
                                            <div class="text-center">
                                                <h3>
                                                    فاتورة مشتريات # {{$order->id}}
                                                </h3>
                                                <hr>
                                            </div>
                                            <div  class="col-md-12" style="margin-bottom: 20px;">
                                                <table style="table-layout: fixed;">
                                                    <tr>
                                                        <td style="width: 25%;"><h5>اسم الموظف: {{ optional($order->creator)->name }}</h5></td>
                                                        <td style="width: 25%;"><h5>الفرع: {{ optional($order->branche)->name }}</h5></td>
                                                        <td style="width: 25%;"><h5>اسم المورد: {{ optional($order->supplier)->name }}</h5></td>
                                                        <td style="width: 25%;"><h5>تاريخ الفاتورة: {{ $order->date }}</h5></td>
                                                    </tr>
                                                </table>
                                            </div>
                                            <div  class="col-md-12 text-center tableContaier">
                                                <table class="pitems table table-bordered table-striped">
                                                    <thead>
                                                    <tr>
                                                        <td>#</td>
                                                        <td>اسم الصنف</td>
                                                        <td>كود الصنف</td>
                                                        <td>التكلفة</td>
                                                        <td>الكمية</td>
                                                        <td>الخصم</td>
                                                        <td>الإجمالى</td>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                        @if(isset($order))
                                                            @foreach($order->details as $d)
                                                            <tr class="prodItem">
                                                                <td>
                                                                    {{$loop->iteration}}
                                                                    <input type="hidden" name="prod[{{$loop->iteration}}][product_id]" value="{{$d->id}}">
                                                                    <input type="hidden" name="prod[{{$loop->iteration}}][cost]" value="{{$d->pivot->cost}}">
                                                                </td>
                                                                <td>{{$d->name}}</td>
                                                                <td>{{$d->code}}</td>
                                                                <td>
                                                                    {{$d->pivot->price}}
                                                                </td>
                                                                <td>
                                                                    {{$d->pivot->qty}}
                                                                </td>
                                                                <td>
                                                                    {{$d->pivot->discount}}
                                                                </td>
                                                                <td class="itemTotal">
                                                                    {{$d->pivot->qty * ($d->pivot->price-$d->pivot->discount)}}
                                                                </td>
                                                            </tr>
                                                        @endforeach
                                                        @endif
                                                    </tbody>
                                                    <tfoot>
                                                        <tr>
                                                            <td colspan="7">
                                                                <table>
                                                                    <tr>
                                                                        <td>الإجمالى</td>
                                                                        <td>المدفوع</td>
                                                                        <td>المتبقى</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>{{ number_format($order->total) }}</td>
                                                                        <td>{{ number_format($order->total_paid) }}</td>
                                                                        <td>{{ number_format($order->total_due) }}</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </tfoot>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </section>
    </div>
@stop
@push('css')
    <style>
        #footer{
            position: absolute;
            bottom: 0;
            left: 0;
            right: 0;
            height: auto;
            padding-top: 40px;
            color: #fff;
        }
        .tableContaier {
            border: 3px solid #000;
            padding: 35px;
        }
        .tableContaier table{
            table-layout: fixed;
        }
        .tableContaier table td{
            width: 140px;
            height: 60px;
            vertical-align: middle;
        }
        .rotate {
            -webkit-transform: rotate(-90deg);
            -moz-transform: rotate(-90deg);
        }
        .textspan {
            position: relative;
            top: -5px;
            right: 5px;
        }
        .col-md-4.purchase-col {
            font-size: 15px;
            font-weight: bold;
        }
        .purchase-info{
            margin-bottom: 20px;
            margin-right: 5px;
        }
        b{
            border-bottom: 1px dashed #000;
        }
        .printHeader{
            display: none;
        }
        tr td{
            vertical-align: middle!important;
        }
        #printPurchase .table tr>td{
            text-align: center;
            border:1px solid #000!important;
        }
        #printPurchase .table thead tr>td,.table thead tr>th{
            font-weight: bold;
        }

        #printPurchase .table tr>td ,th{

            text-align: center!important;
            border: 2px solid #000!important;
            font-size: 16px!important;
            font-weight: bold!important;
        }
        td.infotd{
            border-bottom: 1px solid #fff!important;
            border-top: 1px solid #fff!important;
            border-right: 1px solid #fff!important;
            width: 152px;
            font-size: 18px!important;
        }

    @media print {
        @page
        {
            size: auto;   /* auto is the initial value */
            /* this affects the margin in the printer settings */
            margin: 7mm 3mm 7mm 3mm;
        }
        body
        {
            margin: 5mm;
        }
        .panel-default{
            border: none;
        }
        .hideprint{
            visibility:hidden;
            margin:0;
            display: none !important;
        }
    }
    </style>
@endpush
