@extends('layouts.front')
@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                تفاصيل الفاتورة رقم {{$item->id}}

                @if($currentUser->can('Edit Purchases'))
                    <a title="تعديل" href="{{route('purchases.edit',$item)}}" class="btn btn-warning btn-xs pull-right">
                        <i class="fa fa-pencil fa-fw" aria-hidden="true"></i>
                    </a>
                @endif

                @if($item->total_due)
                    @if($currentUser->can('addPayment Purchases'))
                        <a style="margin-left: 5px;" title="سند صرف" data-toggle="modal" data-target="#myModal" href="{{route('purchases.addPayment',$item->id)}}" class="pull-right btn btn-success btn-xs">
                            <i class="fa fa-money fa-fw" aria-hidden="true"></i>
                        </a>
                    @endif
                @endif
                <a style="margin-left: 5px;" class="btn btn-info btn-xs print-window pull-right" href="javascript:void(0)" onclick="window.print();" role="button">
                    <i class="fa fa-print" aria-hidden="true"></i>
                </a>
            </h1>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-xs-12">
                    <div class="box box-warning">
                        <div class="box-header">
                            <h3 class="box-title">بيانات الفاتورة</h3>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body box-success">

                            <table class="table table-bordered table-striped">
                                <tr>
                                    <td>الاسم</td>
                                    <td>
                                        @if($item->finance)
                                            <span style='color: red;'>{{ optional($item->finance)->funder->name }}</span>
                                            ( {{optional($item->person)->name}} )
                                        @else
                                        {{optional($item->person)->name}}
                                        @endif
                                    </td>
                                </tr>
                                <tr>
                                    <td>طريقة الدفع</td>
                                    <td>{{$item->payment}}</td>
                                </tr>
                                <tr>
                                    <td>الإجمالى</td>
                                    <td>{{number_format($item->total)}}</td>
                                </tr>
                                <tr>
                                    <td>المدفوع</td>
                                    <td>{{number_format($item->total_paid)}}</td>
                                </tr>
                                <tr>
                                    <td>المتبقى</td>
                                    <td>{{number_format($item->total_due)}}</td>
                                </tr>
                            </table>
                            <hr/>
                            <table class="pitems table table-bordered table-striped">
                                <thead>
                                <tr><td colspan="6">قطع الغيار</td></tr>
                                <tr>
                                    <td>#</td>
                                    <td>الصنف</td>
                                    <td>السعر</td>
                                    <td>الكمية</td>
                                    <td>الخصم</td>
                                    <td>الإجمالى</td>
                                </tr>
                                </thead>
                                <tbody>
                                    @if(isset($item))
                                        @foreach($item->details as $d)
                                        <tr class="prodItem">
                                            <td>
                                                {{$loop->iteration}}
                                            </td>
                                            <td>{{$d->name}}</td>
                                            <td>
                                                {{$d->pivot->price}}
                                            </td>
                                            <td>
                                                {{$d->pivot->qty}}
                                            </td>
                                            <td>
                                                {{$d->pivot->discount}}
                                            </td>
                                            <td class="itemTotal">
                                                {{$d->pivot->qty * ($d->pivot->price-$d->pivot->discount)}}
                                            </td>
                                        </tr>
                                    @endforeach
                                    @endif
                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="box box-primary">
                        <div class="box-header">
                            <h3 class="box-title">الصور والمرفقات</h3>
                        </div>
                        <div class="box-body box-success">
                            <table class="table table-bordered">
                                @php
                                    $i = 1;
                                @endphp
                                @if(isset($item) && optional($item->getFirstMedia('images'))->getUrl())
                                    @foreach($item->getMedia('images') as $image)
                                        <tr>
                                            <td>{{ $i }}</td>
                                            <td>
                                                <a target="_blank" href="{{$image->getUrl()}}">
                                                    <img style="width: 200px;" src="{{$image->getUrl()}}" />
                                                </a>
                                            </td>
                                        </tr>
                                        @php
                                            $i++;
                                        @endphp
                                    @endforeach
                                @endif
                                @if($item->details)
                                @foreach($item->details as $d)
                                    @foreach($d->getMedia('attachments') as $image)
                                        <tr>
                                            <td>{{ $i }}</td>
                                            <td>
                                                @php
                                                    $filepath = $image->getUrl();
                                                    $extension = $image->mime_type;
                                                @endphp
                                                @if(in_array($extension,['image/jpeg','image/png']))
                                                    <a target="_blank" href="{{$image->getUrl()}}">
                                                        <img style="width: 200px;" src="{{$filepath}}">
                                                    </a>
                                                @else
                                                    <a style="margin-bottom: 5px;" target="_blank" href="{{$filepath}}" class="btn btn-sm btn-warning">View </a>
                                                @endif
                                            </td>
                                        </tr>
                                        @php
                                            $i++;
                                        @endphp
                                    @endforeach
                                    @foreach($d->getMedia('images') as $image)
                                        <tr>
                                            <td>{{ $i }}</td>
                                            <td>
                                                @php
                                                    $filepath = $image->getUrl();
                                                    $extension = $image->mime_type;
                                                @endphp
                                                @if(in_array($extension,['image/jpeg','image/png']))
                                                    <a target="_blank" href="{{$image->getUrl()}}">
                                                        <img style="width: 200px;" src="{{$filepath}}">
                                                    </a>
                                                @else
                                                    <a style="margin-bottom: 5px;" target="_blank" href="{{$filepath}}" class="btn btn-sm btn-warning">View </a>
                                                @endif
                                            </td>
                                        </tr>
                                        @php
                                            $i++;
                                        @endphp
                                    @endforeach
                                @endforeach
                                @endif
                                @if(isset($item) && optional($item->getFirstMedia('attachments'))->getUrl())
                                    @foreach($item->getMedia('attachments') as $file)
                                        @php
                                            $filepath = $file->getUrl();
                                            $extension = $file->mime_type;
                                        @endphp
                                        <tr>
                                            <td>{{ $i }}</td>
                                            <td>
                                                @if(in_array($extension,['image/jpeg','image/png']))
                                                    <a target="_blank" href="{{$filepath}}">
                                                        <img style="width: 200px;" src="{{$filepath}}">
                                                    </a>
                                                @else
                                                    <a style="margin-bottom: 5px;width: 200px;" target="_blank" href="{{$filepath}}" class="btn btn-sm btn-warning">View </a>
                                                @endif
                                            </td>
                                        </tr>
                                        @php
                                            $i++;
                                        @endphp
                                    @endforeach
                                @endif
                            </table>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-xs-12">
                    <div class="box box-primary">
                        <div class="box-header">
                            <h3 class="box-title">التحصيلات</h3>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                            <table class="table table-bordered">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>البيان</th>
                                            <th>التاريخ</th>
                                            <th>الموظف</th>
                                            <th>المبلغ</th>
                                            <th>المرفقات</th>
                                            <th></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach($item->transactions as $col)
                                            <tr>
                                                <td>{{ $loop->iteration }}</td>
                                                <td>{{ $col->note }}</td>
                                                <td>{{ $col->trans_date }}</td>
                                                <td>{{ optional($col->creator)->name }}</td>
                                                <td>{{ abs($col->value) }}</td>
                                                <td>
                                                    @php
                                                        $image = optional($col->getFirstMedia('images'));
                                                        $filepath = $image->getUrl();
                                                        $extension = $image->mime_type;
                                                        @endphp
                                                        @if($filepath)
                                                            @if(in_array($extension,['image/jpeg','image/png']))
                                                                <a target="_blank" href="{{$image->getUrl()}}">
                                                                    <img style="width: 100px;" src="{{$filepath}}">
                                                                </a>
                                                            @else
                                                                <a style="margin-bottom: 5px;" target="_blank" href="{{$filepath}}" class="btn btn-sm btn-warning">عرض </a>
                                                            @endif
                                                        @endif
                                                </td>
                                                <td>
                                                    @if($currentUser->can('Edit Transactions'))
                                                        <a title="تعديل" href="{{route('transactions.edit',$col)}}" class="btn btn-primary btn-xs">
                                                            <i class="fa fa-pencil fa-fw" aria-hidden="true"></i>
                                                        </a>
                                                    @endif
                                                    @if($currentUser->can('Delete Transactions'))
                                                        <a title="حذف" class="btn btn-xs btn-danger remove-record" data-url="{{ route('transactions.destroy',$col)  }}" data-id="{{$col->id}}">
                                                            <i class="fa fa-trash"></i>
                                                        </a>
                                                    @endif
                                                    @if($currentUser->can('Show Transactions'))
                                                        <a title="طباعه" href="{{route('transactions.show',$col)}}" class="btn btn-info btn-xs">
                                                            <i class="fa fa-print" aria-hidden="true"></i>
                                                        </a>
                                                    @endif
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>

        </section>
    </div>
@stop
@push('css')
<style>
    .financeTable tr th,.financeTable tr td{
        text-align: center;
        font-weight: bold;
    }
</style>

@endpush
