@if(count($orderTasks))
    <div class="col-md-12">

        <table class="table table-bordered">
            <thead>
            <tr>
                <th>#</th>
                <th>المهمة</th>
                <th>السيارة</th>
                <th>القسم</th>
                <th>المسئول</th>
                <th>الحالة</th>
                <th>قبول</th>
                <th>رفض</th>
                <th>ملحوظة</th>
                <th>التاريخ</th>
                <th>المرفقات</th>
                <th>العملية</th>
            </tr>
            </thead>
            <tbody>
            @php

                $bg = [
                    'معلق'=>'#FF9800;',
                    'مراجعة'=>'#337ab7;',
                    'قبول'=>'#008d4c;',
                    'رفض'=>'#d73925;',
                ];
            @endphp
            @foreach ($orderTasks as $t)
                <tr>
                    <td>{{ $loop->iteration }}</td>
                    <td>{{ optional($t->task)->title }}</td>
                    <td><a target="_blank" href="{{ $t->car_id?route('car.data',$t->car_id):'#' }}" >{{ optional($t->car)->model . " - ".optional($t->car)->chassis_no }}</a></td>
                    <td>{{ optional($t->department)->name }}</td>
                    <td>{{ optional($t->user)->name }}</td>
                    <td>
                        <span style="color:#fff;background-color: {{$bg[$t->status]??'#000'}}" class="badge">
                        {{ $t->status }}
                        </span>
                    </td>
                    <td>
                        @php
                            $userDepartments = $currentUser->dep_id;
                        @endphp
                        @if($t->status != "قبول" && ($t->user_id == $currentUser->id || ($userDepartments && in_array($t->department_id,$userDepartments))))
                            <form action="{{ route('ordertasks.update2',$t->id) }}" method="post">
                                {{ csrf_field() }}
                                {{ method_field('PUT')  }}
                                <input type="hidden" name="status" value="قبول"/>
                                <button class="btn btn-success btn-xs" type="submit" ><i class="fa fa-check"></i> قبول</button>
                            </form>
                        @endif
                    </td>
                    <td>
                        @if(!in_array($t->status,['قبول','رفض']) && ($t->user_id == $currentUser->id || ($userDepartments && in_array($t->department_id,$userDepartments))))
                            <a class="btn btn-danger btn-xs" data-toggle="modal" data-target="#myModal" href="{{ route("ordertasks.edit2",$t->id) }}"><i class="fa fa-close"></i> رفض</a>
                        @endif
                    </td>
                    <td>{{ $t->note }}</td>
                    <td>{{ $t->notifcation_date }}</td>
                    <td>
                        @foreach($t->getMedia('images') as $file)
                            @php
                                $filepath = $file->getUrl();
                                $extension = $file->mime_type;
                            @endphp
                            @if(in_array($extension,['image/jpeg','image/png']))
                                <a target="_blank" href="{{$filepath}}">
                                    <img style="width: 100px;" src="{{$filepath}}">
                                </a>
                            @else
                                <a style="width: 100px;" target="_blank" href="{{$filepath}}" class="btn btn-xs btn-warning"><i class="fa fa-file"></i> عرض </a>
                            @endif
                        @endforeach
                    </td>
                    <td>
                        <a data-toggle="modal" data-target="#myModal" class="btn btn-xs btn-success" href="{{route('ordertasks.uploadfiles',$t->id)}}" ><i class="fa fa-cloud-upload"></i> مرفقات</a>

                        @if($t->mission_id == 2)
                            <a target="_blank" class="btn btn-xs btn-warning" href="{{ route('ordertasks.trafficform',$t->id) }}"><i class="fa fa-files-o"></i> نموذج المرور</a>
                        @endif
                        @if($t->mission_id == 3)
                            <a target="_blank" class="btn btn-xs btn-warning" href="{{ route('ordertasks.show2',$t->id) }}"><i class="fa fa-eye"></i> إستلام</a>
                            <a target="_blank" class="btn btn-xs btn-info" href="{{ route('ordertasks.preview',$t->id) }}"><i class="fa fa-eye"></i> معاينة</a>
                        @endif
                       @can('Edit OrderTasks')
                            @if(($t->user_id == $currentUser->id || ($userDepartments && in_array($t->department_id,$userDepartments))))
                                <a href="{{ route('ordertasks.edit',$t->id) }}" class="btn btn-xs btn-primary" ><i class="fa fa-edit"></i></a>&nbsp;
                            @endif
                        @endcan
                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>
@endif
@can('assignTask Purchases')
<div class="row hide">
    <div class="col-md-12">
        <div class="box">
            <div class="box-header">
                <h4> إضافة مهمة </h4>
            </div>
            <form action="{{route('purchases.assignTask',$item->id)}}" method="post" enctype="multipart/form-data" >
                <div class="box-body">
                    @csrf
                    <div class="row">
                        <div class="col-lg-4">
                            <div class="form-group">
                                <label for="department_id">القسم</label>
                                <select style="width: 100%;" required class="form-control select2 departmentList" id="department_id" name="department_id">
                                    <option value="">-- إخنر القسم --</option>
                                    @foreach($departments as $department)
                                        <option value="{{$department->id}}"> {{$department->name}} </option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="form-group">
                                <label for="task_id">المهمة</label>
                                <select required class="form-control " id="task_id" name="mission_id">
                                    <option value="">-- إختر المهمة --</option>
                                    @foreach($tasks as $task)
                                        <option class="depart{{$task->department_id}} optionelm" value="{{$task->id}}"> {{$task->title}} </option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="form-group">
                                <label for="user_id">المسئول</label>
                                <select required class="form-control " id="user_id" name="user_id">
                                    <option rel="" value="">-- إختر المسئول --</option>
                                    @foreach($users as $user)
                                        @php
                                            $depclass=$user->dep_id?implode('dep ',$user->dep_id):'';
                                        @endphp
                                        <option class="optionelm {{$depclass}}" value="{{$user->id}}"> {{$user->name}} </option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="form-group">
                                @php
                                    $statusList = ['معلق','مراجعة','رفض','قبول'];
                                @endphp
                                <label for="status">الحالة</label>
                                <select name="status" id="status" class="form-control" required="">
                                    <option  value="">--- إختر الحالة ---</option>
                                    @foreach ($statusList as $status)
                                        <option value="{{ $status }}"> {{ $status }} </option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="form-group col-md-6">
                            <label>التاريخ</label>
                            <div class="input-group date">
                                <div class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </div>
                                <input name="notifcation_date" type="text" value="{{date('Y-m-d')}}" id="datepicker" class="form-control pull-right ">
                            </div>
                            <!-- /.input group -->
                        </div>
                    </div>

                    <div class="">
                        <div class="form-group">
                            <label>
                                <input {{isset($ordertask) && $ordertask->must_completed?'checked':''}} name="must_completed" type="checkbox" class="flat-red">
                                لابد من اكتمال هذه المهمة حتى يتم استكمال باقى المهام
                            </label>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="form-group">
                                <label>الوصف</label>
                                <textarea name="note" cols="15" rows="5" class="form-control"></textarea>
                            </div>
                        </div>
                        <div class="form-group col-md-12">
                            <label for="Logo">مرفقات</label>
                            <input multiple name="images[]" type="file" class="form-control" id="Logo">
                        </div>
                    </div>
                </div>
                <div class="box-footer">
                    <button type="submit" class="btn btn-primary"><i class="fa fa-save"></i> حفظ</button>
                </div>
            </form>
        </div>
    </div>
</div>
@push('js')
<script>
    //Flat red color scheme for iCheck
    $('input[type="checkbox"].flat-red').iCheck({
        checkboxClass: 'icheckbox_flat-green',
        radioClass   : 'iradio_flat-green'
    })
    $(".departmentList,.select2").select2();

    $('#datepicker').datepicker({
        autoclose: true,
        rtl: true,
        format: 'yyyy-mm-dd',
        language: "ar",
    });
    $(document).on("change",'.departmentList',function(e){
            var value = $(this).val();
            $(".optionelm").hide();
            $(".depart"+value).show();
            $("."+value).show();
            $("."+value+"dep").show();

    });
    $(".departmentList").trigger("change");
</script>
@endpush
@endcan
