@extends('layouts.front')
@section('title','الفواتير المحذوفه')
@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                @if($type==\App\Purchase::SalesType)
                    فواتير المبيعات المحذوفه
                @else
                    فواتير المشتريات المحذوفه
                @endif
            </h1>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-xs-12">
                    <div class="box">
                        {{--<div class="box-header">
                            <h3 class="box-title">Hover Data Table</h3>
                        </div>--}}
                        <!-- /.box-header -->
                        <div class="box-body">
                            <table class="table table-bordered table-hover dataTableTT">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>م</th>
                                    <th>المستخدم</th>
                                    <th>الاسم</th>
                                    <th>تاريخ الاضافة</th>
                                    <th>تاريخ الحذف</th>
                                    <th>طريقة الدفع</th>
                                    <th>الإجمالى</th>
                                    <th>المدفوع</th>
                                    <th>المتبقى</th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                    @foreach($list as $item)
                                        <tr>
                                        <td>{{$loop->iteration}}</td>
                                        <td>{{ $item->id }}</td>
                                        <td>{{optional($item->creator)->name}}</td>
                                        <td>
                                            {{optional($item->person)->name}}
                                            @if(optional(optional($item->person)->bank)->name)
                                                ( {{ optional(optional($item->person)->bank)->name }} )
                                            @endif
                                        </td>
                                        <td>{{ $item->created_at }}</td>
                                        <td>{{ $item->deleted_at }}</td>
                                        <td>
                                            {{$item->payment}}
                                            @if($item->finance)
                                            @php
                                            $finance = optional($item->finance);
                                            @endphp
                                            <ul style="font-size: 12px;list-style-type: none; margin: 0; padding: 0;">
                                                <li>
                                                <span style='color: red;'>{{ $finance->funder->name }}</span>
                                                </li>
                                                <li>
                                                <span style='color: red;'>{{ $finance->order_number }}</span>
                                                </li>
                                                <li>
                                                <span style='color: red;'>{{ $finance->order_date }}</span>
                                                </li>
                                                <li>
                                                <span style='color: red;'>{{ $finance->order_value }}</span>
                                                </li>
                                            </ul>
                                            @endif
                                        </td>
                                        <td>{{number_format($item->total)}}</td>
                                        <td>{{number_format($item->total_paid)}}</td>
                                        <td>{{number_format($item->total_due)}}</td>
                                        <td>
                                            @if($currentUser->can('Show Purchases'))
                                                <a title="التفاصيل" href="{{route('purchase.show',$item)}}" class="btn btn-warning btn-xs">
                                                    <i class="fa fa-pencil fa-eye" aria-hidden="true"></i>
                                                </a>
                                                <a title="طباعه" href="{{route('purchase.print',$item)}}" class="btn btn-info btn-xs">
                                                    <i class="fa fa-print" aria-hidden="true"></i>
                                                </a>
                                            @endif
                                        </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
@stop
@include("_partial.datatable")
