@extends('layouts.front')
@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header hideprint">
            <h1>
                تفاصيل الفاتورة رقم

                <small>
                    {{$order->id}}
                </small>
                <a class="btn print-window pull-right" href="javascript:void(0)" onclick="window.print();" role="button">
                    <i class="fa fa-print" aria-hidden="true"></i> طباعة
                </a>
            </h1>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-md-12">
                    <div class="box">
                        <div class="box-body box-success">
                            <div class="row">
                                <div class="col-md-12">
                                    <div id="printInvoice" class="box" style="border: none;">
                                        <div class="box-body" >
                                            @include('_partial.printheader')
                                            <div class="text-center">
                                                <h3>
                                                    {{ optional($order->type)->name }}
                                                    <br/> <br/>
                                                    رقم الفاتورة (Invoice NO):
                                                     {{$order->id}}
                                                </h3>
                                                <hr>
                                            </div>
                                            <div  class="col-md-12" style="margin-bottom: 20px;">
                                                @php
                                                    $client = optional($order->client);
                                                @endphp
                                                <table style="table-layout: fixed;">
                                                    <tr>
                                                        <td style="width: 25%;"><h5>اسم الموظف: {{ optional($order->creator)->name }}</h5></td>
                                                        <td style="width: 25%;"><h5>الفرع: {{ optional($order->branche)->name }}</h5></td>
                                                        <td style="width: 25%;"><h5>رقم فاتورة المبيعات: {{ $order->invoice_num }}</h5></td>
                                                        <td style="width: 25%;"><h5>التاريخ: {{ $order->post_date }}</h5></td>
                                                    </tr>
                                                    <tr>
                                                        <td style="width: 25%;"><h5>اسم العميل: {{$client->name }}</h5></td>
                                                        <td style="width: 25%;"><h5>رقم الهوية: {{$client->id_number }}</h5></td>
                                                        <td style="width: 25%;"><h5>رقم الجوال: {{ $order->mobile }}</h5></td>
                                                    </tr>
                                                </table>
                                            </div>
                                            <div  class="col-md-12  tableContaier">

                                                <table class="">
                                                        <tr>
                                                            <td colspan="2">
                                                                <table class="pitems table table-bordered table-striped">

                                                                    <thead>
                                                                    @if($order->note)
                                                                        <tr>
                                                                            <td colspan="6">
                                                                                {{ $order->note }}
                                                                            </td>
                                                                        </tr>
                                                                    @endif
                                                                    <tr>
                                                                        <td>#</td>
                                                                        <td>البيان</td>
                                                                        <td>السعر</td>
                                                                        <td>الكمية</td>
                                                                        <td>الخصم</td>
                                                                        <td>الإجمالى</td>
                                                                    </tr>
                                                                    </thead>
                                                                    <tbody>
                                                                        @php
                                                                            $iter = 1;
                                                                        @endphp
                                                                        @if($order->details)
                                                                            @foreach($order->details as $d)

                                                                                <tr>
                                                                                    <td>{{$iter}}</td>
                                                                                    <td>{{$d->code}} - {{$d->name}}</td>
                                                                                    <td>{{$d->pivot->price}}</td>
                                                                                    <td>{{$d->pivot->qty}}</td>
                                                                                    <td>{{$d->pivot->discount}}</td>
                                                                                    <td>
                                                                                        {{$d->pivot->qty * ($d->pivot->price-$d->pivot->discount)}}
                                                                                    </td>
                                                                                </tr>
                                                                                @php
                                                                                    $iter++;
                                                                                @endphp
                                                                            @endforeach
                                                                        @endif
                                                                        @if(isset($order) && !empty($order->services))
                                                                        @foreach ($order->services as $service)
                                                                            <tr>
                                                                                <td>{{ $iter }}</td>
                                                                                <td>{{ $service->title }}</td>
                                                                                <td>{{ $service->price }}</td>
                                                                                <td>1</td>
                                                                                <td>0</td>
                                                                                <td>{{ $service->price  }}</td>
                                                                            </tr>
                                                                            @php
                                                                                $iter++;
                                                                            @endphp
                                                                        @endforeach
                                                                    @endif
                                                                    </tbody>
                                                                    <tfoot>

                                                                        <tr>
                                                                            <td colspan="5">الإجمالى:</td>
                                                                            <td>{{ $order->total." ".$settings['currency'] }}</td>
                                                                        </tr>
                                                                    </tfoot>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2" style="border: none!important">
                                                                <table>
                                                                    <tr>
                                                                        <td style="width: 70%;border: none!important;">
                                                                            {!! $settings['termsconditions'] !!}
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </section>
    </div>
@stop
@push('css')
    <style>
        #footer{
            position: absolute;
            bottom: 0;
            left: 0;
            right: 0;
            height: auto;
            padding-top: 40px;
            color: #fff;
        }
        .tableContaier {
            border: 3px solid #000;
            padding: 35px;
        }
        .tableContaier table{
            table-layout: fixed;
        }
        .tableContaier table td{
            width: 140px;
            height: 60px;
            vertical-align: middle;
        }
        .rotate {
            -webkit-transform: rotate(-90deg);
            -moz-transform: rotate(-90deg);
        }
        .textspan {
            position: relative;
            top: -5px;
            right: 5px;
        }
        .col-md-4.return-col {
            font-size: 15px;
            font-weight: bold;
        }
        .return-info{
            margin-bottom: 20px;
            margin-right: 5px;
        }
        b{
            border-bottom: 1px dashed #000;
        }
        .printHeader{
            display: none;
        }
        tr td{
            vertical-align: middle!important;
        }
        #printInvoice .table tr>td{
            text-align: center;
            border:1px solid #000!important;
        }
        #printInvoice .table thead tr>td,.table thead tr>th{
            font-weight: bold;
        }

        #printInvoice .table tr>td ,th{

            text-align: center!important;
            border: 2px solid #000!important;
            font-size: 16px!important;
            font-weight: bold!important;
        }
        td.infotd{
            border-bottom: 1px solid #fff!important;
            border-top: 1px solid #fff!important;
            border-right: 1px solid #fff!important;
            width: 152px;
            font-size: 18px!important;
        }

    @media print {
        @page
        {
            size: auto;   /* auto is the initial value */
            /* this affects the margin in the printer settings */
            margin: 7mm 3mm 7mm 3mm;
        }
        body
        {
            margin: 5mm;
        }
        .panel-default{
            border: none;
        }
        .hideprint{
            visibility:hidden;
            margin:0;
            display: none !important;
        }
    }
    </style>
@endpush
