@extends('layouts.front')
@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                تفاصيل الفاتورة رقم {{$item->id}}

                @if($currentUser->can('Edit Returns'))
                    <a title="تعديل" href="{{route('returns.edit',$item)}}" class="btn btn-warning btn-xs pull-right">
                        <i class="fa fa-pencil fa-fw" aria-hidden="true"></i>
                    </a>
                @endif

                @if($item->total_due)
                    @if($currentUser->can('addPayment Returns'))
                        <a style="margin-left: 5px;" title="سند قبض" data-toggle="modal" data-target="#myModal" href="{{route('returns.addPayment',$item->id)}}" class="pull-right btn btn-success btn-xs">
                            <i class="fa fa-money fa-fw" aria-hidden="true"></i>
                        </a>
                    @endif
                @endif
                <a style="margin-left: 5px;" class="btn btn-info btn-xs print-window pull-right" href="javascript:void(0)" onclick="window.print();" role="button">
                    <i class="fa fa-print" aria-hidden="true"></i>
                </a>
            </h1>
        </section>

        <!-- Main content -->
        <section class="content">

            <div class="nav-tabs-custom">
                <ul class="nav nav-tabs">
                    <li class="active"><a href="#tab_1" data-toggle="tab" aria-expanded="true">بيانات الفاتورة</a></li>
                    <li><a href="#tab_3" data-toggle="tab" aria-expanded="true">الصور والمرفقات</a></li>
                    <li><a href="#tab_4" data-toggle="tab" aria-expanded="true">التحصيلات</a></li>
                    @can('qtyReview Returns')
                        <li><a href="#tab_6" data-toggle="tab" aria-expanded="true">إستلام قطع الغيار</a></li>
                    @endcan
                </ul>
                <div class="tab-content">
                    <div class="tab-pane active" id="tab_1">
                        <div class="row">
                            <div class="col-xs-12">
                                <div class="box box-primary">
                                    <div class="box-header">
                                        <h3 class="box-title">بيانات الفاتورة</h3>
                                    </div>
                                    <!-- /.box-header -->
                                    <div class="box-body box-success">

                                        <table class="table table-bordered table-striped">
                                            <tr>
                                                <td>الاسم</td>
                                                <td>
                                                    {{optional($item->person)->name}}
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>تاريخ الفاتورة</td>
                                                <td>{{$item->date}}</td>
                                            </tr>
                                            <tr>
                                                <td>الإجمالى</td>
                                                <td>{{number_format($item->total)}}</td>
                                            </tr>
                                        </table>
                                        <hr/>
                                        <table class="pitems table table-bordered table-striped">
                                            <thead>
                                            <tr><td colspan="6">قطع الغيار</td></tr>
                                            <tr>
                                                <td>#</td>
                                                <td>الصنف</td>
                                                <td>السعر</td>
                                                <td>الكمية</td>
                                                <td>الإجمالى</td>
                                            </tr>
                                            </thead>
                                            <tbody>
                                                @if(isset($item))
                                                    @foreach($item->details as $d)
                                                    <tr class="prodItem">
                                                        <td>
                                                            {{$loop->iteration}}
                                                        </td>
                                                        <td>{{$d->name}}</td>
                                                        <td>
                                                            {{$d->pivot->price}}
                                                        </td>
                                                        <td>
                                                            {{$d->pivot->qty}}
                                                        </td>
                                                        <td class="itemTotal">
                                                            {{$d->pivot->qty * ($d->pivot->price-$d->pivot->discount)}}
                                                        </td>
                                                    </tr>
                                                @endforeach
                                                @endif
                                            </tbody>
                                        </table>
                                    </div>


                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane" id="tab_3">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="box box-primary">
                                    <div class="box-header">
                                        <h3 class="box-title">الصور والمرفقات</h3>
                                    </div>
                                    <div class="box-body box-success">
                                        <table class="table table-bordered">
                                            @php
                                                $i = 1;
                                            @endphp
                                            @if(isset($item) && optional($item->getFirstMedia('images'))->getUrl())
                                                @foreach($item->getMedia('images') as $image)
                                                    <tr>
                                                        <td>{{ $i }}</td>
                                                        <td>
                                                            <a target="_blank" href="{{$image->getUrl()}}">
                                                                <img style="width: 200px;" src="{{$image->getUrl()}}" />
                                                            </a>
                                                        </td>
                                                    </tr>
                                                    @php
                                                        $i++;
                                                    @endphp
                                                @endforeach
                                            @endif
                                            @if($item->details)
                                            @foreach($item->details as $d)
                                                @foreach($d->getMedia('attachments') as $image)
                                                    <tr>
                                                        <td>{{ $i }}</td>
                                                        <td>
                                                            @php
                                                                $filepath = $image->getUrl();
                                                                $extension = $image->mime_type;
                                                            @endphp
                                                            @if(in_array($extension,['image/jpeg','image/png']))
                                                                <a target="_blank" href="{{$image->getUrl()}}">
                                                                    <img style="width: 200px;" src="{{$filepath}}">
                                                                </a>
                                                            @else
                                                                <a style="margin-bottom: 5px;" target="_blank" href="{{$filepath}}" class="btn btn-sm btn-warning">View </a>
                                                            @endif
                                                        </td>
                                                    </tr>
                                                    @php
                                                        $i++;
                                                    @endphp
                                                @endforeach
                                                @foreach($d->getMedia('images') as $image)
                                                    <tr>
                                                        <td>{{ $i }}</td>
                                                        <td>
                                                            @php
                                                                $filepath = $image->getUrl();
                                                                $extension = $image->mime_type;
                                                            @endphp
                                                            @if(in_array($extension,['image/jpeg','image/png']))
                                                                <a target="_blank" href="{{$image->getUrl()}}">
                                                                    <img style="width: 200px;" src="{{$filepath}}">
                                                                </a>
                                                            @else
                                                                <a style="margin-bottom: 5px;" target="_blank" href="{{$filepath}}" class="btn btn-sm btn-warning">View </a>
                                                            @endif
                                                        </td>
                                                    </tr>
                                                    @php
                                                        $i++;
                                                    @endphp
                                                @endforeach
                                            @endforeach
                                            @endif
                                            @if(isset($item) && optional($item->getFirstMedia('attachments'))->getUrl())
                                                @foreach($item->getMedia('attachments') as $file)
                                                    @php
                                                        $filepath = $file->getUrl();
                                                        $extension = $file->mime_type;
                                                    @endphp
                                                    <tr>
                                                        <td>{{ $i }}</td>
                                                        <td>
                                                            @if(in_array($extension,['image/jpeg','image/png']))
                                                                <a target="_blank" href="{{$filepath}}">
                                                                    <img style="width: 200px;" src="{{$filepath}}">
                                                                </a>
                                                            @else
                                                                <a style="margin-bottom: 5px;width: 200px;" target="_blank" href="{{$filepath}}" class="btn btn-sm btn-warning">View </a>
                                                            @endif
                                                        </td>
                                                    </tr>
                                                    @php
                                                        $i++;
                                                    @endphp
                                                @endforeach
                                            @endif
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane" id="tab_4">
                        <div class="row">
                            <div class="col-xs-12">
                                <div class="box box-primary">
                                    <div class="box-header">
                                        <h3 class="box-title">التحصيلات</h3>
                                    </div>
                                    <!-- /.box-header -->
                                    <div class="box-body">
                                        <table class="table table-bordered">
                                                <thead>
                                                    <tr>
                                                        <th>#</th>
                                                        <th>البيان</th>
                                                        <th>التاريخ</th>
                                                        <th>الموظف</th>
                                                        <th>المبلغ</th>
                                                        <th>المرفقات</th>
                                                        <th></th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach($item->transactions as $col)
                                                        <tr>
                                                            <td>{{ $loop->iteration }}</td>
                                                            <td>{{ $col->note }}</td>
                                                            <td>{{ $col->trans_date }}</td>
                                                            <td>{{ optional($col->creator)->name }}</td>
                                                            <td>{{ abs($col->value) }}</td>
                                                            <td>
                                                                @php
                                                                    $image = optional($col->getFirstMedia('images'));
                                                                    $filepath = $image->getUrl();
                                                                    $extension = $image->mime_type;
                                                                    @endphp
                                                                    @if($filepath)
                                                                        @if(in_array($extension,['image/jpeg','image/png']))
                                                                            <a target="_blank" href="{{$image->getUrl()}}">
                                                                                <img style="width: 100px;" src="{{$filepath}}">
                                                                            </a>
                                                                        @else
                                                                            <a style="margin-bottom: 5px;" target="_blank" href="{{$filepath}}" class="btn btn-sm btn-warning">عرض </a>
                                                                        @endif
                                                                    @endif
                                                            </td>
                                                            <td>
                                                                @if($currentUser->can('Edit Transactions'))
                                                                    <a title="تعديل" href="{{route('transactions.edit',$col)}}" class="btn btn-primary btn-xs">
                                                                        <i class="fa fa-pencil fa-fw" aria-hidden="true"></i>
                                                                    </a>
                                                                @endif
                                                                @if($currentUser->can('Delete Transactions'))
                                                                    <a title="حذف" class="btn btn-xs btn-danger remove-record" data-url="{{ route('transactions.destroy',$col)  }}" data-id="{{$col->id}}">
                                                                        <i class="fa fa-trash"></i>
                                                                    </a>
                                                                @endif
                                                                @if($currentUser->can('Show Transactions'))
                                                                    <a title="طباعه" href="{{route('transactions.show',$col)}}" class="btn btn-info btn-xs">
                                                                        <i class="fa fa-print" aria-hidden="true"></i>
                                                                    </a>
                                                                @endif
                                                            </td>
                                                        </tr>
                                                    @endforeach
                                                </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane" id="tab_6">
                        <div class="row">
                            <div class="col-md-12">
                                <form action="{{route('returns.qtyReview')}}" method="post" enctype="multipart/form-data" >
                                    @csrf
                                    <input type="hidden" name="branche_id" value="{{ $item->branche_id }}"/>
                                    <div class="box">
                                        <div class="box-header">
                                            <h4> إستلام قطع الغيار </h4>
                                        </div>
                                        <div class="box-body">
                                            <table class="pitems table table-bordered table-striped">
                                                <thead>
                                                <tr>
                                                    <td>#</td>
                                                    <td>الكود</td>
                                                    <td>الصنف</td>
                                                    <td>الكمية</td>
                                                    <td>الحالة</td>
                                                    <td>ملحوظة</td>
                                                </tr>
                                                </thead>

                                                    <tbody>
                                                        @if(isset($item))

                                                            @foreach($item->details as $d)
                                                            <tr class="prodItem">
                                                                <td>
                                                                    {{$loop->iteration}}
                                                                    <input type="hidden" name="prod[{{$loop->iteration}}][detail_id]" value="{{$d->pivot->id}}">
                                                                    <input type="hidden" name="prod[{{$loop->iteration}}][product_id]" value="{{$d->id}}">
                                                                    <input type="hidden" name="prod[{{$loop->iteration}}][qty]" value="{{$d->pivot->qty}}">
                                                                </td>
                                                                <td>{{$d->code}}</td>
                                                                <td>{{$d->name}}</td>
                                                                <td>{{$d->pivot->qty}}</td>
                                                                <td>
                                                                    <div class="form-group">
                                                                        <select name="prod[{{$loop->iteration}}][item_status]" id="item_status" class="form-control">
                                                                            <option  value="">--- إختر الحالة ---</option>
                                                                            <option {{ $d->pivot->item_status=='تم الاستلام'?'selected':'' }}  value="تم الاستلام"> تم الاستلام </option>
                                                                            <option {{ $d->pivot->item_status=='لم يتم الاستلام'?'selected':'' }} value="لم يتم الاستلام"> لم يتم الاستلام </option>
                                                                        </select>
                                                                    </div>
                                                                </td>
                                                                <td>
                                                                    <div class="form-group">
                                                                        <input type="text" class="form-control" name="prod[{{$loop->iteration}}][item_note]" value="{{ $d->pivot->item_note }}"/>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                        @endforeach
                                                        @endif
                                                    </tbody>
                                            </table>
                                        </div>
                                        <div class="box-footer">
                                            <button type="submit" class="btn btn-primary"><i class="fa fa-save"></i> حفظ</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </section>
    </div>
@stop
@push('css')
<style>
    .financeTable tr th,.financeTable tr td{
        text-align: center;
        font-weight: bold;
    }
</style>

@endpush
