{{ csrf_field() }}
<div class="box ">
        <div class="box-body">
            <div class="form-group">
                <label for="name">الاسم</label>
                <input type="text" class="form-control" id="name" {{ $role->name?'readonly':'' }}  name="name" value=" {{ $role->name }}" required>
            </div>
            <div class="form-group">
                <input type="checkbox" id="selectAll">
                <label for="selectAll">إختر الكل</label>
            </div>
            @if(count($permissions))
                @foreach( string_grouping($permissions) as $permission_base_name => $permission_data)
                    @if(is_array($permission_data))
                        <div class="form-group rowItem">
                            <div class="col-xs-12">
                                <input id="{{ $permission_base_name }}" type="checkbox" class="selectAllItems">
                                <label for="{{ $permission_base_name }}" >{{ trans('key.'.$permission_base_name) }}</label>
                            </div>
                            <div class="row" style="margin-right: 10px;">
                                @foreach( $permission_data as $permission_value => $permission_name)
                                    @if(!empty($permission_name))
                                        <div class="col-md-3">
                                            <input type="checkbox" name="permissions[]" value="{{ $permission_value }}" id="{{$permission_value}}" @if($role->hasPermissionTo($permission_value)) checked @endif >
                                            <label for="{{$permission_value}}">@lang("key.$permission_name")</label>
                                        </div>
                                    @endif
                                @endforeach

                            </div>
                        </div>
                    @else
                        <div class="form-group">
                            <div class="col-xs-12">
                                <label for="{{$permission_base_name}}">{{$permission_data}}</label>
                                <input type="checkbox" name="permissions[]" value="{{ $permission_base_name }}" id="{{$permission_base_name}}" @if($role->hasPermissionTo($permission_base_name)) checked @endif >
                            </div>
                        </div>
                    @endif
                    <br>
                    <br>
                @endforeach

            @endif

        </div>
    <div class="box-footer">
        <button type="submit" class="btn btn-primary">حفظ</button>
    </div>
</div>
@push('js')
    <script>
        var checkboxes_status = [];
        $("input[type=checkbox]").each(function(){
            checkboxes_status[$(this).attr('id')] = $(this).is(':checked');
        });
        $("#selectAll").change(function(){
            if( $(this).is(":checked") ){
                $("input[type=checkbox]").prop('checked',true);
            }else{
                $("input[type=checkbox]").each(function(){
                    $(this).prop('checked',checkboxes_status[$(this).attr('id')]);
                });
            }
        });
        $(".selectAllItems").change(function(){
            var row = $(this).closest('.rowItem');
            if( $(this).is(":checked") ){
                row.find("input[type=checkbox]").prop('checked',true);
            }else{
                row.find("input[type=checkbox]").each(function(){
                    $(this).prop('checked',false);
                });
            }
        });

    </script>
@endpush
