@extends('layouts.front')
@section('title','الصلاحيات')
@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                    الصلاحيات
                <a class="btn btn-success pull-right" href="{{route('roles.create')}}" ><i class="fa fa-plus"></i> إضافة</a>
            </h1>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-xs-12">
                    <div class="box">
                        <div class="box-body">
                            <table class="table table-striped">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>اسم الصلاحية</th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($roles as $role)
                                    <tr>
                                        <td>{{ $loop->iteration }}</td>
                                        <td>{{ $role->name }}</td>
                                        <td class="actions">
                                            @if($currentUser->can('Edit Roles'))
                                            <a href="{{ route('roles.edit', $role->id) }}"
                                            class="btn btn-primary btn-xs"
                                            >
                                                <i class="fa fa-pencil fa-fw" aria-hidden="true"></i>

                                            </a>
                                            @endif
                                            @if(!$loop->first && $currentUser->canAccessRoute('roles.destroy','web'))
                                            <button data-url="{{ route('roles.destroy', $role->id) }}"
                                                    class="btn btn-danger btn-xs btn-delete-record"
                                            >
                                                <i class="fa fa-trash fa-fw" aria-hidden="true"></i>

                                            </button>
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
@endsection

@include("_partial.datatable")
