@extends('layouts.front')
@section('title', 'إعدادات عامة')
@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                الأعدادات العامة
            </h1>
        </section>
        <section class="content">
            <div class="box box-primary">
                <form class="form-inputs" id="setting-form" action="{{ route('setting.edit') }}" method="post"
                    enctype="multipart/form-data">
                    <div class="box-body">
                        <div class="row">
                            <div class="col-md-12">
                                <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                <div class="form-group">
                                    @foreach ($setting as $set)
                                        <div
                                            class="form-group {{ in_array($set->key, ['termsconditions', 'InvoiceNotes', 'termsconditionsforworks']) ? 'col-md-12' : 'col-md-6' }}">
                                            <label>{{ $set->name }} :</label>
                                            @if ($set->key == 'logo')
                                                <input type="file" class="form-control" name="logo">
                                                @if ($set->value)
                                                    <div class="pull-left">
                                                        <img style="width: 150px;"
                                                            src="{{ \Illuminate\Support\Facades\Storage::url('logo/' . $set->value) }}">
                                                    </div>
                                                @endif
                                            @elseif($set->key == 'termsconditions')
                                                <textarea id="editor2" class="form-control" name="{{ $set->key }}">{{ old($set->key, $set->value) }}</textarea>
                                            @elseif($set->key == 'termsconditionsforworks')
                                                <textarea id="editor3" class="form-control" name="{{ $set->key }}">{{ old($set->key, $set->value) }}</textarea>
                                            @elseif($set->key == 'InvoiceNotes')
                                                <textarea id="editor" class="form-control" name="{{ $set->key }}">{{ old($set->key, $set->value) }}</textarea>
                                            @elseif(in_array($set->key, ['PriceIncludesTax', 'rounding_up']))
                                                <select class="form-control" name="{{ $set->key }}">
                                                    <option {{ $set->value == 'yes' ? 'selected=""' : '' }} value="yes">
                                                        Yes
                                                    </option>
                                                    <option {{ $set->value == 'no' ? 'selected=""' : '' }} value="no">
                                                        No
                                                    </option>
                                                </select>
                                            @elseif($set->key == 'defaultPayment')
                                                <select class="form-control" name="{{ $set->key }}">
                                                    <option {{ $set->value == 'كاش' ? 'selected=""' : '' }} value="كاش">
                                                        كاش
                                                    </option>
                                                    <option {{ $set->value == 'اجل' ? 'selected=""' : '' }} value="اجل">
                                                        آجِل
                                                    </option>
                                                </select>
                                            @else
                                                <input class="form-control" type="text" name="{{ $set->key }}"
                                                    value="{{ old($set->key, $set->value) }}">
                                            @endif
                                        </div>
                                    @endforeach
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="box-footer">
                        <button type="submit" class="btn btn-primary">حفظ</button>
                    </div>
                </form>
            </div>
        </section>
    </div>
@stop
@push('js')
    <script src="{{ asset('ckeditor/ckeditor.js') }}"></script>
    <script>
        CKEDITOR.replace('editor');
        CKEDITOR.replace('editor2');
        CKEDITOR.replace('editor3');
    </script>
@endpush
