@extends('layouts.front')
@section('title','حالة الطلب')
@section('content')
<div class="content-wrapper">
	<!-- Content Header (Page header) -->
	<section class="content-header">
		<h1>
			حالة الطلب
            @if($currentUser->can('Create Status'))
			    <a data-toggle="modal" data-target="#myModal" class="btn btn-success pull-right" href="{{route('status.create')}}" ><i class="fa fa-plus"></i> إضافة</a>
            @endif
        </h1>
	</section>

	<!-- Main content -->
	<section class="content">

		<div class="row">
			<div class="col-xs-12">
				<div class="box">
				{{-- <div class="box-header">
                     <h3 class="box-title">Data Table With Full Features</h3>
                 </div>--}}
				<!-- /.box-header -->
					<div class="box-body">
						<table id="dataList" class="text-center table table-bordered table-striped">
							<thead>
							<tr>
								<th>#</th>
								<th>الاسم</th>
								<th>اللون</th>
								<th>الايقون</th>
                                <th>امكانية التعديل على الطلب</th>
								<th class="no-sort"></th>
							</tr>
							</thead>
							<tbody>
							@foreach($list as $item)
								<tr>
									<td>{{$loop->iteration}}</td>
									<td>{{$item->name}}</td>
                                    <td><i style="background: {{$item->color}};color:{{$item->color}};" class="fa fa-square"></i></td>
                                    <th><i class="fa {{$item->icon}}"></i></th>
									<td>{{ $item->can_edit_invoices?'نعم':'لا' }}</td>
                                    <td class="actions">
                                        @if($currentUser->can('Edit Status'))
                                            <a data-toggle="modal" data-target="#myModal" href="{{route('status.edit',$item)}}" class="btn btn-primary btn-xs">
                                                <i class="fa fa-pencil fa-fw" aria-hidden="true"></i>
                                                تعديل
                                            </a>
                                        @endif
                                        @if($currentUser->can('Delete Status'))
                                            @if(!$loop->first)
                                                <a class="btn btn-xs btn-danger remove-record" data-url="{{ route('status.destroy',$item)  }}" data-id="{{$item->id}}">
                                                    <i class="fa fa-trash"></i>
                                                    حذف
                                                </a>
                                            @endif
                                        @endif

									</td>
								</tr>
							@endforeach
							</tbody>
						</table>
					</div>
					<!-- /.box-body -->
				</div>
				<!-- /.box -->
			</div>
			<!-- /.col -->
		</div>
		<!-- /.row -->
	</section>
	<!-- /.content -->

	<div id="myModal" class="modal fade" style="overflow:hidden;" role="dialog" aria-labelledby="myModalLabel">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title"></h4>
				</div>
				<div class="modal-body">
					<p class="text-center"><div class="fa-3x text-center"><i class="fa fa-cog fa-spin"></i>                    << جارى التحميل >>                </div>                </p>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-outline pull-left" data-dismiss="modal">إغلاق</button>
				</div>
			</div>
		</div>
	</div>
</div>
@endsection
