<!-- general form elements -->
<section class="content">
    <div class="box ">
        <div class="box-body">
            {{ csrf_field() }}
            <input name="person_id" type="hidden" value="">
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label>التاريخ</label>
                        <div class="input-group date">
                            <div class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </div>
                            <input name="trans_date" type="text" value="{{$transaction->trans_date??date('Y-m-d')}}" id="datepicker" class="form-control pull-right ">
                        </div>
                        <!-- /.input group -->
                    </div>
                    <div class="form-group">
                        <label for="note">البيان</label>
                        <input required name="note" value="{{ $transaction->note??'' }}" type="text" class="form-control" id="note">
                    </div>
                    <div class="form-group">
                        <label for="value">المبلغ</label>
                        <input step="any" required name="value" value="{{ isset($transaction->value)?number_format(abs($transaction->value)):'' }}" type="number" class="form-control" id="value">
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>صورة الإيصال</label>
                            <input id="FileUploade" name="image" type="file" class="form-control ">
                            @if(isset($transaction) && optional($transaction->getFirstMedia('images'))->getUrl())
                                <img class="profile-user-img img-responsive " src="{{optional($transaction->getFirstMedia('images'))->getUrl()}}">
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="box-footer">
            <button type="submit" class="btn btn-primary">حفظ</button>
        </div>
    </div>
</section>
<!-- /.box -->
<script>
    $('#datepicker').datepicker({
        autoclose: true,
        rtl: true,
        format: 'yyyy-mm-dd',
        language: "ar",
    });
</script>
