@extends('layouts.front')
@section('title','المالية')
@section('content')
<div class="content-wrapper">
	<!-- Content Header (Page header) -->
	<section class="content-header">
		<h1>
			سند القبض والصرف
            @if($currentUser->can('Create Transactions'))
            <a data-toggle="modal" data-target="#myModal" class="btn btn-warning pull-right" href="{{route('transactions.create')}}?trans_type=صرف" ><i class="fa fa-plus"></i>  سند صرف </a>
            <a style="margin-left: 10px" data-toggle="modal" data-target="#myModal" class="btn btn-success pull-right" href="{{route('transactions.create')}}?trans_type=قبض" ><i class="fa fa-plus"></i>  سند قبض</a>
            @endif
        </h1>
	</section>

	<!-- Main content -->
	<section class="content">
        @include('_partial.transactions_filter')
        <div class="row">
            <div class="col-lg-6 col-xs-6">
                <!-- small box -->
                <div class="small-box bg-green">
                    <div class="inner">
                        <h3 id="totalOrder">0</h3>
                        <p>إجمالى القبض</p>
                    </div>
                    <div class="icon">
                        <i class="fa fa-money"></i>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 col-xs-6">
                <!-- small box -->
                <div class="small-box bg-yellow">
                    <div class="inner">
                        <h3 id="totalProfit">0</h3>
                        <p>إجمالى الصرف</p>
                    </div>
                    <div class="icon">
                        <i class="fa fa-money"></i>
                    </div>
                </div>
            </div>
        </div>
		<div class="row">
			<div class="col-xs-12">
				<div class="box">
				{{-- <div class="box-header">
                     <h3 class="box-title">Data Table With Full Features</h3>
                 </div>--}}
				<!-- /.box-header -->
					<div class="box-body">
						<table id="serverSideTable" class="table table-bordered table-striped">
							<thead>
							<tr>
								<th>#</th>
								<th>الفرع</th>
								<th>البيان</th>
                                <th>نوع</th>
								<th>التاريخ</th>
                                <th>الوقت</th>
								<th>المستخدم</th>
								<th>المبلغ</th>
								<th>الصورة</th>
								<th class="no-sort"></th>
							</tr>
							</thead>
							<tbody>
							</tbody>
						</table>
					</div>
					<!-- /.box-body -->
				</div>
				<!-- /.box -->
			</div>
			<!-- /.col -->
		</div>
		<!-- /.row -->
	</section>
	<!-- /.content -->

	<div id="myModal" class="modal fade" style="overflow:hidden;" role="dialog" aria-labelledby="myModalLabel">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title"></h4>
				</div>
				<div class="modal-body">
					<p class="text-center"><div class="fa-3x text-center"><i class="fa fa-cog fa-spin"></i>                    << جارى التحميل >>                </div>                </p>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-outline pull-left" data-dismiss="modal">إغلاق</button>
				</div>
			</div>
		</div>
	</div>
</div>
@endsection
<script>
    var pageUrl = "{{route('transactions.index')}}";
    var columns =  [];
    columns.push(
        {data:null,name:'#', orderable: false, searchable: false},
        {data: "branchename", name: "branchename"},
        {data: "note", name: "note"},
        {data: "trans_type", name: "trans_type"},
        {data: "trans_date", name: "trans_date"},
        {data: "time", name: "time"},
        {data: "username", name: "username"},
        {data: "value", name: "value"},
        {data: "image", name: "image"},
        {data:'actions',name:'actions', orderable: false, searchable: false}
    );
</script>
@include("_partial.datatable")
@push('js')
    <script>

        $('.datepicker').datepicker({
            autoclose: true,
            rtl: true,
            format: 'yyyy-mm-dd',
            language: "ar",
        });
        $('.select2List').select2();
    </script>
@endpush
