@extends('layouts.front')
@section('title','المستخدمين')
@section('content')
    <div class="content-wrapper">
	<!-- Content Header (Page header) -->
	<section class="content-header">
		<h1>
            مستخدمين السيستم
            @if($currentUser->can('Create Users'))
			    <a data-toggle="modal" data-target="#myModal" class="btn btn-success pull-right" href="{{route('users.create')}}" ><i class="fa fa-plus"></i> إضافة</a>
            @endif
        </h1>
	</section>

	<!-- Main content -->
	<section class="content">
		<div class="row">
			<div class="col-xs-12">
				<div class="box">
				{{-- <div class="box-header">
                     <h3 class="box-title">Data Table With Full Features</h3>
                 </div>--}}
				<!-- /.box-header -->
					<div class="box-body">
						<table class="table table-bordered table-striped">
							<thead>
							<tr>
								<td>#</td>
								<th>الاسم</th>
								<th>الايميل</th>
								<th>الفرع</th>
								<th>الصلاحية</th>
								<th class="no-sort"></th>
							</tr>
							</thead>
							<tbody>
							@foreach($users as $user)
								<tr>
									<td>{{$loop->iteration}}</td>
                                    <td>{{$user->name}}</td>
                                    <td>{{$user->email}}</td>
                                    <td>{{optional($user->branche)->name?:'كل الفروع'}}</td>
                                    <td>{{ optional($user->roles()->first())->name }}</td>
									<td class="actions">
                                        @if($currentUser->can('Edit Users'))
                                            <a data-toggle="modal" data-target="#myModal" href="{{route('users.edit',$user)}}" class="btn btn-primary btn-xs">
                                                <i class="fa fa-pencil fa-fw" aria-hidden="true"></i>
                                                تعديل
                                            </a>
                                        @endif
                                        @if($currentUser->can('Edit Users'))
                                            @if(!$loop->first)
                                                <a class="btn btn-xs btn-danger remove-record"  data-url="{{ route('users.destroy',$user)  }}" data-id="{{$user->id}}">
                                                    <i class="fa fa-trash"></i>
                                                    حذف
                                                </a>
                                            @endif
                                        @endif
									</td>
								</tr>
							@endforeach
							</tbody>
						</table>
					</div>
					<!-- /.box-body -->
				</div>
				<!-- /.box -->
			</div>
			<!-- /.col -->
		</div>
		<!-- /.row -->
	</section>
	<!-- /.content -->
    </div>
	<!-- Delete Model -->
	<div id="myModal" class="modal fade" style="overflow:hidden;" role="dialog" aria-labelledby="myModalLabel">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title"></h4>
				</div>
				<div class="modal-body">
					<p class="text-center"><div class="fa-3x text-center"><i class="fa fa-cog fa-spin"></i>                    << جارى التحميل >>                </div>                </p>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-outline pull-left" data-dismiss="modal">إغلاق</button>
				</div>
			</div>
		</div>
	</div>
@endsection
