@php
    $route = route('clients.create', ['req' => 'ajax']);
@endphp
<!-- general form elements -->
<div class="box box-success">
    {{-- <div class="box-header with-border">
        <h3 class="box-title">Quick Example</h3>
    </div> --}}
    <!-- /.box-header -->
    <div class="box-body">
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                <li class="active"><a href="#tab_1" data-toggle="tab" aria-expanded="true">بيانات أمر الشغل</a></li>
            </ul>
            <div class="tab-content">
                <div class="tab-pane active" id="tab_1">
                    <div class="row">
                        <div class="form-group col-md-4">
                            <label>الاسم</label>
                            <input name="invoice[name]" class="form-control" value="{{ $item->name ?? '' }}">
                        </div>
                        <div class="form-group col-md-4">
                            <label>تاريخ / وقت الدخول</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-clock-o"></i>
                                </div>
                                <input type="text" class="form-control datetimepicker" name="invoice[entery_at]"
                                    value="{{ $item->entery_at ?? date('Y-m-d h:i A') }}" required>
                            </div>
                        </div>
                        <div class="form-group col-md-4">
                            <label>تاريخ / وقت الخروج</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-clock-o"></i>
                                </div>
                                <input type="text" class="form-control datetimepicker" name="invoice[exit_at]"
                                    value="{{ $item->exit_at ?? '' }}">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>العميل</label>
                                <div class="input-group">
                                    <select data-url="{{ route('getClientsList') }}" name="invoice[client_id]"
                                        id="personList" class="form-control select2AjaxRequest">
                                        <option value="">--- إختر ---</option>
                                        @if (isset($per) && !empty($per))
                                            <option selected
                                                {{ isset($item->client_id) && $per->id == $item->client_id ? 'selected' : '' }}
                                                value="{{ $per->id }}">
                                                {{ $per->id . ' - ' . $per->name . ' - ' . $per->mobile . ' - ' . $per->model }}
                                            </option>
                                        @endif
                                    </select>
                                    <div class="input-group-addon no-print" style="padding: 2px 5px;">
                                        <a href="{{ $route }}" class="external" data-toggle="modal"
                                            data-target="#myModal">
                                            <i class="fa fa-2x fa-plus-circle"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-4">
                            <div class="form-group">
                                <label> السيارة</label>
                                <select style="width: 100%" id="carListSelect2" name="invoice[car_id]"
                                    data-url="{{ route('getClientCarsList') }}" class="form-control">
                                    <option value="">--- إختر ---</option>
                                    @if (isset($item->car_id))
                                        <option selected value="{{ $item->car_id }}">
                                            {{ optional($item->car)->car_number . '-' . optional($item->car)->car_brand . '-' . optional($item->car)->model }}
                                        </option>
                                    @endif
                                </select>
                            </div>
                        </div>
                        <div class="form-group col-md-4">
                            <label>عداد الكيلو</label>
                            <input name="invoice[kilo_counter]" class="form-control"
                                value="{{ $item->kilo_counter ?? '' }}">
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>التفاصيل</label>
                                <textarea required name="invoice[note]" class="form-control">{{ $item->note ?? '' }}</textarea>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>صور</label>
                                <input id="FileUploade" name="image[]" multiple type="file" class="form-control ">
                                @if (isset($item) && optional($item->getFirstMedia('images'))->getUrl())
                                    @foreach ($item->getMedia('images') as $image)
                                        <div class="col-md-2 imageContainer">
                                            <img style="width: 80px;" src="{{ $image->getUrl() }}" />
                                            @if ($currentUser->can('Delete workorders'))
                                                <a class="btn btn-danger btn-sm deleteImg" rel="{{ $image->id }}"
                                                    href="#">
                                                    <i class="fa fa-trash close_button"></i>
                                                </a>
                                            @endif
                                        </div>
                                    @endforeach
                                @endif
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>مرفقات</label>
                                <input multiple name="attachments[]" type="file" class="form-control ">
                                @if (isset($item))
                                    @foreach ($item->getMedia('attachments') as $file)
                                        <div class="col-md-2 imageContainer">
                                            @php
                                                $filepath = $file->getUrl();
                                                $extension = $file->mime_type;
                                            @endphp
                                            @if (in_array($extension, ['image/jpeg', 'image/png']))
                                                <img style="width: 100px;" src="{{ $filepath }}">
                                            @else
                                                <a style="margin-bottom: 5px;" target="_blank"
                                                    href="{{ $filepath }}" class="btn btn-sm btn-warning">View </a>
                                            @endif
                                            @if ($currentUser->can('Delete workorders'))
                                                <a class="btn btn-danger btn-sm deleteImg" rel="{{ $file->id }}"
                                                    href="#"><i class="fa fa-trash close_button"></i></a>
                                            @endif
                                        </div>
                                    @endforeach
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /.box-body -->

    <div class="box-footer">
        <button type="submit" class="btn btn-primary">حفظ</button>
    </div>
</div>
<!-- /.box -->
@push('css')
@endpush
@push('js')
    <script>
        $(".select2").select2();
        $('#datepicker,datepicker22').datepicker({
            autoclose: true,
            rtl: true,
            format: 'yyyy-mm-dd',
            language: "ar",
        });
        $('body').on('submit', 'form', function(e) {
            //e.preventDefault();
            var $btn = $(this).find(':submit');
            if ($btn.hasClass('disabled')) return false;
            $btn.attr('data-loading-text', "<i class='fa fa-circle-o-notch fa-spin'></i> حفظ");
            $btn.button('loading');
            setTimeout(function() {
                $btn.button('reset');
            }, 3000);
        });

        $(document).on("click", ".btn-danger", function(e) {
            e.preventDefault();
            $(this).closest('tr').remove();
            calaculateTotal();
        });
        $("#payment").trigger('change');

        $(document).on("change", "#regionsList", function(e) {
            e.preventDefault();
            var selected = $("#regionsList option:selected");
            var price = selected.attr('ship') === undefined ? 0 : selected.attr('ship');
            $("#shipping").val(price);
            calaculateTotal();
        });
        $(document).on("change", "#productList", function(e) {
            e.preventDefault();
            var selected = $("#productList option:selected");
            if (!selected.val()) return false;
            var num = $('.pitems').find('tr').length;
            var found = false;
            $(".pitems tr").filter(function() {
                found = $(this).text().toLowerCase().indexOf(selected.text()) > -1
            });
            if (found) {
                swal({
                    title: 'الصنف مضاف',
                    text: "هذا الصنف تم اضافته بالفعل للفاتورة",
                    type: "error",
                    confirmButtonText: "تمام",
                });
                return false;
            }
            var cost = selected.attr('cost') === undefined ? 0 : selected.attr('cost');
            var price = selected.attr('price') === undefined ? 0 : selected.attr('price');
            var itemtotal = parseFloat(price);
            var discount = 0;
            var row = '<tr class="prodItem">';
            row += '<td>' + num + '</td>';
            row += '<td>' +
                '<input type="hidden" name="prod[' + num + '][product_id]" value="' + selected.val() + '">' +
                '<input class="costPrice" type="hidden" name="prod[' + num + '][cost]" value="' + cost + '">' +
                selected.text() +
                '</td>';
            row += '<td><input class = "tdinput pPrice" type="text" name="prod[' + num + '][price]" value="' +
                price + '"></td>';
            row += '<td><input class = "tdinput qty" type="text" name="prod[' + num + '][qty]" value="1"></td>';
            row += '<td><input class="tdinput discount" type="text" name="prod[' + num + '][discount]" value="' +
                discount + '"></td>';
            row += '<td class="itemTotal">' + itemtotal + '</td>';
            row += '<td>' +
                '<a href="#" class="btn btn-sm btn-danger"><i class="fa fa-trash"></i></a>';
            row += '</td>';
            row += '</tr>';
            $('.pitems').append(row);
            calaculateTotal();
            $(this).val('').trigger('change');
        });
        $(document).on("input", ".carPrice,.discount,.qty,.pPrice", function(e) {
            calaculateTotal();
        });
        $(document).on("input", "#paid", function(e) {
            var total = parseFloat($('#total').val());
            var paid = parseFloat($(this).val());
            $("#due").val(total - paid);
        });

        function calaculateTotal() {
            var grandtotal = 0;
            $(".prodItem").each(function() {
                var price = parseFloat($(this).find('.pPrice').val());
                var qty = parseFloat($(this).find('.qty').val());
                var discount = parseFloat($(this).find('.discount').val());
                var tot = qty * price;
                tot -= discount;
                grandtotal += parseFloat(tot);
                $(this).find('.itemTotal').html(tot);
            });

            var tax = 0;
            var shipping = 0;
            var fees = 0;
            if ($("#tax").val()) {
                tax = parseFloat($("#tax").val());
            }
            if ($("#shipping").val()) {
                shipping = parseFloat($("#shipping").val());
            }
            if ($("#fees").val()) {
                fees = parseFloat($("#fees").val());
            }
            grandtotal += (shipping + fees);
            grandtotal += (grandtotal * (tax / 100));
            grandtotal = Math.floor(grandtotal);
            $("#total").val(grandtotal);
            var paid = parseFloat($('#paid').val());
            $("#due").val(grandtotal - paid);
        }
        $("#productList").select2();
    </script>
@endpush
@push('js')
    <script>
        $('#carListSelect2').select2({
            placeholder: "إختر السيارة",
            ajax: {
                url: function() {
                    return $(this).attr('data-url');
                },
                dataType: 'json',
                data: function(params) {
                    return {
                        term: params.term,
                        client_id: $('#personList').val(),
                    };
                },
                processResults: function(response) {
                    return {
                        results: response
                    };
                },
                cache: true,
            }
        });
    </script>
@endpush
@push('css')
    <style>
        input.tdinput {
            display: block;
            width: 100%;
            height: 28px;
            padding: 0;
            font-size: 14px;
            line-height: 1.42857143;
            color: #555;
            background-color: #dff0d8;
            border: 0px solid #fff;
            border-radius: 4px;
            border: 0px solid #fff !important;
            text-align: center;
        }
    </style>
@endpush
