@extends('layouts.front')
@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header hideprint">
            <h1>
                تفاصيل أمر الشغل رقم

                <small>
                    {{ $order->name }}
                </small>
                <a class="btn print-window pull-right" href="javascript:void(0)" onclick="window.print();" role="button">
                    <i class="fa fa-print" aria-hidden="true"></i> طباعة
                </a>
            </h1>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-md-12">
                    <div class="box">
                        <div class="box-body box-success">
                            <div class="row">
                                <div class="col-md-12">
                                    <div id="printInvoice" class="box" style="border: none;">
                                        <div class="box-body" style="max-width: 290mm!important;">
                                            @include('_partial.printheader')
                                            <div class="text-center">
                                                <h3>
                                                    {{ $order->name }}
                                                </h3>
                                                <hr>
                                            </div>
                                            <div class="col-md-12" style="margin-bottom: 20px;">
                                                <table style="table-layout: fixed;">
                                                    <tr>
                                                        <td style="width: 30%;">
                                                            <h5>اسم الموظف: {{ optional($order->creator)->name }}</h5>
                                                        </td>
                                                        <td style="width: 40%;">
                                                            <h5>الفرع: {{ optional($order->branche)->name }}</h5>
                                                        </td>
                                                        <td style="width: 30%;">
                                                            <h5>رقم كارت العمل: {{ $order->id }}</h5>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                            <div class="col-md-12 text-center tableContaier">

                                                <table class="">
                                                    @php
                                                        $car = $order->car;
                                                        $client = $order->client;
                                                    @endphp
                                                    <tr>
                                                        <td style="border: none!important;vertical-align: top!important;">
                                                            <table style="max-width: 270mm!important;"
                                                                class="table table-bordered">
                                                                <tr>
                                                                    <td colspan="2">بيانات السيارة (Car Info)</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        رقم اللوحة
                                                                        (Car Plate)
                                                                    </td>
                                                                    <td>{{ $car->car_number }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>موديل السيارة
                                                                        (Car Model)
                                                                    </td>
                                                                    <td>{{ $car->model }} - {{ $car->car_brand }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>رقم الهيكل
                                                                        ( Chassis No )
                                                                    </td>
                                                                    <td>{{ $car->chassis_no }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>عداد الكيلو
                                                                        ( Kilometers )
                                                                    </td>
                                                                    <td>{{ $order->kilo_counter }}</td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td style="border: none!important;vertical-align: top!important;">
                                                            <table class="table">
                                                                <tr>
                                                                    <td colspan="2">
                                                                        بيانات العميل
                                                                        ( Client Info )
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>اسم العميل
                                                                        ( Client Name )
                                                                    </td>
                                                                    <td>{{ $client->name }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>رقم الهوية
                                                                        ( Client ID )
                                                                    </td>
                                                                    <td>{{ $client->id_number }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>رقم الجوال
                                                                        ( Mobile No )
                                                                    </td>
                                                                    <td>{{ $client->mobile }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>تاريخ امر الشغل
                                                                        ( Date )
                                                                    </td>
                                                                    <td>{{ $order->created_at->format('Y-m-d') }}</td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="2">
                                                            <table class="table">
                                                                <tr>
                                                                    <td colspan="2">
                                                                        @if ($order->note)
                                                                            {{ $order->note }}
                                                                        @endif
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <table class="table">
                                                                <tr>
                                                                    <td>المسئول</td>
                                                                    <td></td>
                                                                </tr>
                                                                <tr>
                                                                    <td>تاريخ البدء</td>
                                                                    <td>{{ $order->getDateAr($order->entery_at) }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>تاريخ الإنتهاء</td>
                                                                    <td>{{ $order->getDateAr($order->exit_at) }}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>المتحكم</td>
                                                                    <td></td>
                                                                </tr>
                                                                <tr>
                                                                    <td>موظف الإستقبال</td>
                                                                    <td></td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td>
                                                            <table class="table">
                                                                <tr>

                                                                    @php
                                                                        $options = ['استبنه', 'معدات', 'راديو', 'مكيف'];
                                                                    @endphp
                                                                    <td style="border: none!important">
                                                                        <table>
                                                                            @foreach ($options as $op)
                                                                                <tr>
                                                                                    <td
                                                                                        style="border: none!important;text-align: right!important;padding-right: 65px;">
                                                                                        <div>
                                                                                            <i
                                                                                                class="fa fa-square-o fa-2x"></i>
                                                                                            <span
                                                                                                class="textspan">{{ $op }}</span>
                                                                                        </div>
                                                                                    </td>
                                                                                </tr>
                                                                            @endforeach
                                                                        </table>
                                                                    </td>
                                                                    <td style="border: none!important"><img
                                                                            style="width: 200px"
                                                                            src="{{ asset('c.png') }}" /></td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="2" style="border: none!important">

                                                            <table class="table text-center">

                                                                <tr>
                                                                    <td style="border: none!important;" colspan="2">
                                                                        <p>
                                                                            اتفاقية تقديم خدمات
                                                                            <br />
                                                                            انا الموقع ادناه , افوض الشركة بتنفيذ الخدمات
                                                                            المطلوبة أعلاه مؤكدا صحة البيانات المذكورة ,
                                                                            ومسؤوليتي والتزامي بالشروط والاحكام المبينة خلف
                                                                            هذه الاتفاقية دون قيد او شرط.

                                                                        </p>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>اسم العميل</td>
                                                                    <td>التوقيع</td>
                                                                <tr>
                                                                    <td style="height: 100px;"></td>
                                                                    <td></td>
                                                                </tr>
                                                    </tr>
                                                    <tr>
                                                        <td style="border: none!important;" colspan="2">
                                                            {!! $settings['InvoiceNotes'] !!}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>اسم العميل</td>
                                                        <td>التوقيع</td>
                                                    </tr>
                                                    <tr>
                                                        <td style="height: 100px;"></td>
                                                        <td></td>
                                                    </tr>
                                                </table>

                                                </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <table>
                                                            <tr>
                                                                <td style="width: 70%;border: none!important;">
                                                                    {!! $settings['termsconditionsforworks'] ?? '' !!}
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                </tr>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </section>
    </div>
@stop
@push('css')
    <style>
        #footer {
            position: absolute;
            bottom: 0;
            left: 0;
            right: 0;
            height: auto;
            padding-top: 40px;
            color: #fff;
        }

        .tableContaier {
            border: 2px solid #000;
            padding: 25px;
        }

        .tableContaier table {
            table-layout: fixed;
        }

        .tableContaier table td {
            width: 140px;
            height: 53px;
            vertical-align: middle;
        }

        .textspan {
            position: relative;
            top: -5px;
            right: 5px;
        }

        .col-md-4.invoice-col {
            font-size: 15px;
            font-weight: bold;
        }

        .invoice-info {
            margin-bottom: 20px;
            margin-right: 5px;
        }

        b {
            border-bottom: 1px dashed #000;
        }

        .printHeader {
            display: none;
        }

        tr td {
            vertical-align: middle !important;
        }

        #printInvoice .table tr>td {
            text-align: center;
            border: 1px solid #000 !important;
        }

        #printInvoice .table thead tr>td,
        .table thead tr>th {
            font-weight: bold;
        }

        #printInvoice .table tr>td,
        th {

            text-align: center !important;
            border: 2px solid #000 !important;
            font-size: 16px !important;
            font-weight: bold !important;
        }

        td.infotd {
            border-bottom: 1px solid #fff !important;
            border-top: 1px solid #fff !important;
            border-right: 1px solid #fff !important;
            width: 152px;
            font-size: 18px !important;
        }

        @media print {
            @page {
                size: auto;
                /* auto is the initial value */
                /* this affects the margin in the printer settings */
                margin: 3mm 3mm 3mm 3mm;
            }

            body {
                margin: 5mm;
            }

            .panel-default {
                border: none;
            }

            .hideprint {
                visibility: hidden;
                margin: 0;
                display: none !important;
            }
        }
    </style>
@endpush
