@extends('layouts.front')
@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                تفاصيل امر الشغل رقم {{ $item->id }}

                @if ($currentUser->can('Edit workorders'))
                    <a title="تعديل" href="{{ route('workorders.edit', $item) }}" class="btn btn-warning btn-xs pull-right">
                        <i class="fa fa-pencil fa-fw" aria-hidden="true"></i>
                    </a>
                @endif

                <a style="margin-left: 5px;" class="btn btn-info btn-xs print-window pull-right" href="javascript:void(0)"
                    onclick="window.print();" role="button">
                    <i class="fa fa-print" aria-hidden="true"></i>
                </a>
            </h1>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-xs-12">
                    <div class="box box-warning">
                        <div class="box-header">
                            <h3 class="box-title">بيانات كارت العمل (Card Info)</h3>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body box-success">

                            <table class="table table-bordered table-striped">
                                <tr>
                                    <td>اسم العميل (Client Name)</td>
                                    <td>
                                        {{ optional($item->client)->name }}
                                    </td>
                                </tr>

                                <tr>
                                    <td>رقم الهوية (Client ID)</td>
                                    <td>
                                        {{ optional($item->client)->id_number }}
                                    </td>
                                </tr>
                                <tr>
                                    <td>رقم الجوال</td>
                                    <td>
                                        {{ optional($item->client)->mobile }}
                                    </td>
                                </tr>
                                <tr>
                                    <td>نوع وموديل السيارة</td>
                                    <td>
                                        {{ optional($item->client)->model }}
                                    </td>
                                </tr>
                                <tr>
                                    <td>رقم الهيكل</td>
                                    <td>
                                        {{ optional($item->client)->chassis_no }}
                                    </td>
                                </tr>
                                <tr>
                                    <td>رقم اللوحة</td>
                                    <td>
                                        {{ optional($item->client)->car_number }}
                                    </td>
                                </tr>
                                <tr>
                                    <td>عداد الكيلو</td>
                                    <td>
                                        {{ optional($item->client)->kilometer_counter }}
                                    </td>
                                </tr>
                            </table>

                        </div>


                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                    <div class="box box-primary">
                        <div class="box-header">
                            <h3 class="box-title">الصور والمرفقات</h3>
                        </div>
                        <div class="box-body box-success">
                            <table class="table table-bordered">
                                @php
                                    $i = 1;
                                @endphp
                                @if (isset($item) && optional($item->getFirstMedia('images'))->getUrl())
                                    @foreach ($item->getMedia('images') as $image)
                                        <tr>
                                            <td>{{ $i }}</td>
                                            <td>
                                                <a target="_blank" href="{{ $image->getUrl() }}">
                                                    <img style="width: 200px;" src="{{ $image->getUrl() }}" />
                                                </a>
                                            </td>
                                        </tr>
                                        @php
                                            $i++;
                                        @endphp
                                    @endforeach
                                @endif

                                @if (isset($item) && optional($item->getFirstMedia('attachments'))->getUrl())
                                    @foreach ($item->getMedia('attachments') as $file)
                                        @php
                                            $filepath = $file->getUrl();
                                            $extension = $file->mime_type;
                                        @endphp
                                        <tr>
                                            <td>{{ $i }}</td>
                                            <td>
                                                @if (in_array($extension, ['image/jpeg', 'image/png']))
                                                    <a target="_blank" href="{{ $filepath }}">
                                                        <img style="width: 200px;" src="{{ $filepath }}">
                                                    </a>
                                                @else
                                                    <a style="margin-bottom: 5px;width: 200px;" target="_blank"
                                                        href="{{ $filepath }}" class="btn btn-sm btn-warning">View </a>
                                                @endif
                                            </td>
                                        </tr>
                                        @php
                                            $i++;
                                        @endphp
                                    @endforeach
                                @endif
                            </table>
                        </div>
                    </div>
                </div>
            </div>

        </section>
    </div>
@stop
@push('css')
    <style>
        .financeTable tr th,
        .financeTable tr td {
            text-align: center;
            font-weight: bold;
        }
    </style>
@endpush
